commit 9e4026978b4069468a6fe6d3e961c4d1a9c88051
Author: Victor Toso <me@victortoso.com>
Date:   Tue Feb 14 14:49:23 2017 +0100

    Release 0.3.4

 NEWS | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit 98ba62272e7dfe5aa7a84c959e767f8daa5c45c4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 30 01:18:39 2016 +0100

    lua-factory: Fix memory leak
    
    The cancellable referenced in each fetch operation's data was not
    unreferenced except the one in the last fetch in the sequence.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773789

 src/lua-factory/grl-lua-library.c | 1 +
 1 file changed, 1 insertion(+)

commit a051aa0e682ca699a240996876eb419cf5da18b3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 30 01:00:39 2016 +0100

    lua-factory: Fix possible crash when fetch ops are cancelled
    
    When an operation was cancelled, we would go to free our operation data
    straight away, including struct members shared with other operations.
    
    As those could be on-going, and we know that the operations data members
    that are private to our operation are valid, go check whether we are the
    last operation, and only free the shared resources in that case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773789

 src/lua-factory/grl-lua-library.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit a0375addf5e139e0a1a6e7d79a99dba35a45ae18
Author: Victor Toso <me@victortoso.com>
Date:   Tue Feb 14 10:24:20 2017 +0100

    meson: include optional dependencies
    
    Optional dependencies are being checked but not included in each
    plugin and this patch aims to fix that.
    
    Renamed DEPS to REQ_DEPS to make clear distinction with newly included
    OPT_DEPS. The meson.build file for each plugin was updated for
    completeness.
    
    Signed-off-by: Victor Toso <victortoso@redhat.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778596

 meson.build                         | 59 ++++++++++++++++++++-----------------
 src/bookmarks/meson.build           |  2 +-
 src/chromaprint/meson.build         |  2 +-
 src/dleyna/meson.build              |  2 +-
 src/dmap/meson.build                |  4 +--
 src/filesystem/meson.build          |  2 +-
 src/flickr/meson.build              |  2 +-
 src/freebox/meson.build             |  2 +-
 src/gravatar/meson.build            |  2 +-
 src/jamendo/meson.build             |  2 +-
 src/local-metadata/meson.build      |  2 +-
 src/lua-factory/meson.build         |  2 +-
 src/lua-factory/sources/meson.build |  2 +-
 src/magnatune/meson.build           |  2 +-
 src/metadata-store/meson.build      |  2 +-
 src/opensubtitles/meson.build       |  2 +-
 src/optical-media/meson.build       |  2 +-
 src/podcasts/meson.build            |  2 +-
 src/raitv/meson.build               |  2 +-
 src/shoutcast/meson.build           |  2 +-
 src/thetvdb/meson.build             |  2 +-
 src/tmdb/meson.build                |  2 +-
 src/tracker/meson.build             |  2 +-
 src/vimeo/meson.build               |  2 +-
 src/youtube/meson.build             |  2 +-
 25 files changed, 57 insertions(+), 52 deletions(-)

commit 50fe652e6838330a9df63663fc38bb0328c3dc1f
Author: Victor Toso <me@victortoso.com>
Date:   Tue Feb 14 09:11:39 2017 +0100

    lua-factory: _load_goa_data() only if goa is available
    
    Let's wrap grl_lua_library_load_goa_data() to be build only if
    GOA_ENABLED is declared, otherwise we will get -Wunused-function
    
      grl-lua-library.c:1746:1: warning: ‘grl_lua_library_load_goa_data’
      defined but not used [-Wunused-function]
    
    It is also worth to mention that grl_lua_factory_add_goa_source() in
    grl-lua-factory.c is already wrapped this way.
    
    Signed-off-by: Victor Toso <victortoso@redhat.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778596

 src/lua-factory/grl-lua-library.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 8a8f1a829cc222230ca16aa0a5f522dfb394225d
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Feb 13 16:23:54 2017 +0100

    travis: use `latest` instead of `full` tag
    
    So users can download latest Grilo version without explicitly specifying
    the tag.

 .travis.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9e0f5e319731e6d7b4fd8713420d0119d6a2eadf
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Feb 12 03:30:39 2017 +0100

    travis: do not push container without credentials
    
    Avoid trying to push container to Docker Hub if no credentials have been
    defined.

 .travis.yml | 2 ++
 1 file changed, 2 insertions(+)

commit f7d85296faa24c5f1eaf788d6282df731cfd110c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Feb 12 03:00:52 2017 +0100

    travis: use Docker to perform build and test
    
    Finally, we move to use containers in Travis CI to build and test Grilo.
    
    It uses grilofw/grilo:core as base image.
    
    If build goes fine, it will push grilofw/grilo:full container, which
    contains Grilo with all the plugins. Users can get it to play with
    Grilo.
    
    It also pushes the test coverage statistics to Coveralls.io.
    
    Build and test is done using autotools, as well as using Meson build,
    both in parallel.

 .travis.yml | 92 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 82 insertions(+), 10 deletions(-)

commit f93e959f0243f5207dd23bbed21b8be20dfa76b4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Feb 12 01:06:19 2017 +0100

    meson: glib_compile_resources required for lua-factory
    
    Fix a missing "not" when checking for glib-compile resource.

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea047c4fb63e90268eb795ed91a09a2be5068a4c
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Dec 11 19:48:22 2016 +0100

    build: add Meson build support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=775957

 help/examples/meson.build             |  18 +++++
 help/meson.build                      |  15 ++++
 meson.build                           | 148 ++++++++++++++++++++++++++++++++++
 meson_options.txt                     |  23 ++++++
 po/meson.build                        |  55 +++++++++++++
 src/bookmarks/meson.build             |  29 +++++++
 src/chromaprint/meson.build           |  27 +++++++
 src/dleyna/meson.build                |  52 ++++++++++++
 src/dmap/meson.build                  |  63 +++++++++++++++
 src/filesystem/meson.build            |  27 +++++++
 src/flickr/meson.build                |  31 +++++++
 src/freebox/meson.build               |  33 ++++++++
 src/gravatar/meson.build              |  27 +++++++
 src/jamendo/meson.build               |  27 +++++++
 src/local-metadata/meson.build        |  27 +++++++
 src/lua-factory/meson.build           |  70 ++++++++++++++++
 src/lua-factory/sources/meson.build   |  52 ++++++++++++
 src/magnatune/meson.build             |  27 +++++++
 src/meson.build                       |  14 ++++
 src/metadata-store/meson.build        |  27 +++++++
 src/opensubtitles/meson.build         |  27 +++++++
 src/optical-media/meson.build         |  27 +++++++
 src/podcasts/meson.build              |  27 +++++++
 src/raitv/meson.build                 |  31 +++++++
 src/shoutcast/meson.build             |  27 +++++++
 src/thetvdb/meson.build               |  31 +++++++
 src/tmdb/meson.build                  |  29 +++++++
 src/tracker/meson.build               |  40 +++++++++
 src/vimeo/meson.build                 |  33 ++++++++
 src/youtube/meson.build               |  31 +++++++
 tests/chromaprint/meson.build         |  26 ++++++
 tests/dleyna/meson.build              |  34 ++++++++
 tests/games/meson.build               |  22 +++++
 tests/local-metadata/meson.build      |  21 +++++
 tests/lua-factory/meson.build         |  31 +++++++
 tests/lua-factory/sources/meson.build |  45 +++++++++++
 tests/meson.build                     |  41 ++++++++++
 tests/spotify-cover/meson.build       |  22 +++++
 tests/thetvdb/meson.build             |  28 +++++++
 tests/tmdb/meson.build                |  30 +++++++
 tests/vimeo/meson.build               |  21 +++++
 41 files changed, 1416 insertions(+)

commit f5e77c5850b4af698fb518155d1f335a7f2c92f8
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Sun Dec 11 16:51:39 2016 +0100

    local-metadata: rename localmetadata references to local-metadata
    
    While source name is local-metadata, we use localmetadata in some other
    places, like '--enable/disable-localmetadata'.
    
    So let's add some coherence and use always local-metadata.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=775957

 Makefile.am                             |  2 +-
 configure.ac                            | 34 ++++++++++++++++-----------------
 src/Makefile.am                         |  2 +-
 src/local-metadata/Makefile.am          |  4 ++--
 src/local-metadata/grl-local-metadata.c |  2 +-
 tests/Makefile.am                       |  2 +-
 6 files changed, 23 insertions(+), 23 deletions(-)

commit 1d93ae1199d445de07dd6720ec94e973c1695f66
Author: Ben Walsh <b@wumpster.com>
Date:   Thu Jan 19 20:44:13 2017 +0000

    dleyna: convert bits/s to kbits/s.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=777210

 src/dleyna/grl-dleyna-source.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 063064bceb777dc3d8dcd518c39d5ce404e30c2b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 3 11:38:14 2017 +0100

    raitv: Work-around leading linefeed at start of XML
    
    1. Open grilo-test-ui in terminal
    2. Rai -> Most Popular -> Black and White.
    
    Entity: line 2: parser error : XML declaration allowed only at the start
    of the document
    <?xml version="1.0" encoding="UTF-8"?><CLASSIFICAVISTI>
    
    Removing the leading linefeed fixes that problem.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=776482

 src/raitv/grl-raitv.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d5e5ceb1c2871ba8fe2d4d07bf8d45a95fc6e1f3
Author: vrishab <gnome.vrb@gmail.com>
Date:   Sat Dec 3 14:56:08 2016 +0530

    optical-media: GFile is owned by GFileIcon. Do not unref it
    
    https://bugzilla.gnome.org/show_bug.cgi?id=775561

 src/optical-media/grl-optical-media.c | 1 -
 1 file changed, 1 deletion(-)

commit b07bf0539932fd9f20550ef63049c908fb942927
Author: Marinus Schraal <mschraal@scr.gnome.org>
Date:   Tue Nov 22 23:21:29 2016 +0100

    tracker: Support last-played metadata storage
    
    Allows storing the last played date-time in tracker. Use the
    nfo:fileLastAccessed & nie:contentAccessed property for this as they
    are both valid.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774748

 src/tracker/grl-tracker-utils.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit bb3a85d9ed53335e7f64ce3ecd562ebc1bc27d11
Author: Marinus Schraal <mschraal@scr.gnome.org>
Date:   Sun Nov 20 14:51:28 2016 +0100

    tracker: Support favorite read/write
    
    Support GRL_METADATA_KEY_FAVOURITE reading & writing in the tracker
    backend. The tracker ontology for this uses hasTag in combination with
    the nao:predefined-tag-favorite property, which doesn't line up directly
    with the boolean format Grilo uses. So either set the key with the given
    property or delete the tag completely.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774748

 src/tracker/grl-tracker-source-api.c | 19 ++++++++++++++----
 src/tracker/grl-tracker-utils.c      | 39 ++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+), 4 deletions(-)

commit 9183260dd5b255a323811d4e71475ceb08100141
Author: Victor Toso <me@victortoso.com>
Date:   Mon Nov 21 18:54:13 2016 +0100

    tracker: small rework on _tracker_get_insert_string()
    
    Clear a bit the logic so it gets easier to include changes.
    This patch does:
    - Change GList iteration from while() to for()
    - Move variables to its local scope;
    - Use *continue* inside the for;
    - Remove if else check on gboolean first
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774748

 src/tracker/grl-tracker-utils.c | 47 +++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 25 deletions(-)

commit 46eb24609a7a3c805881e794c1e43ab3d2802050
Author: vrishab <gnome.vrb@gmail.com>
Date:   Sun Nov 27 05:47:21 2016 +0530

    build: Add gperf check for lua-factory source
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770959

 configure.ac | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 73c1aa1e775733b280cd5511fc49e738912f7abe
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Oct 10 20:43:00 2016 +0200

    tracker: Do not check for specific nfo:FileDataObject rdf:type changes
    
    It is unreliable to rely on these, as this rdf:type may be deleted after
    the one with the tracker:notify property, meaning that this resource isn't
    eligible for notification through GraphUpdated anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764419

 src/tracker/grl-tracker-source-notif.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 83c0636e09bd626e010ed87cb8be185a4952b39e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Oct 30 22:31:58 2016 +0100

    itunes-podcast: Sort the thumbnails in descending size
    
    So that the first thumbnail is the biggest one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773702

 src/lua-factory/sources/grl-itunes-podcast.lua | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 49c1d7998c9dfb8aef6e96c1d0902ccf56dee625
Author: liushuyu <liushuyu_011@126.com>
Date:   Sun Oct 30 00:06:29 2016 +0800

    Update zh_CN translation

 po/zh_CN.po | 366 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 194 insertions(+), 172 deletions(-)

commit 4617b91983792f3282757b93134f0b7e8f287d52
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 24 16:52:29 2016 +0200

    radiofrance: Fix unset URLs after recent website changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=773310

 src/lua-factory/sources/grl-radiofrance.lua | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit fb45b333607ad1c3c5ba68273c4c0a8778417660
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 3 16:07:25 2016 +0200

    tmdb: use GTask instead of GSimpleAsyncResult
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 src/tmdb/grl-tmdb-request.c | 33 ++++++++++++++-------------------
 1 file changed, 14 insertions(+), 19 deletions(-)

commit a234b10d2f75cfcd9dff5f12c641992680b3a359
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Oct 16 18:12:35 2016 +0200

    Updated Norwegian bokmål translation from Kjartan Maraas.

 po/nb.po | 86 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 41 deletions(-)

commit caf6541bf27e562a6e0c8d4b9c8507d701b9237b
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Sep 25 16:07:52 2016 +0300

    Update Bulgarian translation

 po/LINGUAS |   1 +
 po/bg.po   | 613 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 614 insertions(+)

commit ab5596b7372a3d9b4a74fc3ff4daa669797a6c5a
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Sep 19 13:47:05 2016 +0200

    Update Basque language

 po/eu.po | 56 +++++++++++++++++++++++++++++++-------------------------
 1 file changed, 31 insertions(+), 25 deletions(-)

commit 5e14e110b29e424d788ec208a230c959601e9efa
Author: David King <amigadave@amigadave.com>
Date:   Sun Sep 18 11:13:44 2016 +0200

    Add British English translation

 po/LINGUAS  |   1 +
 po/en_GB.po | 613 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 614 insertions(+)

commit 4da2a2d7f2c69eab13f04a88e099142bbb07f472
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Fri Sep 16 11:15:56 2016 +0000

    Updated Greek translation

 po/el.po | 250 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 127 insertions(+), 123 deletions(-)

commit e97b4845f318cd86f0cb6b0e5210359203e2fc51
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 14 22:10:08 2016 +0200

    dmap: Add "supported-media" metadata for sources
    
    Stop the DMAP and DAAP servers showing up in Videos, by setting which
    type of media they support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771446

 src/dmap/grl-daap.c | 1 +
 src/dmap/grl-dpap.c | 1 +
 2 files changed, 2 insertions(+)

commit d521fa562508ccb51c924f35be85003e68364992
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 14 22:04:13 2016 +0200

    itunes-podcast: Fix source appearing in Videos
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771445

 src/lua-factory/sources/grl-itunes-podcast.lua | 1 +
 1 file changed, 1 insertion(+)

commit bdba5a5e324a335f8d4520e6c082ff66c15b8ae8
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Tue Sep 13 01:59:08 2016 +0200

    Updated Danish translation

 po/da.po | 61 +++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 33 insertions(+), 28 deletions(-)

commit 8d849a87f4b0b02c29eec878f7bf166a7e64094c
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 10 16:06:38 2016 +0200

    Post-release version bump to 0.3.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a29a3ba6b0874e39fc664407cfcb2298906163a
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 10 15:59:07 2016 +0200

    Release 0.3.3

 NEWS | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit 26300065e7477f2b9a11b498fb1ca3daf32b3b38
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Sep 8 21:02:21 2016 +0300

    Update Latvian translation

 po/lv.po | 258 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 130 insertions(+), 128 deletions(-)

commit 1596afd2ee226b1994f5429a7a892e052dfa052e
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 3 16:56:34 2016 +0200

    metrolyrics: fix html parser
    
    Seems that in some lyrics a new <div></div> can be included with some
    info. That was breaking the html parser.
    
    Instead on relying on ending </div> for the lyric, let's use something
    else that is present and not so common (<p class="writers") as ending
    point for the lyrics and remove what is not interesting for us.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 src/lua-factory/sources/grl-metrolyrics.lua | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b63fa21284116a3f32f50d0012fb093301eb50cb
Author: Victor Toso <me@victortoso.com>
Date:   Mon Sep 5 15:06:32 2016 +0200

    youtube: remove unused variable
    
    grl-youtube.c:591:10: warning: unused variable ‘id’ [-Wunused-variable]
      gchar *id;
             ^~
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 src/youtube/grl-youtube.c | 1 -
 1 file changed, 1 deletion(-)

commit d519b20d3a21bd040671a30cfb701fd735064c6d
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 3 15:21:17 2016 +0200

    youtube: fix assignment compiler warnings
    
    grl-youtube.c:745:47: warning: passing argument 1 of
    gdata_youtube_service_get_categories_async’ from incompatible pointer
      gdata_youtube_service_get_categories_async (service, NULL,
                                                  ^~~~~~~
    grl-youtube.c:31: expected ‘GDataYouTubeService * but argument
    is of type ‘GDataService *
      void gdata_youtube_service_get_categories_async (GDataYouTubeService
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    grl-youtube.c: In function ‘produce_from_feed’:
    grl-youtube.c:1076:9: warning: assignment from incompatible pointer
      query = gdata_youtube_query_new (NULL);
      ^
    
    grl-youtube.c: In function ‘produce_from_category’:
    grl-youtube.c:1128:9: warning: assignment from incompatible pointer
      query = gdata_youtube_query_new (NULL);
      ^
    
    grl-youtube.c: In function ‘grl_youtube_source_search’:
    grl-youtube.c:1317:9: warning: assignment from incompatible pointer
      query = gdata_youtube_query_new (ss->text);
      ^
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 src/youtube/grl-youtube.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e425483848fc4ccce193b682d1e2890c0f406c9d
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 3 15:09:22 2016 +0200

    youtube: replace deprecated gdata_youtube_video_look_up_content
    
    It always return NULL as this is no longer supported by Google.
    
    grl-youtube.c: In function ‘build_media_from_entry’:
    grl-youtube.c:571:2: warning: ‘gdata_youtube_video_look_up_content’ is
    deprecated: Use gdata_youtube_video_get_player_uri instead
    [-Wdeprecated-declarations]
      gdata_youtube_video_look_up_content (video,
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 src/youtube/grl-youtube.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 8d91159f3cd43ec7b9a6f0632bf6a6a99afaa7ca
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 3 15:00:43 2016 +0200

    youtube: replace deprecated gdata_youtube_video_get_video_id
    
    grl-youtube.c:507:5: warning: ‘gdata_youtube_video_get_video_id’ is
    deprecated: Use gdata_entry_get_id instead [-Wdeprecated-declarations]
      grl_media_set_id (media, gdata_youtube_video_get_video_id (video));
      ^~~~~~~~~~~~~~~~
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 src/youtube/grl-youtube.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a93945beb7da8b9334855e67a3f8610c665d26a3
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 3 17:24:40 2016 +0200

    tests: fix url for mocked content in thegamesdb
    
    (test_games:5048): Grilo-WARNING **: [lua-library]
    grl-lua-library.c:504: Can't fetch element 1 (URL:
    http://thegamesdb.net/api/GetGamesList.php?name=Ast%C3%A9rix&platform=PC):
    'Could not find mock content Key file does not have group
    'http://thegamesdb.net/api/GetGamesList.php?name=Ast%C3%A9rix&platform=PC''
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770806

 tests/games/data/network-data.ini | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b9bd0c8c8cdc9119c43bef4bff4dc50db6e5fae
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 5 00:03:14 2016 +0200

    Updated Galician translations

 po/gl.po | 54 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 29 insertions(+), 25 deletions(-)

commit ebd9119589fced895e0b0520a4e966234d5ea8f6
Author: Victor Toso <me@victortoso.com>
Date:   Sat Jul 30 18:57:31 2016 +0200

    lua-factory: One GrlNetWc per lua source
    
    Making usage of GrlNetWc property from previous patch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769331

 src/lua-factory/grl-lua-library.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit cdab2e7963688ac50e5ec5247dd4e843489f7eab
Author: Victor Toso <me@victortoso.com>
Date:   Sat Jul 30 16:39:00 2016 +0200

    lua-factory: Keep GrlNetWc saved as property
    
    In order to make usage of throttling from GrlNetWc we need to keep it
    stored to be used between different operation calls to the lua source.
    
    In order to store this pointer, we make usage of source table which is
    explained in 1074349f2f6ca3edc939313c7ff7d8ff2f5ae53b.
    The full path for this new table and the GrlNetWc userdata is
    * grl.__priv_state.properties
     - grl.__priv_state.properties.net_wc
    
    In order to avoid leaks from these properties, the priv_state has now
    a metattable with __gc set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769331

 src/lua-factory/grl-lua-common.h             |   2 +
 src/lua-factory/grl-lua-library-operations.c | 120 +++++++++++++++++++++++++++
 src/lua-factory/grl-lua-library-operations.h |   3 +
 3 files changed, 125 insertions(+)

commit 74d479543091c598b513d5d9fde826dc74c2b001
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sat Sep 3 09:32:11 2016 +0000

    Updated Korean translation

 po/ko.po | 252 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 128 insertions(+), 124 deletions(-)

commit fbb81658655a99caf5413060c01b442bcb834e33
Author: Victor Toso <me@victortoso.com>
Date:   Thu Aug 25 14:21:12 2016 +0200

    tracker: remove unused notification_ref
    
    Likely a leftover after merging parts of the code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767684

 src/tracker/grl-tracker-source-priv.h |  1 -
 src/tracker/grl-tracker-source.c      | 53 ++++++++++++++---------------------
 2 files changed, 21 insertions(+), 33 deletions(-)

commit 36061c50b95be9a8933e66f360bfbe247c72724b
Author: Victor Toso <me@victortoso.com>
Date:   Thu Aug 25 14:00:01 2016 +0200

    tracker: remove unused GHashTable
    
    It seems that this grl_tracker_source_sources_modified GHashTable was
    being used to keep track of removed GrlTrackerSources while they had
    pending events/notifications.
    
    Current code does never insert on it, we can safely removed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767684

 src/tracker/grl-tracker-source-priv.h |  1 -
 src/tracker/grl-tracker-source.c      | 26 ++------------------------
 2 files changed, 2 insertions(+), 25 deletions(-)

commit 7c6d3882a32b7cc290c435b962264d70fcb30684
Author: Victor Toso <me@victortoso.com>
Date:   Thu Aug 25 14:10:32 2016 +0200

    tracker: fix use after free of GrlTrackerSource
    
    grl_registry_register_source() takes ownership of GrlSource and we
    were not considering it. Increasing reference for Grilo API.
    
    Backtrace:
     #0  0x00007fffbb390571 in notify_change (self=0x17ac8a0 [GrlTrackerSourceNotify], id=104136, change_type=GRL_CONTENT_CHANGED)
         at grl-tracker-source-notif.c:120
     #1  0x00007fffbb3907a1 in update_query_done (self=0x17ac8a0 [GrlTrackerSourceNotify]) at grl-tracker-source-notif.c:159
     #2  0x00007fffbb39088e in update_cursor_next_cb (source_object=0x7fffc00109a0 [TrackerDBCursor], result=0x7fffcf7e75c0, user_data=0x17ac8a0)
         at grl-tracker-source-notif.c:183
     #3  0x00007ffff47aeb43 in g_task_return_now (task=0x7fffcf7e75c0 [GTask]) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./gio/gtask.c:1107
     #4  0x00007ffff47aeb79 in complete_in_idle_cb (task=0x7fffcf7e75c0) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./gio/gtask.c:1121
     #5  0x00007ffff35b905a in g_main_context_dispatch (context=0x623730) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3154
     #6  0x00007ffff35b905a in g_main_context_dispatch (context=context@entry=0x623730) at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3769
     #7  0x00007ffff35b9400 in g_main_context_iterate (context=context@entry=0x623730, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at
         /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3840
     #8  0x00007ffff35b94ac in g_main_context_iteration (context=context@entry=0x623730, may_block=may_block@entry=1)
         at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./glib/gmain.c:3901
     #9  0x00007ffff47d4cdd in g_application_run (application=0x62c180 [RBApplication], argc=1, argv=0x7fffffffde18)
         at /build/glib2.0-wnDt2X/glib2.0-2.48.1/./gio/gapplication.c:2381
     #10 0x00007ffff7acf515 in rb_application_run () at /usr/lib/librhythmbox-core.so.9
     #11 0x0000000000400eba in main ()
    
    Reported-by: Alberto Garcia <berto@igalia.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767684

 src/tracker/grl-tracker-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 187e4478da2333c047dddfbd61d5b52ee9c12be7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sun Aug 28 12:20:17 2016 +0000

    Updated French translation

 po/fr.po | 244 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 124 insertions(+), 120 deletions(-)

commit 5849568a078ada86356f0dbf0865f51e004d70bf
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Aug 28 10:52:08 2016 +0200

    Updated Serbian translation

 po/sr.po       | 61 ++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 63 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 67 insertions(+), 57 deletions(-)

commit 45be54973d3e5d55fb9f0e3833996dd95f900972
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Jul 9 09:50:00 2016 -0400

    dmap: Add album disc number mapping
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768606

 src/dmap/grl-daap-db.c | 7 +++++++
 src/dmap/grl-daap.c    | 1 +
 2 files changed, 8 insertions(+)

commit 38fa5acf3427830af97465fc51de19c3d97348bc
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Jul 31 12:21:40 2016 +0200

    thegamesdb: Add PlayStation support
    
    Add PlayStation support via the unregistered
    'application/x-playstation-rom' MIME type as none is registered for
    PlayStation discs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769347

 src/lua-factory/sources/grl-thegamesdb.lua | 2 ++
 1 file changed, 2 insertions(+)

commit 7cf07511d8b8cbf9c1f165dd19f3af180186c906
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Mon Aug 1 10:17:33 2016 +0200

    thegamesdb: Use Game Boy Color registered MIME type
    
    Use the 'application/x-gameboy-color-rom' MIME type rather than trying
    to disambiguate it from 'application/x-gameboy-rom'.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769373

 src/lua-factory/sources/grl-thegamesdb.lua | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 0e4e016c5940c065060ffa567211f1ea511586ed
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Jul 31 15:31:46 2016 +0200

    thegamesdb: Add Sega CD support
    
    Add Sega CD support via the 'application/x-sega-cd-rom' MIME type.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769356

 src/lua-factory/sources/grl-thegamesdb.lua | 1 +
 1 file changed, 1 insertion(+)

commit c312e456a6dde08012760e52baf3e54754ba4b1d
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Jul 31 16:37:37 2016 +0200

    thegamesdb: Use Genesis 32X registered MIME type
    
    Use the 'application/x-genesis-32x-rom' MIME type rather than trying to
    disambiguate it from 'application/x-genesis-rom'.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769357

 src/lua-factory/sources/grl-thegamesdb.lua | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit d646b449eda10d46601e59f1f5f8ff043b7cfbbf
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Tue Aug 2 19:27:13 2016 +0200

    thegamesdb: Set 'PC' as the default platform
    
    This adds PC games support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769349

 src/lua-factory/sources/grl-thegamesdb.lua | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2800551078ba2635f63f8d9e9a277a02518a4187
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 22 21:30:30 2016 +0200

    Updated Polish translation

 po/pl.po | 58 +++++++++++++++++++++++++++-------------------------------
 1 file changed, 27 insertions(+), 31 deletions(-)

commit fa82a56d2a99eb3c8177bee0073a26963de67525
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Aug 18 23:14:29 2016 +0200

    Updated Slovenian translation

 po/sl.po | 248 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 126 insertions(+), 122 deletions(-)

commit 1275846e07641c896aabb2d7564292040fff80b7
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Aug 11 12:27:09 2016 +0000

    Updated Friulian translation

 po/fur.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a2dd1e99e9103a3c05eeab99ee5c3aca08c0680
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Aug 11 12:24:12 2016 +0000

    Updated Friulian translation

 po/fur.po | 74 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 37 insertions(+), 37 deletions(-)

commit bc6a41517fad55a42b83594d5679937542b1bf7a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Aug 11 11:33:05 2016 +0000

    Updated Slovak translation

 po/sk.po | 246 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 125 insertions(+), 121 deletions(-)

commit d058f06a2d833fe2874dd13013cb017a203df9b5
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Aug 11 10:30:13 2016 +0000

    Updated Friulian translation

 po/fur.po | 56 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit 569ce799ca5965a99a689a715c2c7ead2b388008
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Aug 11 10:19:10 2016 +0000

    Updated Friulian translation

 po/fur.po | 64 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 21f3ee8511a68a818a558f61d1568142c515f02b
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Aug 9 20:50:40 2016 +0000

    Updated Friulian translation

 po/fur.po | 59 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 31 insertions(+), 28 deletions(-)

commit f932efe974c9942d971e1e7991b4daaafe8de541
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Aug 8 05:23:46 2016 +0000

    Added Friulian translation

 po/LINGUAS |   1 +
 po/fur.po  | 614 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 615 insertions(+)

commit cebe9a746673b25d4c1b0351ed0876ea27d1aa5d
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Aug 7 15:21:10 2016 +0300

    Uodated Hebrew translation

 po/he.po | 52 ++++++++++++++++++++++++++++------------------------
 1 file changed, 28 insertions(+), 24 deletions(-)

commit 9ab017acf9560d613f4e990fc92dfb05c4d6d0e3
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Mon Jul 25 14:10:33 2016 +0000

    Updated Hungarian translation

 po/hu.po | 246 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 125 insertions(+), 121 deletions(-)

commit ab584026bac64cd5f46dc7586f8d8346c7f2e787
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 21 22:39:43 2016 +0200

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

 po/ca@valencia.po | 2 +-
 po/nb.po          | 2 +-
 po/sl.po          | 2 +-
 po/sr@latin.po    | 2 +-
 po/zh_HK.po       | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 7c54280d86f07fa262a123c69f8d0165e1b397d6
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Thu Jul 14 19:49:28 2016 +0000

    Updated German translation

 po/de.po | 57 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 31 insertions(+), 26 deletions(-)

commit 8166bcca675f167ab7d0a6a2fbbe35f6b0d3f62a
Author: Saiful B. Khan <saifulbkhan@gmail.com>
Date:   Sat Jul 9 22:43:37 2016 +0530

    AcoustID: Add new sample for testing album-artist to artist change
    
    Added sample pair of acoustID metadata and chromaprint have different
    'recording' artist and 'release-group' artist and still passes the
    original test setup. This is needed to check 'album-artist != artist'
    and hence makes it easy to validate whether the plugin retrieves the
    expected artist and/or album-artist, distinctively.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768520

 tests/lua-factory/sources/Makefile.am                               | 4 +++-
 .../sources/data/acoustid_radiohead_paranoid_android.txt            | 1 +
 .../sources/data/chromaprint_radiohead_paranoid_android.txt         | 1 +
 tests/lua-factory/sources/data/config.ini                           | 2 ++
 tests/lua-factory/sources/test_lua_acoustid.c                       | 6 ++++++
 tests/lua-factory/sources/test_lua_acoustid.gresource.xml           | 1 +
 6 files changed, 14 insertions(+), 1 deletion(-)

commit 2f43e672f5ee55f7661afd2a7565d42e090b4758
Author: Saiful B. Khan <saifulbkhan@gmail.com>
Date:   Thu Jul 7 18:45:35 2016 +0530

    AcoustID: Support fetching artist for song instead of release-group
    
    As acoustID source is meant to be used with a single audio piece at
    a time, its GRL_METADATA_KEY_ARTIST should contain the song or
    recording artist and not the album-artist (which could be from a
    compilation album). Artist for the release group can be made
    available in the future as GRL_METADATA_KEY_ALBUM_ARTIST.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768520

 src/lua-factory/sources/grl-acoustid.lua | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7b8f4df54f1d3ff0d7467499b58b625c79e659af
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jul 3 17:11:05 2016 +0300

    Updated Lithuanian translation

 po/lt.po | 57 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 31 insertions(+), 26 deletions(-)

commit afc4af77cbf84b3e7fee3367a03de852a8cb6014
Author: Victor Toso <me@victortoso.com>
Date:   Wed Jun 29 15:42:11 2016 +0200

    acoustid: fix the metadata-key name to use
    
    The correct name for the metadata-key for fingerprint is 'chromaprint'
    provided by grl-chromaprint
    
    Reported-by: Saiful B. Khan <saifulbkhan@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768185

 src/lua-factory/sources/grl-acoustid.lua | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b67b77c42e1b9355a4907a2607bfb99a21a397e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 27 14:11:52 2016 +0200

    local-metadata: Fix getting thumbnails for videos
    
    a45fd44 removed the title parsing code, but accidentally removed the
    ability to get the thumbnail path for videos at the same time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768093

 src/local-metadata/grl-local-metadata.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 83803b1d2b8dd6db611d2dbf2969c0393757f75c
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Wed Jun 22 21:10:07 2016 +0000

    Updated Indonesian translation

 po/id.po | 248 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 126 insertions(+), 122 deletions(-)

commit 4232613850c23f6dae876ee8168824e97c476e1e
Author: Victor Toso <me@victortoso.com>
Date:   Fri Jun 17 00:06:38 2016 +0200

    Post-release version bump to 0.3.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c68be287cecd5099a5deccebee2c86c15d453cd
Author: Victor Toso <me@victortoso.com>
Date:   Thu Jun 16 23:55:49 2016 +0200

    Release 0.3.2

 NEWS | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 700d21e5852422631d9070fcce2dba103fe9aedb
Author: Victor Toso <me@victortoso.com>
Date:   Thu Jun 16 19:14:12 2016 +0200

    tests: fix typo from previous commit

 tests/lua-factory/sources/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 346d1e4f232451ed4ca1fed01b8cf514c0143e20
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jun 16 19:08:20 2016 +0200

    tests: fix distcheck
    
    Some files where missed in the for distribution.

 tests/games/Makefile.am               | 1 +
 tests/lua-factory/Makefile.am         | 2 +-
 tests/lua-factory/sources/Makefile.am | 7 ++++++-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 7297ea2d64094f07b35cff004a431783068b7722
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jun 16 17:51:01 2016 +0200

    lua-factory: include itunes-podcast.gresource in EXTRA_DIST

 src/lua-factory/sources/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 9341f5ae72a5e132e843ee3946259c0d72af6779
Author: Victor Toso <me@victortoso.com>
Date:   Thu Jun 16 17:41:08 2016 +0200

    configure: fix check for chromaprint plugin
    
    Otherwise it fails to check against --enable-chromaprint

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c38070fbc9e21f9e1e1c31d5b43d6068b1fee1c
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Tue Jun 14 11:21:54 2016 +0800

    lua-factory: Fix gresource build problems when builddir != srcdir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767631

 src/lua-factory/sources/Makefile.am | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 875e826577de6828ef6e4c8557885859eaa31c32
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Apr 3 13:46:04 2016 +0200

    tests: Fix copy/paste error in spotify tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764600

 tests/spotify-cover/test_spotify_cover.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 53f35fb37a6a2c75ecfc2a2031f785041b181d96
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jun 12 13:50:04 2016 +0200

    tests: Disable chromaprint test when plugin is not built

 tests/lua-factory/sources/Makefile.am | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 6cea3757f9e03ba3a0c6fd504f69059537f6f496
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Jun 10 07:34:39 2016 +0200

    Updated Czech translation

 po/cs.po | 54 +++++++++++++++++++++++++++++-------------------------
 1 file changed, 29 insertions(+), 25 deletions(-)

commit 173958f16f9455694921cc2382e47328bf59ca85
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 29 23:11:34 2016 +0200

    lua-factory: support to cancel operation
    
    Grilo has optional method to cancel operations which Lua-Factory had
    not implemented so far, till now.
    
    For each operation we create a GCancellabe that should be used in
    async functions in Lua-Library such as grl.fetch and grl.unzip.
    
    The grl_lua_operations_cancel_operation(), will cancel the operation,
    remove the OperationSpec from its internals and free the related data.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764077

 src/lua-factory/grl-lua-common.h             |  2 ++
 src/lua-factory/grl-lua-factory.c            | 20 ++++++++++++++++
 src/lua-factory/grl-lua-library-operations.c | 35 +++++++++++++++++++++++++++
 src/lua-factory/grl-lua-library.c            | 36 +++++++++++++++++++---------
 4 files changed, 82 insertions(+), 11 deletions(-)

commit b6370419d39351456c6adccb28d04d3f8045b034
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 6 07:12:30 2016 +0000

    Updated Spanish translation

 po/es.po | 249 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 128 insertions(+), 121 deletions(-)

commit 7eb410a292bacf973d8e2b68826af6aa6e49b330
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Wed Jun 1 16:01:55 2016 +0000

    Updated Italian translation

 po/it.po | 245 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 125 insertions(+), 120 deletions(-)

commit 3b5708fa89162785cf6ba92c73ac2081cfd1951d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jun 1 15:30:36 2016 +0200

    Updated Polish translation

 po/pl.po | 58 +++++++++++++++++++++++++++++++---------------------------
 1 file changed, 31 insertions(+), 27 deletions(-)

commit 1c16ce5548b3a2bf792968b33c9d428dae1244c1
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue May 31 14:51:28 2016 +0000

    Updated Swedish translation

 po/sv.po | 246 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 125 insertions(+), 121 deletions(-)

commit bfd1e0d31566e5784665e12af1f365c63bb6fbfe
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Tue May 31 13:43:28 2016 +0000

    Updated Portuguese translation

 po/pt.po | 255 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 131 insertions(+), 124 deletions(-)

commit 6b84665fb0cdf2963a565467a3d72419e1fffb32
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon May 30 20:15:30 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 58 +++++++++++++++++++++++++++++++---------------------------
 1 file changed, 31 insertions(+), 27 deletions(-)

commit 9a51651c0f013fb7c9b6c13bc7fc96922d299ee7
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 30 19:18:00 2016 +0000

    Updated Occitan translation

 po/oc.po | 72 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit a168d9689a377a77e61e045b353d16c407f833fb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon May 30 19:48:19 2016 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 8a638bcc1e2739411fab7630ff914ef2e7a7bfd6
Author: Victor Toso <me@victortoso.com>
Date:   Wed Feb 24 00:07:20 2016 +0100

    acoustid: including tests for the lua source
    
    I'm including real fingerprint of four recordings in order to make this
    test an easy way to improve acoustid in the future. For daily tests, the
    net is mocked.
    
    It is also important to note that acoustid needs a metadata-key
    created by chromaprint which makes necessary to load grl-chromaprint
    for this test.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 tests/lua-factory/sources/Makefile.am              |  36 +++-
 .../data/acoustid_ludovico_einaudi_primavera.txt   |   1 +
 .../data/acoustid_norah_jones_chasing_pirates.txt  |   2 +
 .../data/acoustid_philip_glass_the_passion_of.txt  |   1 +
 .../data/acoustid_trombone_shorty_buckjump.txt     |   1 +
 .../chromaprint_ludovico_einaudi_primavera.txt     |   1 +
 .../chromaprint_norah_jones_chasing_pirates.txt    |   1 +
 .../chromaprint_philip_glass_the_passion_of.txt    |   1 +
 .../data/chromaprint_trombone_shorty_buckjump.txt  |   1 +
 tests/lua-factory/sources/data/config.ini          |  13 ++
 tests/lua-factory/sources/test_lua_acoustid.c      | 204 +++++++++++++++++++++
 .../sources/test_lua_acoustid.gresource.xml        |   9 +
 12 files changed, 270 insertions(+), 1 deletion(-)

commit d8f26f2ea838415354a2726359ddc5d871a10fd8
Author: Victor Toso <me@victortoso.com>
Date:   Tue Feb 23 23:20:07 2016 +0100

    acoustid: add lua sources for audio identification
    
    Based on chromaprint fingerprint the AcoustID source can provice
    important metadata related to the recording.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 src/lua-factory/sources/Makefile.am      |   1 +
 src/lua-factory/sources/grl-acoustid.lua | 133 +++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+)

commit b93248ec56b1f3545f1cbbd0ce18cd0f3b4d20ee
Author: Victor Toso <me@victortoso.com>
Date:   Mon Jul 7 23:07:48 2014 -0300

    chromaprint: include tests for this plugin
    
    At this moment, only testing audio metadata from two small music files
    attached to the tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 configure.ac                                 |   1 +
 tests/Makefile.am                            |   5 ++
 tests/chromaprint/Makefile.am                |  34 ++++++++
 tests/chromaprint/data/sample.flac           | Bin 0 -> 196902 bytes
 tests/chromaprint/data/sample.ogg            | Bin 0 -> 10622 bytes
 tests/chromaprint/test_chromaprint_resolve.c | 124 +++++++++++++++++++++++++++
 tests/chromaprint/test_chromaprint_utils.c   |  62 ++++++++++++++
 tests/chromaprint/test_chromaprint_utils.h   |  35 ++++++++
 8 files changed, 261 insertions(+)

commit db1f2d5d5441529fc5f3dbb72a384fdc8ab23d6c
Author: Victor Toso <me@victortoso.com>
Date:   Mon Jul 7 23:07:14 2014 -0300

    chromaprint: include chromaprint plugin
    
    At this moment, this plugin get only information for audios but it can
    be extended to provide metadata from videos as well, using different
    types of plugins from gstreamer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 Makefile.am                       |   1 +
 configure.ac                      |  84 +++++++
 src/Makefile.am                   |   7 +-
 src/chromaprint/Makefile.am       |  29 +++
 src/chromaprint/grl-chromaprint.c | 470 ++++++++++++++++++++++++++++++++++++++
 src/chromaprint/grl-chromaprint.h |  66 ++++++
 6 files changed, 655 insertions(+), 2 deletions(-)

commit 780dcbc83f78d2befb984d7cbd45732ee9341706
Author: Marinus Schraal <mschraal@scr.gnome.org>
Date:   Fri May 27 16:17:24 2016 +0200

    tracker: Add album artist key mapping
    
    Map nmm:albumArtist to GRL_METADATA_KEY_ALBUM_ARTIST.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766587

 src/tracker/grl-tracker-utils.c | 5 +++++
 1 file changed, 5 insertions(+)

commit c8d78bccebe91576f31ffa1cbc9ed34dd2376a42
Author: Marinus Schraal <mschraal@scr.gnome.org>
Date:   Fri May 27 16:16:25 2016 +0200

    tracker: Indentation fix
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766587

 src/tracker/grl-tracker-utils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6cffca1702e8eedd1428199feca0433a19de9e34
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun May 29 00:54:14 2016 +0200

    thegamesdb: Move a few helpers to the helpers section
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=766678#c18

 src/lua-factory/sources/grl-thegamesdb.lua | 156 ++++++++++++++---------------
 1 file changed, 78 insertions(+), 78 deletions(-)

commit a4ab69de82564948f6b2bb3331081690cb4b9eb9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun May 29 00:51:20 2016 +0200

    thegamesdb: Add support for Game Gear disambiguation
    
    We were expecting all suffixes to be 3 letters, they can be 2 in the
    case of the Game Gear suffix (*.gg).
    
    This also fixes the matching according to the review in:
    https://bugzilla.gnome.org/show_bug.cgi?id=766678#c18

 src/lua-factory/sources/grl-thegamesdb.lua  |   7 +-
 tests/games/Makefile.am                     |   4 +-
 tests/games/data/network-data.ini           |   6 +
 tests/games/data/resolve-getgame-sonic.data |  25 +++
 tests/games/data/resolve-sonic.data         | 274 ++++++++++++++++++++++++++++
 tests/games/test_games.c                    |  13 ++
 6 files changed, 327 insertions(+), 2 deletions(-)

commit 4176fd55a362ca132c32cbaf047687b9bed52df4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun May 29 00:47:46 2016 +0200

    fixup! thegamesdb: Fix cover not found when there's no back cover

 tests/games/Makefile.am                       |  4 +++-
 tests/games/data/network-data.ini             |  6 ++++++
 tests/games/data/resolve-asterix.data         | 16 ++++++++++++++++
 tests/games/data/resolve-getgame-asterix.data | 21 +++++++++++++++++++++
 4 files changed, 46 insertions(+), 1 deletion(-)

commit 14ecb7a588dda4fe2d0fc6b8075b2e2c7ca5c25b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun May 29 00:46:14 2016 +0200

    tests: Add missing files to EXTRA_DIST in games

 tests/games/Makefile.am | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 363c0e7727b9448cfd4f4661115c3828e9176832
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun May 29 00:35:02 2016 +0200

    thegamesdb: Fix cover not found when there's no back cover
    
    As in the test case included ("Astérix" on the Game Gear).

 src/lua-factory/sources/grl-thegamesdb.lua | 12 +++++++++---
 tests/games/test_games.c                   |  6 ++++++
 2 files changed, 15 insertions(+), 3 deletions(-)

commit ac1835687edd32cf1da5eb7c05974503a9c2009f
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Fri May 20 14:21:19 2016 +0200

    test: Add two test cases to thegamesdb
    
    Add thumbnail tests for:
    - Kirby's Dream Land on Game boy
    - Sonic th Hedgehog on Master System
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766678

 tests/games/data/network-data.ini               |  12 +
 tests/games/data/resolve-getgame-kirby-gb.data  |  26 +++
 tests/games/data/resolve-getgame-sonic-sms.data |  49 ++++
 tests/games/data/resolve-kirby-gb.data          |  94 ++++++++
 tests/games/data/resolve-sonic-sms.data         | 286 ++++++++++++++++++++++++
 tests/games/test_games.c                        |  64 ++++--
 6 files changed, 515 insertions(+), 16 deletions(-)

commit 36235f0dea6489a3577ceb4bbb6740e3f65c3193
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 20:49:30 2016 +0200

    tests: Port games test from gamesfaq to thegamesdb
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766678

 tests/games/Makefile.am                       |   12 +-
 tests/games/data/kirby-images-page.data       |  223 ----
 tests/games/data/network-data.ini             |   15 +-
 tests/games/data/resolve-getgame-kirby.data   |   33 +
 tests/games/data/resolve-getgame-strider.data |   63 +
 tests/games/data/resolve-kirby.data           | 1545 ++++++++++---------------
 tests/games/data/resolve-strider.data         |  882 +-------------
 tests/games/data/strider-game-page.data       |  291 -----
 tests/games/data/strider-images-page.data     |  223 ----
 tests/games/test_games.c                      |   32 +-
 10 files changed, 741 insertions(+), 2578 deletions(-)

commit 15841f3293d17dd26ea22371b1f4b0ee47b14511
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 20:50:34 2016 +0200

    lua-factory: Remove GameFAQs source
    
    The website managers made it clear that they did not want anyone to use
    the search engine to find metadata, as stated in the robots.txt file.
    
    As this won't be useful to gnome-games, remove it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766678

 src/lua-factory/sources/Makefile.am      |   1 -
 src/lua-factory/sources/grl-gamefaqs.lua | 210 -------------------------------
 2 files changed, 211 deletions(-)

commit 8ab84cdf46f367da81e144217f980c79ebd07350
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 20:50:00 2016 +0200

    lua-factory: Add TheGamesDB source
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766678

 src/lua-factory/sources/Makefile.am        |   1 +
 src/lua-factory/sources/grl-thegamesdb.lua | 261 +++++++++++++++++++++++++++++
 2 files changed, 262 insertions(+)

commit d53499d3876b1effd3d7893c3be3e9ca61d6eafe
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 18:43:40 2016 +0200

    tests: Fix dist with lua-factory disabled
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766678

 tests/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 52defabf2de80c34504fb9f2229d4f64951553a7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 18:40:17 2016 +0200

    tests: Rename gamefaqs tests to games
    
    As we want to use this test suite for all games.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766678

 configure.ac                                            |  2 +-
 tests/Makefile.am                                       |  2 +-
 tests/{gamefaqs => games}/Makefile.am                   | 16 ++++++++--------
 tests/{gamefaqs => games}/data/kirby-images-page.data   |  0
 tests/{gamefaqs => games}/data/network-data.ini         |  0
 tests/{gamefaqs => games}/data/resolve-kirby.data       |  0
 tests/{gamefaqs => games}/data/resolve-strider.data     |  0
 tests/{gamefaqs => games}/data/strider-game-page.data   |  0
 tests/{gamefaqs => games}/data/strider-images-page.data |  0
 tests/{gamefaqs/test_gamefaqs.c => games/test_games.c}  |  2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)

commit b53c9027a65b864a213d67b4ddad321643928713
Author: Victor Toso <me@victortoso.com>
Date:   Sat May 21 08:51:37 2016 +0200

    lua-factory: avoid leak of GrlNetWc on failure
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764078

 src/lua-factory/grl-lua-library.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f669020c2365e3d428753a0f5bb2c90fed39e20
Author: Victor Toso <me@victortoso.com>
Date:   Thu May 19 21:44:06 2016 +0200

    lua-factory: include error message for broken source
    
    When grl_lua_operations_get_current_op() fails issues a lua_error
    which points to file and line number where the error happened.
    
    If we can't retrieve the current operation it means that
    grl.callback() was called and the grilo operation has been finalized.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764078

 src/lua-factory/grl-lua-library-operations.c |  4 +--
 src/lua-factory/grl-lua-library.c            | 38 +++++++++++++++++++++++++---
 2 files changed, 36 insertions(+), 6 deletions(-)

commit 51a0e32aaf5e4d9f39673bd1514389809093ca6c
Author: Victor Toso <me@victortoso.com>
Date:   Thu May 19 22:52:59 2016 +0200

    metrolyrics: lower failure from warning to debug
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764078

 src/lua-factory/sources/grl-metrolyrics.lua      | 2 +-
 tests/lua-factory/sources/test_lua_metrolyrics.c | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 3c0e9a059cfc8f5fd5f69e11450014597559f1e9
Author: Victor Toso <me@victortoso.com>
Date:   Thu May 19 22:43:13 2016 +0200

    lua-factory: fix syntax-check for lua-sources
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764078

 src/lua-factory/grl-lua-library-operations.c       | 16 +++++++++++-----
 tests/lua-factory/test_lua_factory_source_errors.c |  5 +----
 2 files changed, 12 insertions(+), 9 deletions(-)

commit fd6719297a50d9a44e79fe855ccd44b4f1a10544
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 00:49:06 2016 +0200

    lua-factory: Make _load_goa_data() a private function
    
    It's only used inside the grl-lua-library.c source.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766636

 src/lua-factory/grl-lua-common.h  | 1 -
 src/lua-factory/grl-lua-library.c | 4 +++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit fb8a8d611afa1fbe5d1ce9dd76ef6a0547353e24
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 00:35:32 2016 +0200

    lua-factory: Fix GResource leak
    
    When registering and deregistering a source, we should make sure that
    its resources get unregistered as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766636

 src/lua-factory/grl-lua-factory.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 4fdd9fd93479bed5cf69e972e5891627769560ea
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 19 00:28:46 2016 +0200

    lua-factory: Fix grl.fetch API doc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=766636

 src/lua-factory/grl-lua-library.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b7fece1e9ce8aa5c7f33ff3de30d031e2300b2a
Author: Marinus Schraal <mschraal@scr.gnome.org>
Date:   Fri May 13 18:33:38 2016 +0200

    tracker: Add album disc number mapping
    
    Map nmm:musicAlbumDisc to GRL_METADATA_KEY_ALBUM_DISC_NUMBER.
    
    And require the current development version of grilo as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761869

 configure.ac                    | 2 +-
 src/tracker/grl-tracker-utils.c | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 58c1105fcae0fec8c98c7e744de6f774fa826d64
Author: fosero <fosero@users.noreply.github.com>
Date:   Mon Feb 8 00:14:22 2016 +0100

    tracker: add support for composer key
    
    Add support for GRL_METADATA_KEY_COMPOSER
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761624

 src/tracker/grl-tracker-utils.c | 5 +++++
 1 file changed, 5 insertions(+)

commit fdbfd81b9b4dec6be883a9e37e9c5935fa9a4bbb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Apr 3 13:42:11 2016 +0200

    lua-factory: Add GameFAQs source
    
    To fetch metadata for games.
    
    Now that grilo core doesn't force a particular sub-type of media
    (video, audio or image), and given that the main user of this
    source will be gnome-games, it makes sense to ship this helper
    in grilo-plugins directly.
    
    With help from Adrien Plazas <kekun.plazas@laposte.net>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764602

 configure.ac                                 |   1 +
 src/lua-factory/sources/Makefile.am          |   1 +
 src/lua-factory/sources/grl-gamefaqs.lua     | 210 ++++++
 tests/Makefile.am                            |   2 +-
 tests/gamefaqs/Makefile.am                   |  39 ++
 tests/gamefaqs/data/kirby-images-page.data   | 223 +++++++
 tests/gamefaqs/data/network-data.ini         |  17 +
 tests/gamefaqs/data/resolve-kirby.data       | 941 +++++++++++++++++++++++++++
 tests/gamefaqs/data/resolve-strider.data     | 866 ++++++++++++++++++++++++
 tests/gamefaqs/data/strider-game-page.data   | 291 +++++++++
 tests/gamefaqs/data/strider-images-page.data | 223 +++++++
 tests/gamefaqs/test_gamefaqs.c               | 177 +++++
 12 files changed, 2990 insertions(+), 1 deletion(-)

commit 5e11fca61d969fe0460207a0a662afacecf84d88
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 4 17:42:45 2016 +0200

    lua-factory: Add "none" resolve_keys type
    
    Lua sources should be able to specify that they do not support any of
    the base types that grilo uses.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764602

 src/lua-factory/grl-lua-factory.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fe24c9340da5a8b3a2707f10e79314d7f48ff5c8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat May 14 01:34:32 2016 +0200

    lua-factory: Fix API doc for grl.get_requested_keys()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764602

 src/lua-factory/grl-lua-library.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 271fae4639b7b57b6d7d3fe7d8c6eca70fa50891
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Apr 9 15:20:01 2016 +0200

    lua-factory: Add iTunes Podcast source
    
    A source to browse and search iTunes podcasts.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764816

 src/lua-factory/sources/Makefile.am                |  13 +-
 .../sources/grl-itunes-podcast.gresource.xml       |   6 +
 src/lua-factory/sources/grl-itunes-podcast.lua     | 222 +++++++++++++++++++++
 src/lua-factory/sources/itunes-podcast.png         | Bin 0 -> 542588 bytes
 4 files changed, 238 insertions(+), 3 deletions(-)

commit 3f0fb7a7cf0a89d9491e4618f833cf05fc318739
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 9 20:45:22 2016 +0000

    Updated Occitan translation

 po/oc.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b5b1b4bb9b28b0d3987ab6b5808b93cc5cd1a136
Author: Victor Toso <me@victortoso.com>
Date:   Fri Apr 29 11:23:10 2016 +0200

    tests: metrolyrics with nonexistent lyrics
    
    Testing metrolyrics under bad requests or nonexistent lyrics. The
    expected reply from the server is the 404 'Not Found' response.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764814

 tests/lua-factory/sources/test_lua_metrolyrics.c | 27 ++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 70697337a25d3c6d6b68f52d89b998884e2e10a1
Author: Victor Toso <me@victortoso.com>
Date:   Sat Apr 9 15:23:53 2016 +0200

    tests: metrolyrics with encoded url
    
    Check that we don't create invalid requests for the metrolyrics server
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764814

 tests/lua-factory/sources/test_lua_metrolyrics.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit e80c26e2f40926495ca41a5d9a1ae3d486343d87
Author: Victor Toso <me@victortoso.com>
Date:   Fri Apr 29 11:14:39 2016 +0200

    metrolyrics: char '%' is invalid in metrolyrics url
    
    We should not include '%' or its encoded version to metrolyrics
    requests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764814

 src/lua-factory/sources/grl-metrolyrics.lua | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c30ada523fd662ad5e20027ea168071fc604d70c
Author: Victor Toso <me@victortoso.com>
Date:   Thu Apr 28 22:51:54 2016 +0200

    lua-factory: fix crash on error
    
    On grl_net_wc_request_async callback, we could be using the GError
    pointer more then once in the function, which leads to non null value.
    
    This patch clears the GError pointer and add guards to
    grl_lua_operations_pcall.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764814

 src/lua-factory/grl-lua-library-operations.c | 2 ++
 src/lua-factory/grl-lua-library.c            | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 54b43dd47ac6b113a5a3ef8a5f5c87a47a882437
Author: Victor Toso <me@victortoso.com>
Date:   Sat Apr 9 15:24:39 2016 +0200

    metrolyrics: encode artist/title for correct url
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764814

 src/lua-factory/sources/grl-metrolyrics.lua | 2 ++
 1 file changed, 2 insertions(+)

commit 559192bd73c372d379ecfe7c267bce5e3268294f
Author: Alberto Garcia <berto@igalia.com>
Date:   Sun Feb 28 22:13:33 2016 +0200

    lua-factory: Include trailers.svg in the dist tarball

 src/lua-factory/sources/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit fa4bcb96d7482784bf9089e4015677740c81d775
Author: Alberto Garcia <berto@igalia.com>
Date:   Sun Feb 28 22:09:02 2016 +0200

    podcasts: Fix typo

 src/podcasts/grl-podcasts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21430d999d2228fdbefb7f8337b4008855b1cb81
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 22 17:15:55 2016 +0100

    tmdb: Fix "format not a string literal" error
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764486

 src/tmdb/grl-tmdb-request.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 98a9f60d31b97f839af596f628030562266ce831
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 22 16:22:31 2016 +0100

    jamendo: Fix "format not a string literal" error
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764486

 src/jamendo/grl-jamendo.c | 86 +++++++++++++++++++++++++++++++++++------------
 1 file changed, 65 insertions(+), 21 deletions(-)

commit 129e1dd0ce2fa97476ea2caa9e747fefd5f6ebe6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 22 11:46:11 2016 +0100

    Post-release version bump to 0.3.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b08c0fc7f0dd5ae0450730059d6a4f4b5c79456
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 22 11:22:51 2016 +0100

    0.3.1

 NEWS | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 3b61064b7b2284667d12015ac40c031e76abd43f
Author: Victor Toso <me@victortoso.com>
Date:   Mon Mar 21 16:47:44 2016 +0100

    lua-factory: make grl and grl.lua read-only
    
    By using the metamethod __new_index to trigger an error in case Lua
    source try to use it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-library-operations.c | 13 ++++++++++++-
 src/lua-factory/grl-lua-library.c            |  2 ++
 2 files changed, 14 insertions(+), 1 deletion(-)

commit e473ad9d8e3f043ed28b13e8b77ea3e2a1b4a581
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:29:46 2016 +0100

    Revert "lua-factory: port grl-lastfm-cover.lua to the new lua system"
    
    This reverts commit fbb244ee962ddcf483dc4c6adec30de6c2616436.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-lastfm-cover.lua | 33 ++++++++++++++--------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 2e0d1c87812865434e5c549b2c1824b5b8bf500d
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:10 2016 +0100

    Revert "lua-factory: port grl-radiofrance.lua to the new lua system"
    
    This reverts commit 93547ac94797cdea6670b0d458e838bcdb578f77.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-radiofrance.lua | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit cee1083cbbb1f98a3156e6c0a410148296e0177e
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:09 2016 +0100

    Revert "lua-factory: port grl-spotify-cover.lua to the new lua system"
    
    This reverts commit 9b329f3e5246477f039a1fb2b129706370237c89.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-spotify-cover.lua | 31 ++++++++++++++-------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit ccc3b1b05930d4aac4eb4dd2366242a66c4c8f46
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:07 2016 +0100

    Revert "lua-factory: port grl-pocket.lua to the new lua system"
    
    This reverts commit 368693b7a8599941d5bfe3b73f440e16ff115a24.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-pocket.lua | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 1310c86b58ca2268e1a48d94665c1502546735bd
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:06 2016 +0100

    Revert "lua-factory: port grl-video-title-parsing.lua to the new lua system"
    
    This reverts commit 46b127a9ccee3a01f95bee47e81305238ab17f3a.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 .../sources/grl-video-title-parsing.lua            | 27 +++++++++++++---------
 1 file changed, 16 insertions(+), 11 deletions(-)

commit c3c5462e8fd07093151686394396a265eb0a355a
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:04 2016 +0100

    Revert "lua-factory: port grl-metrolyrics.lua to the new lua system"
    
    This reverts commit 0e71278f1616a55e4e0a3b719abbe978a4ad71af.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-metrolyrics.lua | 35 ++++++++++++++---------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit a789a5b4ee9f9bbbb53e439b17c49752d6122445
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:03 2016 +0100

    Revert "lua-factory: port grl-appletrailers.lua to the new lua system"
    
    This reverts commit bea8e082da513d90660de84f9213a4fd9552d2eb.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-appletrailers.lua | 37 ++++++++++++++-------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit 6b7e154d3ba8fa7912a801b3cc087a4b1e73853f
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:28:02 2016 +0100

    Revert "lua-factory: port grl-euronews.lua to the new lua system"
    
    This reverts commit 592bb1c7a5315e4f2582dad415e03e42f5a43cad.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-euronews.lua | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 1934fe43fd8702b4e4b7cb052fbba7e3b8a0585f
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:27:59 2016 +0100

    Revert "lua-factory: port grl-guardianvideos.lua to the new lua system"
    
    This reverts commit ccfa70cfe911129c8bdb936fda99dd11cc60bff4.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/sources/grl-guardianvideos.lua | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 2fd5ceeca739fa4aa00bc8a80b23b72e00ccdf67
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:27:55 2016 +0100

    Revert "tests: port lua-factory fake sources to new API"
    
    This reverts commit d322e89e6e78ac7810b7eaf314421659b77d5ca7.
    
    But keeps grl.fetch callback as function instead of string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 tests/lua-factory/data/test-source-grl-media.lua  | 18 +++++++++---------
 tests/lua-factory/data/test-source-xml-parser.lua | 21 +++++++++++----------
 2 files changed, 20 insertions(+), 19 deletions(-)

commit c55a863cc4f9ffa4de470a89634c65a94315d346
Author: Victor Toso <me@victortoso.com>
Date:   Sun Mar 13 00:34:56 2016 +0100

    tests: include tests for errors in lua sources
    
    Three tests were introduced at this time:
    * grl.callback is never called;
    * grl.callback is called when operation is finished;
    * grl.callback is not called after an async operation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 tests/lua-factory/Makefile.am                      |  13 ++
 tests/lua-factory/data/test-source-lua-errors.lua  | 136 +++++++++++++++
 tests/lua-factory/test_lua_factory_source_errors.c | 189 +++++++++++++++++++++
 3 files changed, 338 insertions(+)

commit f2860cd6db83158c47a07d46d7b24f2218cd9d13
Author: Victor Toso <me@victortoso.com>
Date:   Sun Mar 13 17:09:47 2016 +0100

    lua-factory: watchdog for lua-sources
    
    This commit allow us to track broken sources such as:
    * sources that never call for grl.callback()
    * sources that might call grl.callback() after the operation is
      already finished
    
    This is done by using a userdata in the top of the stack as a watchdog
    for the current operation. We always push this userdata in
    grl_lua_library_pcall function and it will be always freed by Lua's
    garbage collection.
    
    By attaching a finalize function into this userdata, we can check at
    the time that lua_gc is called if the state of Operation is correct.
    
    This idea was introduced by Morse in d809be39ed2bb so I modify those
    functions to work as the watchdog we need instead of grl_l_callback
    closure.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-library-operations.c | 143 ++++++++++++++++++++++++++-
 src/lua-factory/grl-lua-library.c            |  82 ---------------
 2 files changed, 142 insertions(+), 83 deletions(-)

commit a1379194e5189534c819a02ebd292f3748a45abc
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 23:26:22 2016 +0100

    Revert "lua-factory: change grl.get_options() into the static table"
    
    In order to keep the previous API between Lua sources and Lua-Factory.
    
    This reverts commit 2bfcff90d589d4335105a6423616c7de61cf4c71.
    
    After applying this patch, it will break the lua sources due the API
    change.  We are not passing an static table with all operation options
    to the source anymore.  Lua sources should use grl.get_options() and
    grl.get_requested_keys().
    
    The main goal of reverted patch was to provide a table with all options
    for the operation handler.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-common.h             |   5 +-
 src/lua-factory/grl-lua-factory.c            |  23 +-
 src/lua-factory/grl-lua-library-operations.c |   6 +
 src/lua-factory/grl-lua-library.c            | 535 ++++++++++-----------------
 4 files changed, 227 insertions(+), 342 deletions(-)

commit 500935d069fb622946d2e67f7a2882757e2e4456
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 22:56:35 2016 +0100

    Revert "lua-factory: change grl.get_media_keys() into the static table"
    
    In order to keep the previous API between Lua sources and Lua-Factory.
    
    This reverts commit 3e409b7727f803e2be4427c7544c679373a7d926.
    
    This breaks the current plugins by changing the static table passed as
    argument back grl.get_media_keys()
    
    After applying this patch, it will break the lua sources due the API
    change.  We are not passing an static table as GrlMedia anymore. Lua
    sources should use grl.get_media_keys().
    
    This is not 100% revert. We are keeping some fixes that was introduced
    together with the api change for grilo-0.3 on grl.get_media_keys such as
    using GrlMedia instead of specific types for audio, video, image and box
    (which is now container)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-common.h  |  1 -
 src/lua-factory/grl-lua-factory.c |  9 ++++++---
 src/lua-factory/grl-lua-library.c | 22 ++++++++++++----------
 3 files changed, 18 insertions(+), 14 deletions(-)

commit fd58add90946a2677d26c352dc1d6e962bf5ab94
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 22:41:51 2016 +0100

    Revert "lua-factory: change grl.callback(), grl.fetch() and grl.unzip()"
    
    In order to keep the previous API between Lua sources and Lua-Factory.
    
    This reverts commit d809be39ed2bbd4c410be7aa527b36902362511a.
    
    After applying this patch, it will break the lua sources due the API
    change.  We are not passing callback as argument anymore. Lua sources
    should use grl.callback().
    
    This is not 100% revert as we are keeping a few changes to grl.fetch and
    to grl.unzip:
    * Both those functions are still using a lua function as callback which
      was a string before d809be39;
    * Both this functions now can handle userdata as the last argument;
    * For grl.fetch, the second argument is still an optional table for
      GrlNetWc;
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-common.h  |  2 --
 src/lua-factory/grl-lua-factory.c | 12 ++++------
 src/lua-factory/grl-lua-library.c | 47 +++++++++------------------------------
 3 files changed, 14 insertions(+), 47 deletions(-)

commit 89add4837aa4578abadaf06151e6d0ef2582e122
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 8 12:32:59 2016 +0100

    lua-factory: set state of all operations
    
    This commit uses the functions introduced in previous commit in order to
    track the state of each operation and save its state
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-library-operations.c | 26 ++++++++++++++++++++++++--
 src/lua-factory/grl-lua-library.c            | 21 +++++++++++++++++++--
 2 files changed, 43 insertions(+), 4 deletions(-)

commit 1074349f2f6ca3edc939313c7ff7d8ff2f5ae53b
Author: Victor Toso <me@victortoso.com>
Date:   Sun Mar 6 07:42:08 2016 +0100

    lua-factory: introduce source state table
    
    The major point is being able to track and retrieve ongoing Grilo
    operations data under the same Lua Source.
    
    Before d809be39ed2bbd4c410be we were using the global env in lua (_G) in
    order to store the operation and retrieve it but the design of the code
    was lacking improvements.
    e.g. grl.fetch() and grl.unzip() were bounded to OperationSpec
    
    After d809be39ed2bbd4c410be we removed the the OperationSpec opaque from
    othe global context and utilities functions but the API changed for
    that.
    
    From now on, we will be able to move back to the former API by storing
    again the operation details but without losing the benefits from
    d809be39ed2bbd4c410be.
    
    The specifics from each operation will now be stored into our
    lua-library table: grl
    * grl.__priv_state.current_operation hold the operation being executed;
    * grl.__priv_state.operations hole a table of all ongoing operations;
    
    The operation is defined by a state table which has three fields at the
    moment:
    * op_id: the unique operation id given by Grilo
    * data: an userdata which points to our opaque (OperationSpec)
    * state: holds a string related to the Operation state
      - running: The current ongoing operation
      - waiting: An async call is being performed
      - finalized: Callback was called and this will soon be removed by
        garbage collector
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/Makefile.am                  |   1 +
 src/lua-factory/grl-lua-common.h             |  11 +
 src/lua-factory/grl-lua-library-operations.c | 431 +++++++++++++++++++++++++++
 src/lua-factory/grl-lua-library-operations.h |  38 +++
 src/lua-factory/grl-lua-library.c            |   2 +
 5 files changed, 483 insertions(+)

commit 7c9315e7bb7bf7c572663e002c321d53d76d25cf
Author: Victor Toso <me@victortoso.com>
Date:   Fri Mar 4 16:30:50 2016 +0100

    lua-factory: Create a proxy for grl and grl.lua
    
    By creating a proxy table with custom metatable in order to have more
    control into changes make in grl and grl.lua by Lua sources.
    
    At the moment, the proxy redirects read access (__index metamethod)
    and write access (__newindex metamethod) to the original table but later
    on we can remove write access from Lua sources to our library.
    
    Internally we are should be using the __call metamethod in order to
    retrieve the original table.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/grl-lua-common.h             |   1 +
 src/lua-factory/grl-lua-library-operations.c | 100 +++++++++++++++++++++++++++
 src/lua-factory/grl-lua-library.c            |   5 ++
 3 files changed, 106 insertions(+)

commit 311600c07463721c61b639a510fddaa18574ef95
Author: Victor Toso <me@victortoso.com>
Date:   Mon Mar 7 22:54:26 2016 +0100

    lua-factory: use wrapper for lua_pcall
    
    Due improvements later in the patch series, it becomes useful to have
    such wrapper. We always call the lua_gc after lua_pcall as current logic
    flow expects it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763046

 src/lua-factory/Makefile.am                  |  1 +
 src/lua-factory/grl-lua-common.h             |  3 ++
 src/lua-factory/grl-lua-factory.c            | 50 +++++++++++++-------------
 src/lua-factory/grl-lua-library-operations.c | 52 ++++++++++++++++++++++++++++
 src/lua-factory/grl-lua-library.c            | 18 +++++-----
 5 files changed, 92 insertions(+), 32 deletions(-)

commit cacc7c4ca0fedf507d8f8328b2cfead3ebcfdd1f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 15 14:33:06 2016 +0100

    tracker: Fix type of media when it has multiple types
    
    To avoid a Video application receiving an audio file, when a file is
    tagged in Tracker as having both types, and possibly shifting the
    problem to another type if we were to have a simple "priority" list,
    check what the application wants through the GrlTypeFilter it sets, and
    prefer creating a video file if the app prefers videos.
    
    This should stop totem receiving GrlMediaAudios when it only ever
    expects GrlMediaVideo or containers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730028

 src/tracker/grl-tracker-request-queue.h |  1 +
 src/tracker/grl-tracker-source-api.c    |  8 ++++--
 src/tracker/grl-tracker-source-notif.c  |  2 +-
 src/tracker/grl-tracker-utils.c         | 47 ++++++++++++++++++++++++---------
 src/tracker/grl-tracker-utils.h         |  3 ++-
 5 files changed, 45 insertions(+), 16 deletions(-)

commit 263a7c2c0a1065431484ecd3a5d410bb1c62a509
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 23:40:02 2016 +0100

    Updated Danish translation

 po/da.po | 262 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 134 insertions(+), 128 deletions(-)

commit 116ceb373fa6174bdd62877e4527780f823c6941
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Mar 20 20:11:33 2016 +0100

    Updated Basque language

 po/eu.po | 261 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 133 insertions(+), 128 deletions(-)

commit 723b0fd09d8ef276980748fb776c30060dbcbe73
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Fri Mar 18 17:05:37 2016 +0000

    Updated Italian translation

 po/it.po | 69 ++++++++++++++++++++++------------------------------------------
 1 file changed, 24 insertions(+), 45 deletions(-)

commit 6b58766064e5e0acfb036be7531a7493bcbabea5
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Thu Mar 17 21:53:17 2016 +0300

    Updated Russian translation

 po/ru.po | 175 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 88 insertions(+), 87 deletions(-)

commit f4f899346342976e86ad16dc38ae4965c0bd7e44
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Fri Mar 11 19:51:25 2016 +0000

    Updated Greek translation

 po/el.po | 86 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 44 insertions(+), 42 deletions(-)

commit 72a4e9d1924de741d66b4b5e4ed45e726db3913a
Author: Victor Toso <me@victortoso.com>
Date:   Thu Mar 3 01:17:43 2016 +0100

    lua-factory: use requested-keys as keys for lua api
    
    We always provided the requested-keys to the lua source as an array with
    the metadata-keys as values. That's not so interesting as the source
    will need to walk in the array to check which keys were requested.
    
    As from commit 2bfcff90d589d43351 we started introducing the
    requested-keys as an argument, it would be good to use this moment and
    improve it.
    
    A table with the metadata-keys as key could be easily accessed in the
    source
    
    e.g
    if requested_keys.artist then
      media.artist = my_artist
    end
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 src/lua-factory/grl-lua-library.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit fc9cfe1dc167c6a7b843b91786e9d94b3d0b94a5
Author: Victor Toso <me@victortoso.com>
Date:   Wed Mar 2 22:54:13 2016 +0100

    lua-factory: warn on certain mistakes in the source table
    
    This is a good way to pinpoint simple mistakes when creating the global
    source table
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 src/lua-factory/grl-lua-factory.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit fa5539b92f4df721f24edff0da3c8bed17892fcc
Author: Victor Toso <me@victortoso.com>
Date:   Wed Mar 2 22:21:23 2016 +0100

    lua-factory: not warn for unknown keys in source table
    
    At load time, lua-sources may rely on metadata-keys created in another
    plugin. The warning would cause any test on lua sources to fail unless
    it loads all necessary plugins for its metadata-keys.
    
    e.g.
    (test_local_metadata:9549): Grilo-WARNING **: [lua-factory]
    grl-lua-factory.c:895: Unknown key 'acoustid-fingerprint' in property
    'required' for source 'grl-acoustid'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 src/lua-factory/grl-lua-factory.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 471b7820cb168142a461bec407deac22d48dffa4
Author: Victor Toso <me@victortoso.com>
Date:   Tue Mar 1 22:28:00 2016 +0100

    tests: one lyric was changed in the metrolyrics
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 .../sources/data/lyrics_ring_of_fire.txt           | 39 +++++++++++-----------
 1 file changed, 19 insertions(+), 20 deletions(-)

commit 00fd2bec84b506b22847805df85ee6a617f7ca8c
Author: Victor Toso <me@victortoso.com>
Date:   Wed Feb 24 22:52:17 2016 +0100

    remove option: --enable-apple-trailers
    
    Since 8e3135b41f73e0 the C plugin does not exist anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732879

 Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8b4e54242baf479c7ecc19659975ac17255422cf
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Fri Mar 4 12:53:11 2016 +0000

    Added Occitan translation

 po/LINGUAS |   1 +
 po/oc.po   | 649 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 650 insertions(+)

commit ef2c35b77175cd41add8a15ba990b4ed8fb9c22a
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Thu Mar 3 15:58:12 2016 +0000

    Updated Korean translation

 po/ko.po | 63 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 30 insertions(+), 33 deletions(-)

commit 6ed643971816ade4547ff39dc7e658fe753af1c0
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Mar 1 19:49:57 2016 +0000

    Updated Slovak translation

 po/sk.po | 53 +++++++++++++++++++++++++++--------------------------
 1 file changed, 27 insertions(+), 26 deletions(-)

commit 6027a46574f6b3954d3bec62098555d44e9f6981
Author: fosero <fosero@users.noreply.github.com>
Date:   Wed Jan 27 11:06:38 2016 +0100

    tracker: map key names to SPARQL variables
    
    The Grilo tracker plugin maps grilo key names to SPARQL variables. Key
    names can contains dashes for multipart key names, SPARQL variables
    cannot. This adds an extra mapping to the key lookup that converts the
    dashes to underscores that can be used as SPARQL variable names.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=761168.

 src/tracker/grl-tracker-utils.c | 23 +++++++++++++++++------
 src/tracker/grl-tracker-utils.h |  1 +
 2 files changed, 18 insertions(+), 6 deletions(-)

commit 8a201734b4276845a59c20a91d34c2aec7fe513b
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Feb 23 19:48:31 2016 +0100

    Updated Galician translations

 po/gl.po | 357 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 179 insertions(+), 178 deletions(-)

commit 15023e0137e5ed99ecc262747db313ef2f8695a0
Author: fosero <fosero@users.noreply.github.com>
Date:   Mon Feb 22 18:20:57 2016 +0100

    lastfm-cover: don't return an empty table
    
    In case no thumbnails are found we should just call the callback without
    the empty table as it is consider valid GrlMedia for Lua-Factory.
    
    Related: https://bugzilla.gnome.org/show_bug.cgi?id=761852
    Related: https://bugzilla.gnome.org/show_bug.cgi?id=761694

 src/lua-factory/sources/grl-lastfm-cover.lua | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit ae252b6580037da6493734a34ce3738b02ca14b9
Author: fosero <fosero@users.noreply.github.com>
Date:   Mon Feb 8 00:12:36 2016 +0100

    lastfm-cover: thumbnails ordered from large to small
    
    This makes the plugin return the largest cover first as was previously
    the behaviour with the standalone plugin and is expected by consumer
    applications.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761694

 src/lua-factory/sources/grl-lastfm-cover.lua | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 3c8493627cd0539f7c6a3dc0a1af288b0e4cb686
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Feb 18 21:32:31 2016 +0100

    Updated Serbian translation

 po/sr.po       | 276 ++++++++++++++++++++++-----------------------
 po/sr@latin.po | 351 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 314 insertions(+), 313 deletions(-)

commit c8227f152ca2030bc8311ac3e2d3b27013c5ffe2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue Feb 16 22:35:49 2016 +0000

    Updated Swedish translation

 po/sv.po | 79 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 40 insertions(+), 39 deletions(-)

commit 1ccc1b712dfb7076aa7f7165fc7c13a82f0615f8
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 13 06:57:48 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 173 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 87 insertions(+), 86 deletions(-)

commit 2bf6a118df8d0bb5d99615a9d3c5b54b503d437b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Feb 6 19:33:06 2016 +0200

    Update Latvian translation

 po/lv.po | 274 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 130 insertions(+), 144 deletions(-)

commit 7ea23b819e119d5336ad530f64fcdb2afa38b524
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Feb 2 20:41:38 2016 +0100

    Updated Slovenian translation

 po/sl.po | 250 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 125 insertions(+), 125 deletions(-)

commit 87445decbc3220c028f8c6e3fcc3e623a6af5ff6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Feb 2 17:53:29 2016 +0100

    Updated Slovenian translation

 po/sl.po | 269 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 135 insertions(+), 134 deletions(-)

commit 61d083d2627c02463d57205d85ab789a9182b644
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 2 16:23:05 2016 +0000

    Updated French translation
    (cherry picked from commit 4fc78841c49280f3bb4a997410292b1bd4a8ddab)

 po/fr.po | 81 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 41 insertions(+), 40 deletions(-)

commit d322e89e6e78ac7810b7eaf314421659b77d5ca7
Author: Victor Toso <me@victortoso.com>
Date:   Sat Jan 9 23:27:12 2016 +0100

    tests: port lua-factory fake sources to new API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141

 tests/lua-factory/data/test-source-grl-media.lua  | 18 +++++++++---------
 tests/lua-factory/data/test-source-xml-parser.lua | 21 ++++++++++-----------
 2 files changed, 19 insertions(+), 20 deletions(-)

commit ccfa70cfe911129c8bdb936fda99dd11cc60bff4
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-guardianvideos.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-guardianvideos.lua | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 592bb1c7a5315e4f2582dad415e03e42f5a43cad
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-euronews.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-euronews.lua | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit bea8e082da513d90660de84f9213a4fd9552d2eb
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-appletrailers.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-appletrailers.lua | 37 +++++++++++++--------------
 1 file changed, 18 insertions(+), 19 deletions(-)

commit 0e71278f1616a55e4e0a3b719abbe978a4ad71af
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-metrolyrics.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-metrolyrics.lua | 35 +++++++++++++++--------------
 1 file changed, 18 insertions(+), 17 deletions(-)

commit 46b127a9ccee3a01f95bee47e81305238ab17f3a
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-video-title-parsing.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 .../sources/grl-video-title-parsing.lua            | 27 +++++++++-------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit 368693b7a8599941d5bfe3b73f440e16ff115a24
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-pocket.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-pocket.lua | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 9b329f3e5246477f039a1fb2b129706370237c89
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-spotify-cover.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-spotify-cover.lua | 31 +++++++++++++--------------
 1 file changed, 15 insertions(+), 16 deletions(-)

commit 93547ac94797cdea6670b0d458e838bcdb578f77
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-radiofrance.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-radiofrance.lua | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit fbb244ee962ddcf483dc4c6adec30de6c2616436
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Dec 16 18:26:56 2015 +0300

    lua-factory: port grl-lastfm-cover.lua to the new lua system
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/sources/grl-lastfm-cover.lua | 29 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit d809be39ed2bbd4c410be7aa527b36902362511a
Author: George Sedov <radist.morse@gmail.com>
Date:   Fri Nov 27 15:46:24 2015 +0300

    lua-factory: change grl.callback(), grl.fetch() and grl.unzip()
    
    This commit removes grl.callback() and changes the behavior of the
    grl.fetch() and grl.unzip(). The grl.callback function is now provided
    as a parameter to all the operations, and grl.fetch and grl.unzip now
    require callback as a lua function, not a string. Also, they now accept
    userdata.
    
    This commit finishes the work of removing the OperationSpec from the
    global scope.
    
    functions grl_lua_library_save/load/remove_operation_data and
    functions grl_lua_library_set/get_current_operation
    were removed
    
    functions grl_util_operation_spec_gc push_operation_spec_userdata
    and grl_lua_library_push_grl_callback were added
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/grl-lua-common.h  |   9 +-
 src/lua-factory/grl-lua-factory.c |  34 ++--
 src/lua-factory/grl-lua-library.c | 376 +++++++++++++++++++-------------------
 3 files changed, 199 insertions(+), 220 deletions(-)

commit 3e409b7727f803e2be4427c7544c679373a7d926
Author: George Sedov <radist.morse@gmail.com>
Date:   Fri Nov 27 14:36:01 2015 +0300

    lua-factory: change grl.get_media_keys() into the static table
    
    It's part of the work aimed at removing the OperationSpec from the
    global scope.
    
    grl_l_media_get_keys was replaced by grl_lua_library_push_grl_media
    
    Although the GrlMedia is now a parameter for the lua source, Grilo
    expects that the same GrlMedia object will be returned in the callback
    for the Resolve operation [0]; For that reason we still keep track of
    GrlMedia and merge it with the resulting GrlMedia from Lua source.
    
    [0] see https://bugzilla.gnome.org/show_bug.cgi?id=760382#c3
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/grl-lua-common.h  |  1 +
 src/lua-factory/grl-lua-factory.c |  9 +++-----
 src/lua-factory/grl-lua-library.c | 47 +++++++++++++++++++++++++++++----------
 3 files changed, 39 insertions(+), 18 deletions(-)

commit 2bfcff90d589d4335105a6423616c7de61cf4c71
Author: George Sedov <radist.morse@gmail.com>
Date:   Fri Nov 27 13:56:54 2015 +0300

    lua-factory: change grl.get_options() into the static table
    
    It's part of the work aimed at removing the OperationSpec from the
    global scope.
    
    grl_l_operation_get_keys was replced by push_operation_requested_keys
    
    grl_l_operation_get_options was split and replaced by
    push_operation_type_filter
    push_operation_range_filters
    push_operation_filters
    grl_lua_library_push_grl_options
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/grl-lua-common.h  |   5 +-
 src/lua-factory/grl-lua-factory.c |  27 +-
 src/lua-factory/grl-lua-library.c | 527 +++++++++++++++++++++++---------------
 3 files changed, 340 insertions(+), 219 deletions(-)

commit 66abb77948744d09722c503c029b4c458beb19d0
Author: George Sedov <radist.morse@gmail.com>
Date:   Thu Nov 26 11:39:03 2015 +0300

    lua-factory: remove dependency on GrlSource from plaintext verification
    
    It's part of the work aimed at removing the OperationSpec from the
    global scope.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141
    Acked-by: Victor Toso <me@victortoso.com>

 src/lua-factory/grl-lua-library.c | 39 ++++++++++++++++++++++++++++-----------
 1 file changed, 28 insertions(+), 11 deletions(-)

commit 27b5ca64bbcc89f10f43decf88bdc92d31c543c9
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Mon Jan 25 00:32:38 2016 +0000

    Updated Hungarian translation

 po/hu.po | 59 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 29 insertions(+), 30 deletions(-)

commit 26217f97e9ca2bba4a8b2210d4e747b54ae378e3
Author: Tim Lunn <tim@feathertop.org>
Date:   Fri Jan 15 10:51:01 2016 +1100

    lua-factory: Fix memory leak of list
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760565

 src/lua-factory/grl-lua-factory.c | 1 +
 1 file changed, 1 insertion(+)

commit 78cf2dd5158049174e61fddff3130542032553d5
Author: Tim Lunn <tim@feathertop.org>
Date:   Wed Jan 13 18:38:55 2016 +1100

    lua-factory: avoid double free of GOA data
    
    This fixes test suite failure under Ubuntu buildd's where there is not
    running X session, so goa_client_new_finish() fails with an error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760565

 src/lua-factory/grl-lua-factory.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 18fb1cd65b7afbf0892ce538e85d9950fb545437
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Jan 12 22:38:19 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3570801c9c619dccbc2cdac0b0f24444aac3aed3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 10 20:04:51 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 364 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 180 insertions(+), 184 deletions(-)

commit 56f96c04533d9879583c5cf8314ceb1a1ce80b96
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Jan 9 23:25:03 2016 +0100

    lua-factory: Make containers match any supported_media
    
    Individually, containers are not likely to represent all 3 of
    images/audio/video types at once, it feels a bit backwards that
    lua plugins must use "all" in order to provide information for
    containers.
    
    Fixes album cover fetching on gnome-music after the port to
    grilo 0.3.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760378

 src/lua-factory/grl-lua-factory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b55d0c7a7f579ac97d7dfba4ad8a41319dd2da64
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Sat Jan 2 06:59:02 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 349 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 184 insertions(+), 165 deletions(-)

commit 784e1a633bcc07c09320c6a9376bf163e63b14cf
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Dec 31 17:31:27 2015 +0200

    Updated Hebrew translation

 po/he.po | 251 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 128 insertions(+), 123 deletions(-)

commit 7b3dded80c8fb084ea3d43983a2af1572d236f12
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Tue Dec 29 13:30:50 2015 +0100

    Updated German translation

 po/de.po | 397 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 187 insertions(+), 210 deletions(-)

commit 2b979abb7d64c974ae8248bd88a2c9fbd2c7b67f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Dec 26 19:03:50 2015 +0100

    thetvdb: Bump gom requirements
    
    This ensures that the version of gom supports creating new tables
    in subsequent database versions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759835

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1aa8eebc8914c76ab391c28828fe4c3aced6688f
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Dec 23 11:04:36 2015 +0100

    Updated Czech translation

 po/cs.po | 248 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 126 insertions(+), 122 deletions(-)

commit 32a7034f556718a6704e6abb9be4959d5f5b3b43
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Dec 22 02:14:45 2015 +0000

    Updated Indonesian translation
    (cherry picked from commit 6073ef6f8c54c41821b472d1a91b692b90bc9c6d)

 po/id.po | 47 +++++++++++++++++++++--------------------------
 1 file changed, 21 insertions(+), 26 deletions(-)

commit 3b707eb4e6142749033edb60c5cee92f43cc7f66
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Dec 20 15:11:03 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 263 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 131 insertions(+), 132 deletions(-)

commit d252adc4df86ea95428b0696629cc5e89abf9ff2
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sat Dec 19 07:44:41 2015 +0000

    Updated Portuguese translation

 po/pt.po | 55 +++++++++++++++++++++++++++----------------------------
 1 file changed, 27 insertions(+), 28 deletions(-)

commit 7a02cb26d38d5403a553c886ddd6e62992293575
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 17 19:14:22 2015 +0100

    Updated Spanish translation

 po/es.po | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit af8a0a4b786f5e4b1454e0e58c24af8b6a0b36ae
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Dec 17 02:04:35 2015 +0100

    Updated Polish translation

 po/pl.po | 255 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 125 insertions(+), 130 deletions(-)

commit 8781a2ebac51689db70d7bbc5f185456a72647a7
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Dec 16 22:03:29 2015 +0000

    Post-release version bump to 0.3.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85455365888ef7e62b5f8a2261c43176d3fa4ba5
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Dec 16 22:55:37 2015 +0100

    Release 0.3.0

 NEWS | 169 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 169 insertions(+)

commit d5e8910f1c10c6df784f1d89146c94790bca029f
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Dec 15 16:44:30 2015 +0000

    all: merge {audio,video,image,box} in GrlMedia
    
    All GrlMediaFoo types have been merged in GrlMedia.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755551

 src/bookmarks/grl-bookmarks.c                    | 14 ++--
 src/dleyna/grl-dleyna-source.c                   | 66 ++++++++---------
 src/dmap/grl-daap-db.c                           | 94 ++++++++++++------------
 src/dmap/grl-daap.c                              |  2 +-
 src/dmap/grl-dpap-db.c                           | 58 +++++++--------
 src/dmap/grl-dpap.c                              |  2 +-
 src/filesystem/grl-filesystem.c                  |  2 +-
 src/flickr/grl-flickr.c                          |  6 +-
 src/freebox/grl-freebox.c                        |  4 +-
 src/jamendo/grl-jamendo.c                        | 17 ++---
 src/local-metadata/grl-local-metadata.c          | 18 ++---
 src/lua-factory/grl-lua-factory.c                | 36 ++++-----
 src/lua-factory/grl-lua-library.c                |  4 +-
 src/magnatune/grl-magnatune.c                    | 30 ++++----
 src/metadata-store/grl-metadata-store.c          | 22 +++---
 src/opensubtitles/grl-opensubtitles.c            |  6 +-
 src/podcasts/grl-podcasts.c                      | 10 +--
 src/raitv/grl-raitv.c                            |  6 +-
 src/shoutcast/grl-shoutcast.c                    |  9 +--
 src/thetvdb/grl-thetvdb.c                        | 46 ++++++------
 src/tmdb/grl-tmdb.c                              | 21 ++----
 src/tracker/grl-tracker-source-api.c             | 12 +--
 src/tracker/grl-tracker-utils.c                  | 10 +--
 src/tracker/grl-tracker-utils.h                  | 18 ++---
 src/vimeo/grl-vimeo.c                            |  6 +-
 src/youtube/grl-youtube.c                        | 10 +--
 tests/dleyna/test_dleyna.c                       | 28 +++----
 tests/local-metadata/test_local_metadata.c       |  2 +-
 tests/lua-factory/sources/test_lua_metrolyrics.c | 10 +--
 tests/spotify-cover/test_spotify_cover.c         |  4 +-
 tests/thetvdb/test_thetvdb_resolve_episodes.c    | 12 +--
 tests/thetvdb/test_thetvdb_resolve_shows.c       |  8 +-
 tests/thetvdb/test_thetvdb_resolve_stress.c      | 27 +++----
 tests/vimeo/test_vimeo.c                         |  4 +-
 34 files changed, 302 insertions(+), 322 deletions(-)

commit 6253377b3060287be90d5588f0eb4204dff57d2e
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Dec 15 17:41:22 2015 +0100

    all: use the new API to register keys
    
    The new API requires explicitly to specify the related keys.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755551

 src/bookmarks/grl-bookmarks.c         |  2 +-
 src/gravatar/grl-gravatar.c           | 15 +++++----------
 src/opensubtitles/grl-opensubtitles.c |  5 ++++-
 src/thetvdb/grl-thetvdb.c             | 16 ++++++++--------
 src/tmdb/grl-tmdb.c                   |  8 +++++++-
 src/tracker/grl-tracker.c             |  3 +++
 6 files changed, 28 insertions(+), 21 deletions(-)

commit 4846fd65856bc831e12a89872d80ab03cc74eb09
Author: Victor Toso <me@victortoso.com>
Date:   Wed Dec 16 13:44:36 2015 +0100

    tests: fix dist check

 tests/lua-factory/Makefile.am | 6 ++++--
 tests/thetvdb/Makefile.am     | 5 +++--
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 697caae6e6ac6df2914ca05d78f6e909cb3c7abd
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Dec 10 11:30:57 2015 +0000

    all: explicitly activate plugins
    
    Use the new API to explicitly activate the plugins when required.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759295

 help/examples/example-tmdb.c                       | 7 ++++---
 tests/dleyna/test_dleyna_utils.c                   | 4 +++-
 tests/local-metadata/test_local_metadata.c         | 2 +-
 tests/lua-factory/sources/test_lua_factory_utils.c | 4 +++-
 tests/lua-factory/test_lua_factory_grl_media.c     | 3 ++-
 tests/lua-factory/test_lua_factory_xml_parser.c    | 3 ++-
 tests/spotify-cover/test_spotify_cover.c           | 2 +-
 tests/thetvdb/test_thetvdb_utils.c                 | 6 +++++-
 tests/tmdb/test_tmdb_utils.c                       | 6 +++++-
 tests/vimeo/test_vimeo.c                           | 2 +-
 10 files changed, 27 insertions(+), 12 deletions(-)

commit b4ec244db7ae010310a76cf0b8b7900020aec54b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Dec 10 11:30:40 2015 +0000

    all: Get rid of XML plugin definitions
    
    Use the new GRL_PLUGIN_DEFINE() to create the plugins.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759295

 configure.ac                              | 13 +++++++++++--
 src/bookmarks/Makefile.am                 |  4 ----
 src/bookmarks/grl-bookmarks.c             | 18 ++++++++++++------
 src/bookmarks/grl-bookmarks.xml           | 10 ----------
 src/dleyna/Makefile.am                    | 12 +-----------
 src/dleyna/grl-dleyna.c                   | 17 ++++++++++++-----
 src/dleyna/grl-dleyna.xml                 | 10 ----------
 src/dmap/Makefile.am                      | 10 ----------
 src/dmap/grl-daap.c                       | 17 ++++++++++++-----
 src/dmap/grl-daap.xml                     | 10 ----------
 src/dmap/grl-dpap.c                       | 17 ++++++++++++-----
 src/dmap/grl-dpap.xml                     | 10 ----------
 src/filesystem/Makefile.am                | 12 ------------
 src/filesystem/grl-filesystem.c           | 17 ++++++++++++-----
 src/filesystem/grl-filesystem.xml         | 10 ----------
 src/flickr/Makefile.am                    |  4 ----
 src/flickr/grl-flickr.c                   | 17 ++++++++++++-----
 src/flickr/grl-flickr.xml                 | 10 ----------
 src/freebox/Makefile.am                   |  4 +---
 src/freebox/grl-freebox.c                 | 17 ++++++++++++-----
 src/freebox/grl-freebox.xml               | 10 ----------
 src/gravatar/Makefile.am                  |  4 ----
 src/gravatar/grl-gravatar.c               | 20 +++++++++++++-------
 src/gravatar/grl-gravatar.xml             | 10 ----------
 src/jamendo/Makefile.am                   |  4 ----
 src/jamendo/grl-jamendo.c                 | 17 ++++++++++++-----
 src/jamendo/grl-jamendo.xml               | 10 ----------
 src/local-metadata/Makefile.am            | 12 ------------
 src/local-metadata/grl-local-metadata.c   | 17 ++++++++++++-----
 src/local-metadata/grl-local-metadata.xml | 10 ----------
 src/lua-factory/Makefile.am               |  9 ---------
 src/lua-factory/grl-lua-factory.c         | 14 ++++++++++++--
 src/lua-factory/grl-lua-factory.xml       | 10 ----------
 src/magnatune/Makefile.am                 |  4 ----
 src/magnatune/grl-magnatune.c             | 13 ++++++++++++-
 src/magnatune/grl-magnatune.xml           | 10 ----------
 src/metadata-store/Makefile.am            |  4 ----
 src/metadata-store/grl-metadata-store.c   | 17 ++++++++++++-----
 src/metadata-store/grl-metadata-store.xml | 10 ----------
 src/opensubtitles/Makefile.am             | 12 ------------
 src/opensubtitles/grl-opensubtitles.c     | 17 ++++++++++++-----
 src/opensubtitles/grl-opensubtitles.xml   | 10 ----------
 src/optical-media/Makefile.am             |  4 ----
 src/optical-media/grl-optical-media.c     | 17 ++++++++++++-----
 src/optical-media/grl-optical-media.xml   | 10 ----------
 src/podcasts/Makefile.am                  |  4 ----
 src/podcasts/grl-podcasts.c               | 17 ++++++++++++-----
 src/podcasts/grl-podcasts.xml             | 10 ----------
 src/raitv/Makefile.am                     |  4 +---
 src/raitv/grl-raitv.c                     | 18 ++++++++++++------
 src/raitv/grl-raitv.xml                   | 10 ----------
 src/shoutcast/Makefile.am                 |  4 ----
 src/shoutcast/grl-shoutcast.c             | 17 ++++++++++++-----
 src/shoutcast/grl-shoutcast.xml           | 10 ----------
 src/thetvdb/Makefile.am                   | 10 ----------
 src/thetvdb/grl-thetvdb.c                 | 13 ++++++++++++-
 src/thetvdb/grl-thetvdb.xml               | 10 ----------
 src/tmdb/Makefile.am                      | 12 ------------
 src/tmdb/grl-tmdb.c                       | 18 ++++++++++++------
 src/tmdb/grl-tmdb.xml                     | 10 ----------
 src/tracker/Makefile.am                   |  4 ----
 src/tracker/grl-tracker.c                 | 16 ++++++++++++----
 src/tracker/grl-tracker.xml               | 10 ----------
 src/vimeo/Makefile.am                     | 12 +-----------
 src/vimeo/grl-vimeo.c                     | 17 ++++++++++++-----
 src/vimeo/grl-vimeo.xml                   | 10 ----------
 src/youtube/Makefile.am                   |  4 +---
 src/youtube/grl-youtube.c                 | 17 ++++++++++++-----
 src/youtube/grl-youtube.xml               | 10 ----------
 69 files changed, 293 insertions(+), 488 deletions(-)

commit 64a10844a59c349fcfaff1f2b0f7237d2a031446
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Dec 15 16:24:41 2015 +0000

    tests: Add missing data in thetvdb plugin

 tests/thetvdb/data/config.ini | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c74848fbd102175c845c4958fdb18f6cb17e62c4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Mon Dec 14 08:39:39 2015 +0000

    tracker: ensure ID is always obtained
    
    GRL_METADATA_KEY_ID is almost a mandatory key, and thus must be obtained
    even if user doesn't request it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758654

 src/tracker/grl-tracker-source-api.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit eaef66e0aeeac880e1b9be611d3ed0f7a2b2604c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 25 14:10:30 2015 +0100

    tracker: Map container ID to tracker categories
    
    Combined with the previous commit, this allows:
    grl-launch-0.3 -S browse -k title grlbox://grl-tracker-source/videos
    to actually work. Otherwise the category would be none, and we'd always
    print the top-level categories.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758654

 src/tracker/grl-tracker-source-api.c | 48 +++++++++++++++++++++++++++++++++++-
 1 file changed, 47 insertions(+), 1 deletion(-)

commit 5a2cf05d245f2fa2093f57e38e608642f11a84e7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 25 11:51:47 2015 +0100

    tracker: Add IDs to top-level tracker boxes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758654

 src/tracker/grl-tracker-source-api.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f1fbf7167c3fa6a70019cb8c4d1d0be1c6c8bfbe
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Dec 10 11:25:58 2015 +0000

    build: Show better configuration information
    
    Besides the list of enabled plugins, show other interesting configuration
    information.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755702

 configure.ac | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 564c4ef72ecd44c2f718e9bf00ac991c21913ed9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Dec 10 11:25:16 2015 +0000

    build: Merge grilo.m4 into configure.ac
    
    Get rid of m4 macro.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755702

 Makefile.am  |  2 --
 configure.ac | 14 +++++++++++++-
 m4/grilo.m4  | 18 ------------------
 3 files changed, 13 insertions(+), 21 deletions(-)

commit f29a27d9d7a03478dcf9151ea9fddd3628debf97
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 2 17:10:57 2015 +0100

    tests: Test replacing TV show names
    
    When using a casefolded TV show, check that the show got replaced
    by the show name it would get from TheTVDB.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758959

 tests/thetvdb/data/config.ini              | 10 ++++-----
 tests/thetvdb/test_thetvdb_resolve_shows.c | 33 ++++++++++++++++++++++--------
 2 files changed, 29 insertions(+), 14 deletions(-)

commit aa4e59325e056781d413d3e173cc290788157cdb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 2 17:17:49 2015 +0100

    thetvdb: Force updating the show name
    
    TheTVDB has localised show names, and will correct any missing
    punctuation and casing that might be lost parsing filenames.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758959

 src/thetvdb/grl-thetvdb.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 68ea11658d9a9044103f00836dfbd4445ac23742
Author: Victor Toso <me@victortoso.com>
Date:   Mon Dec 7 07:49:39 2015 +0100

    metrolyrics: fix parser after metrolyrics changes
    
    Metrolyrics now include `class="js-lyric-text"` in the div for lyrics
    and this patch just ignore it.
    
    Also remove `<br>` noise that was introduced recently.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759109

 src/lua-factory/sources/grl-metrolyrics.lua | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 44715562b18dfa573879fe4717008cecd9899022
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Nov 23 10:13:45 2015 +0000

    Updated Indonesian translation
    (cherry picked from commit a830bc90fa06766f38d1ae98b824f0d98781ddf1)

 po/id.po | 118 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 52 insertions(+), 66 deletions(-)

commit 861415177cd6bd07dbfa9556c13cd8ada05596cc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 20 15:49:43 2015 +0100

    freebox: Fix non-unique IDs for radios
    
    As we were using only the URL to differentiate media and that multiple
    radios have the same URL but different audio tracks, a lot of radios had
    the same ID. Fix this by using the audio track ID as well in the ID.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=758404

 src/freebox/grl-freebox.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit df446792d696b4b0d3d541064ffc9d4d6b1cdb4c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Oct 4 16:11:42 2015 +0200

    lua-factory: Port Apple Trailers to new XML parser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755556

 src/lua-factory/sources/grl-appletrailers.lua | 130 ++++++--------------------
 1 file changed, 26 insertions(+), 104 deletions(-)

commit e7097cf12743bbe370bd9147c1058aceae27f18e
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Nov 19 21:46:54 2015 +0200

    Updated Hebrew translation

 po/he.po | 165 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 81 insertions(+), 84 deletions(-)

commit 41e4a212f202130ed4c3a311e700ec91494023f2
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Fri Sep 25 10:36:14 2015 -0400

    tracker: rewrite notification code
    
    The GrlMedia object passed to "content-changed" signal was useless
    because it didn't even contain an URL. To have at least that bare
    minimum information we have to query tracker for all subjects when
    we receive GraphUpdated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746974

 src/tracker/grl-tracker-source-notif.c | 739 ++++++++++++---------------------
 src/tracker/grl-tracker-source-notif.h |   3 +-
 src/tracker/grl-tracker.c              |   1 -
 3 files changed, 273 insertions(+), 470 deletions(-)

commit dc53415f52747c120013bd1c25be00b6add81aae
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Oct 14 12:36:23 2015 +0200

    Updated Basque language

 po/eu.po | 177 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 87 insertions(+), 90 deletions(-)

commit f67dbca7e5a721695128d210ad4f7dc3f7d4d89a
Author: Victor Toso <me@victortoso.com>
Date:   Sat Oct 3 08:26:36 2015 +0200

    tests: lua-factory check xml-parser
    
    Basic test for lua's xml-parser. This test runs a fake lua-source which
    download two mocked contents: a xml and its equivalent in lua's table.
    
    The fake test checks if the table provided by
    grl.lua.xml.string_to_table is correct.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 tests/lua-factory/Makefile.am                      |  23 +++-
 tests/lua-factory/data/config.ini                  |   6 +
 tests/lua-factory/data/test-source-xml-parser.lua  | 116 ++++++++++++++++
 .../data/xml-parser-test-simple-table.lua          |  23 ++++
 tests/lua-factory/data/xml-parser-test-simple.xml  |   1 +
 tests/lua-factory/test_lua_factory_xml_parser.c    | 147 +++++++++++++++++++++
 6 files changed, 311 insertions(+), 5 deletions(-)

commit 069d5927b65649643a88fc15bc225aa1462a2e38
Author: Victor Toso <me@victortoso.com>
Date:   Sun Sep 27 23:34:49 2015 +0200

    lua-factory: Add XML parser
    
    Implement with libxml2 an XML parser similar to the one offered by:
    http://doc.lubyk.org/xml.html
    
    XML parsing from Bastien Nocera
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755556

 configure.ac                                |   9 +-
 src/lua-factory/Makefile.am                 |   1 +
 src/lua-factory/grl-lua-library.c           |   4 +
 src/lua-factory/lua-library/lua-libraries.h |   4 +-
 src/lua-factory/lua-library/lua-xml.c       | 200 ++++++++++++++++++++++++++++
 5 files changed, 214 insertions(+), 4 deletions(-)

commit 1c6519bed0739219945f3730547aaaccc08b9416
Author: Victor Toso <me@victortoso.com>
Date:   Sat Sep 19 23:16:28 2015 +0200

    tests: lua-factory check media from lua sources
    
    Introducing tests to the lua-factory plugin and its API.
    The test-lua-factory-grl-media has the goal to check if the data
    provided by lua-library is the same that the lua-source received.
    
    This is done by 'fake' lua-source provided for this test.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 tests/lua-factory/Makefile.am                      |  51 ++++
 tests/lua-factory/data/config.ini                  |   7 +
 .../data/grl-media-test-all-metadata.json          |  59 +++++
 tests/lua-factory/data/test-source-grl-media.lua   |  70 +++++
 tests/lua-factory/test_lua_factory_grl_media.c     | 295 +++++++++++++++++++++
 .../test_lua_factory_tests.gresource.xml           |   6 +
 6 files changed, 488 insertions(+)

commit 9018103c23118e1df6692bc5e259a44eefebef12
Author: Victor Toso <me@victortoso.com>
Date:   Sat Oct 10 13:20:46 2015 +0200

    lua-factory: allow multiple values for each key
    
    All GrlMedia is GrlData and all its keys could have multiple values by
    default from grl_data_add_* API. Till now, Lua sources were only getting
    the first value of the key.
    
    This patch fixes that by providing multiple values as an array.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 src/lua-factory/grl-lua-library.c | 94 ++++++++++++++++++++++++++++-----------
 1 file changed, 68 insertions(+), 26 deletions(-)

commit 0530a37bfb60af4647514250f374f2efc4b53589
Author: Victor Toso <me@victortoso.com>
Date:   Sat Oct 10 12:48:54 2015 +0200

    lua-factory: better organize grl.get_media_keys()
    
    The logic around pushing the keys and its values are about to get a
    little bit more complex. This commit is to prepare the code for it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 src/lua-factory/grl-lua-library.c | 90 ++++++++++++++++++++++-----------------
 1 file changed, 52 insertions(+), 38 deletions(-)

commit ce0e7d42490bd86baf29e38806a7530e7cb876ab
Author: Victor Toso <me@victortoso.com>
Date:   Wed Oct 7 22:04:16 2015 +0200

    lua-factory: double check optional argument in fetch
    
    Strange error on xml-parser tests when fetching mocked content. The
    third argument was recognized as _G which is lua's table for its
    environment.
    
    Best thing to do is check number of arguments with lua_gettop instead of
    relying on lua_istable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 src/lua-factory/grl-lua-library.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ef2fa4ca90876a25821102230fbb4854632db503
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Mon Oct 12 01:49:12 2015 +0200

    Updated Danish translation by scootergrisen

 po/da.po | 165 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 68 insertions(+), 97 deletions(-)

commit 753d3e8c2d2531172e781e0722ab53a9e3f27427
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Oct 4 16:10:42 2015 +0200

    lua-factory: Fix setting filesizes
    
    Filesizes are int64, therefore, don't use grl_data_add_int() for it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755556

 src/lua-factory/grl-lua-library.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 9f28c98189ba3756555977efd76a98987973b60f
Author: Miguel Rodríguez Núñez <bokerones.fritos@gmail.com>
Date:   Mon Oct 5 07:51:27 2015 +0000

    Updated Spanish translation

 po/es.po | 179 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 88 insertions(+), 91 deletions(-)

commit b3449e62d24aefbb1033916a3bbc90f32cb0b5eb
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Oct 1 15:50:24 2015 +0000

    travis: bump to lua 5.3
    
    Required to build Lua Factory plugin.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13da2010fb3f3f04cfdd55e51a6b44713c756f84
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Oct 1 15:18:40 2015 +0000

    tests: local-metadata: Lua Factory plugin is required
    
    Do not build if Lua Factory plugin is disabled.

 tests/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 4fcbd20cbbd3ee2fa0d2da2ed3f6cbaf8c334bcb
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Sep 30 22:31:59 2015 +0000

    travis: update travis.yml
    
    Add new requirements for 0.3.x.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e9945696b378129088a7e66de418847c41e6540
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Fri Sep 25 09:26:24 2015 -0400

    filesystem: Give the media in notifications, not its parent dir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755181

 src/filesystem/grl-filesystem.c | 28 +++++++---------------------
 1 file changed, 7 insertions(+), 21 deletions(-)

commit eda8bd385f1c6d9e33426d65f0202daee839546f
Author: Alberto Garcia <berto@igalia.com>
Date:   Mon Sep 28 09:09:15 2015 +0200

    build: remove check for librest
    
    This was used by the stand-alone C pocket plugin, but no one needs its
    anymore.

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit ea3f2b4ed62a051662436fc45c36fa85b2865b55
Author: Милош Поповић <gpopac@gmail.com>
Date:   Sun Sep 27 15:54:11 2015 +0000

    Updated Serbian translation

 po/sr.po | 139 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 70 insertions(+), 69 deletions(-)

commit 8cc02f2b5cbd1d0974531ff6ff01b051f27d8551
Author: Victor Toso <me@victortoso.com>
Date:   Thu Sep 24 17:56:03 2015 +0200

    lua-factory: fix use of wrong grl_data_set_int
    
    commit 1e20497737db94c0932a12b4395859 changed the behavior and current
    tests got it. grl_data_set_int64 should be used with G_TYPE_INT64 or
    else we would fail with:
    
    data/grl-related-keys.c:253: value has type gint, but expected gint64
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 src/lua-factory/grl-lua-library.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 26c644e8d3d944758ba8fe6d4f87f2613dd528ca
Author: Victor Toso <me@victortoso.com>
Date:   Thu Sep 24 14:56:32 2015 +0200

    lua-factory: improve title parsing for movies
    
    When our parser does not work for tv shows nor movies, the default is to
    remove the suffix if it is possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755464

 .../sources/grl-video-title-parsing.lua            | 37 ++++++++++++++++++++--
 1 file changed, 35 insertions(+), 2 deletions(-)

commit 77f8954ee2e49234c983c6bc52b55a1e2b36634c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 15:24:33 2015 +0200

    tests: local-metadata: Re-add some old tests that used to work
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755464

 tests/local-metadata/test_local_metadata.c | 2 ++
 1 file changed, 2 insertions(+)

commit 957f44d80f0c75ad8696f4796ed0893317009611
Author: Victor Toso <me@victortoso.com>
Date:   Thu Sep 24 14:54:01 2015 +0200

    tests: local-metadata expects movie without suffix
    
    This way the least we can do is removing the video suffix.
    "Test.mp4" expects "Test" and the same should apply to others.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755464

 tests/local-metadata/test_local_metadata.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7c7d4d82f6a05d50802f30de8ddb4afcc84bbab6
Author: Victor Toso <me@victortoso.com>
Date:   Thu Sep 24 17:50:39 2015 +0200

    lua-factory: fix types in lua-json
    
    If we lua_pushnumber instead of lua_pushboolean, the result would be an
    integer instead of boolean. When this is converted to media keys, it
    fails with:
    
    grl-lua-library.c:394: 'number' is not compatible for 'favourite'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 src/lua-factory/lua-library/lua-json.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42717c03b2d562d3ccfe8f790a746a599b18216d
Author: Victor Toso <me@victortoso.com>
Date:   Thu Sep 24 17:42:58 2015 +0200

    lua-factory: get correct typename on warnings
    
    lua_typename (L, -1) is wrong and returns 'no value'. The correct way is
    using lua_type(L, -1) as the second parameter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755447

 src/lua-factory/grl-lua-library.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 747b57ef0834b446e5adc8a20dcd672abb7c7b2e
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 24 18:27:31 2015 +0000

    Updated Greek translation

 po/el.po | 135 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 67 insertions(+), 68 deletions(-)

commit 93266d61be67c5311e9c8777ab6d2c18fbd6f73c
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Sep 24 16:46:42 2015 +0200

    Updated Czech translation

 po/cs.po | 139 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 58 insertions(+), 81 deletions(-)

commit 32c49421f058b93f7fe372e731f2338935052b04
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Thu Sep 17 15:54:43 2015 -0400

    filesystem: avoid duplicate change notifications
    
     - Make sure to have only one GFileMonitor per directory
    
     - When deleting a directory avoid having both monitors
       (deleted dir's and its parent's) notifying it.
    
     - Fix typo causing notification when a monitor emits
       G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT which happens
       after each set of changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755181

 src/filesystem/grl-filesystem.c | 138 +++++++++++++++++++++++++---------------
 1 file changed, 88 insertions(+), 50 deletions(-)

commit 5c81c2e1bd97bb41a9cc8044c5beba25153d6192
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Sep 23 17:12:50 2015 -0400

    tracker: fix inefficient usage of GHashTable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746974

 src/tracker/grl-tracker-source-notif.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 6d5fb32ca46bc4a32881772f0c7a1fecf4e27229
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Sep 23 17:06:41 2015 -0400

    tracker: fix wrong usage of g_assert()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746974

 src/tracker/grl-tracker-source-notif.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit b0e8529fb48093b76a48ed86e3bbd9181ccfe26d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 24 14:45:24 2015 +0200

    build: Fail if lua-factory can't be build by default
    
    Unless --disable-lua-factory is passed, error out if lua-factory cannot
    be built. We really want distributions to ship lua-factory, as it's how
    the majority of our plugins are implemented.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754531

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc92ecbd701c23fbb79afee0f33c16e44298de9d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 13:02:46 2015 +0200

    all: Bump glib version to 2.44
    
    The same version that grilo requires.

 configure.ac                                       | 2 +-
 help/examples/example-tmdb.c                       | 4 ----
 src/local-metadata/grl-local-metadata.c            | 9 ---------
 src/vimeo/grl-vimeo.c                              | 6 ------
 src/youtube/grl-youtube.c                          | 7 -------
 tests/dleyna/test_dleyna.c                         | 8 --------
 tests/local-metadata/test_local_metadata.c         | 4 ----
 tests/lua-factory/sources/test_lua_factory_utils.c | 4 ----
 tests/spotify-cover/test_spotify_cover.c           | 4 ----
 tests/thetvdb/test_thetvdb_resolve_episodes.c      | 4 ----
 tests/thetvdb/test_thetvdb_resolve_shows.c         | 4 ----
 tests/thetvdb/test_thetvdb_resolve_stress.c        | 4 ----
 tests/tmdb/test_tmdb_fast_resolution.c             | 4 ----
 tests/tmdb/test_tmdb_fast_resolution_by_id.c       | 4 ----
 tests/tmdb/test_tmdb_full_resolution.c             | 4 ----
 tests/tmdb/test_tmdb_missing_configuration.c       | 4 ----
 tests/tmdb/test_tmdb_preconditions.c               | 4 ----
 tests/vimeo/test_vimeo.c                           | 4 ----
 18 files changed, 1 insertion(+), 83 deletions(-)

commit a45fd4432760c6024cab0685ad9423dd48b5a4b4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 12:10:24 2015 +0200

    local-metadata: Remove video title parsing
    
    As we prefer the easier to read code in the equivalent Lua plugin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754532

 src/local-metadata/grl-local-metadata.c | 534 +-------------------------------
 1 file changed, 17 insertions(+), 517 deletions(-)

commit e610cf8700e6c1642b25cc2eaf90dc9ffad89ddf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 23 12:09:24 2015 +0200

    tests: local-metadata: Test only against the Lua source
    
    As we now use title parsing written in Lua, don't test against the
    local-metadata plugin.
    
    Some of the tests that worked only on URLs fail though, but checking
    that has been postponed.
    See https://bugzilla.gnome.org/show_bug.cgi?id=755464
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754532

 tests/local-metadata/Makefile.am           |  3 +-
 tests/local-metadata/test_local_metadata.c | 75 +++++++-----------------------
 2 files changed, 18 insertions(+), 60 deletions(-)

commit 1e20497737db94c0932a12b4395859b4da451aaa
Author: George Sedov <radist.morse@gmail.com>
Date:   Mon Sep 7 13:20:24 2015 +0300

    lua-factory: Accept strings representing integers as integers
    
    This is a regression from Lua 5.2, lua_isinteger() does not convert from
    strings to integer like lua_isnumber() used to.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141

 src/lua-factory/grl-lua-library.c | 34 +++++++++++++++-------------------
 1 file changed, 15 insertions(+), 19 deletions(-)

commit 20775ca7c8730e0319b6c83373fd3a985d15487d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 22 18:27:21 2015 +0200

    build: More 0.3 migration build fixes

 configure.ac | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 4b5841c60642c64a34583d96489ea1750b2161f1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 22 17:51:06 2015 +0200

    build: Use grilo-0.3 development branch

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ed2bd4ccf02f6e33d53a5ad1a69dd24455c7e740
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Sep 19 22:30:33 2015 +0000

    Updated Swedish translation

 po/sv.po | 149 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 75 insertions(+), 74 deletions(-)

commit 6dc67fa5854eb5717714805a1736837316490b9f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 17:12:35 2015 +0200

    tests: Port lastfm-albumart test to test spotify-cover
    
    Repurpose the tests to cover the Spotify cover plugin instead of the
    last.fm one, as the last.fm plugin now requires GOA to be instantiated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700276

 configure.ac                                       |  2 +-
 tests/Makefile.am                                  |  8 +--
 tests/lastfm-albumart/Makefile.am                  | 35 ---------
 tests/lastfm-albumart/data/network-data.ini        | 11 ---
 .../data/resolve-good-found-default.data           | 14 ----
 tests/lastfm-albumart/data/resolve-good-found.data | 82 ----------------------
 tests/spotify-cover/Makefile.am                    | 36 ++++++++++
 tests/spotify-cover/data/network-data.ini          |  9 +++
 tests/spotify-cover/data/resolve-bad-found.data    | 11 +++
 tests/spotify-cover/data/resolve-good-found.data   | 35 +++++++++
 .../test_spotify_cover.c}                          | 82 ++++++----------------
 11 files changed, 114 insertions(+), 211 deletions(-)

commit 37bacc5f08fcc373418837398d71728cec6b8052
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 17:09:17 2015 +0200

    lastfm-albumart: Remove C version of the Last.fm plugin
    
    It was using an outdated API, and has now been fixed and ported to Lua,
    using gnome-online-accounts support.
    
    This leaves the tests alone, as they will be repurposed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700276

 Makefile.am                                 |   1 -
 configure.ac                                |  44 ---
 help/C/grilo-plugins.xml                    |   5 -
 po/POTFILES.in                              |   1 -
 src/Makefile.am                             |   6 +-
 src/lastfm-albumart/Makefile.am             |  42 ---
 src/lastfm-albumart/grl-lastfm-albumart.c   | 421 ----------------------------
 src/lastfm-albumart/grl-lastfm-albumart.h   |  74 -----
 src/lastfm-albumart/grl-lastfm-albumart.xml |  10 -
 9 files changed, 1 insertion(+), 603 deletions(-)

commit 688024e9d417d294d127c17d6daff0e85ccb693e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 15:17:04 2015 +0200

    lua-factory: Add Last.fm plugin
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700276

 src/lua-factory/sources/Makefile.am          |  1 +
 src/lua-factory/sources/grl-lastfm-cover.lua | 88 ++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

commit fef7219173e475ea3b205b1572c017ec300f5a88
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 15:38:25 2015 +0200

    lua-factory: Fix compilation with g-o-a disabled
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754895

 src/lua-factory/grl-lua-factory.c | 8 ++++++++
 src/lua-factory/grl-lua-library.c | 7 +++----
 2 files changed, 11 insertions(+), 4 deletions(-)

commit 03ee61462992a25bebab496ad356af5154d67b27
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 11:57:17 2015 +0200

    lua-factory: Add Spotify cover source
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754811

 src/lua-factory/sources/Makefile.am           |  1 +
 src/lua-factory/sources/grl-spotify-cover.lua | 99 +++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

commit 02d64dd2b11fdd13a96a7558cde87a396a75a060
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sat Sep 12 14:10:04 2015 +0900

    Updated Korean translation

 po/ko.po | 147 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 74 insertions(+), 73 deletions(-)

commit 936e1cde37110d28e39b1f4150093d83a6f3f807
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Sep 11 05:45:20 2015 +0000

    Updated Hungarian translation

 po/hu.po | 151 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 76 insertions(+), 75 deletions(-)

commit 7c356c8c3030774e006f8702e4bca05fffd4bb90
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 13:15:08 2015 +0200

    build: Fix typo in commit 4ee2ede3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ee2ede3912be8bc50bb0f9fa453c8f9ac554746
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 10 12:56:28 2015 +0200

    build: Bump gnome-online-accounts requirement
    
    Music support was added in that version.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 53fcc9a9dc3ccf21dcdbb3c54064dc170e74eb09
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Sep 9 08:02:55 2015 +0000

    Updated Slovak translation

 po/sk.po | 149 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 75 insertions(+), 74 deletions(-)

commit 0ae0eb6e45156b2f9ed57b0c8c4fee112decd433
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 8 23:25:41 2015 +0200

    Updated Slovenian translation

 po/sl.po | 152 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 78 insertions(+), 74 deletions(-)

commit 87f16aff9fd4c9bc9597e524d48829985adc8c37
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:   Mon Sep 7 17:50:20 2015 +0000

    Updated Italian translation

 po/it.po | 157 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 79 insertions(+), 78 deletions(-)

commit 8bce7a6715c7e764e171d94a5f4884c52f48f335
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Sep 7 12:14:21 2015 +0000

    Updated French translation

 po/fr.po | 147 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 74 insertions(+), 73 deletions(-)

commit 5f32e0a2c228791d96158879e8d471579e7f5ebc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Sep 7 14:00:20 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 153 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 77 insertions(+), 76 deletions(-)

commit 2cc25273610627c3e7f50d6273310f0b60f12582
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Mon Sep 7 07:22:53 2015 +0000

    Updated Portuguese translation

 po/pt.po | 157 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 79 insertions(+), 78 deletions(-)

commit 315719e9facc79f47e8788989cd03504d5099207
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 7 00:50:39 2015 +0200

    Updated Polish translation

 po/pl.po | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit 32079ff42daead6383aee853656e04b1dd891d48
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 7 00:41:47 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 3 +++
 1 file changed, 3 insertions(+)

commit 9e32cafa4d484c1c245b672fbe25ce6fb005306a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 6 14:46:28 2015 +0200

    tests: Fix search path for Lua sources
    
    They're not compiled, so they live in the source directory, not the
    build directory.

 tests/local-metadata/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 183ecd41f07cc57d242b7bb281a803a1d64d18db
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 6 14:46:12 2015 +0200

    po: Update POTFILES.in for DAAP/DPAP plugin changes

 po/POTFILES.in | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 9403694cf7c1045fc58c5c0af5c4dc235ffd5775
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 09:04:44 2015 -0400

    dmap: Standardize use of strcmp
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 src/dmap/grl-daap-db.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a98e2d5c1eee40aa091593344053e43c82eb357
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 08:57:34 2015 -0400

    dmap: Add DPAP plugin
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 configure.ac                       |   4 +
 src/dmap/Makefile.am               |  34 ++-
 src/dmap/grl-dpap-db.c             | 368 +++++++++++++++++++++++++++++++
 src/dmap/grl-dpap-db.h             |  90 ++++++++
 src/dmap/grl-dpap-record-factory.c |  58 +++++
 src/dmap/grl-dpap-record-factory.h |  72 ++++++
 src/dmap/grl-dpap-record.c         | 247 +++++++++++++++++++++
 src/dmap/grl-dpap-record.h         |  78 +++++++
 src/dmap/grl-dpap.c                | 439 +++++++++++++++++++++++++++++++++++++
 src/dmap/grl-dpap.h                |  73 ++++++
 src/dmap/grl-dpap.xml              |  10 +
 11 files changed, 1471 insertions(+), 2 deletions(-)

commit a7cb66d2a3c14c9e064506e6373dfdd6568ebc64
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 08:28:36 2015 -0400

    dmap: Add assertions to ensure proper db and record types
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 src/dmap/grl-daap-db.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 7d995f7175ea72efaacbdb25d805fc108a4cde9b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 08:27:50 2015 -0400

    dmap: Rename hash_table to hash_tables
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 src/dmap/grl-daap-db.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5156f2941dcdb329308eaaf91f7248d8b4f16692
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 08:27:01 2015 -0400

    dmap: Use G_N_ELEMENTS
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 src/dmap/grl-daap-db.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44fbba4ffbba87447307f9c8aaec2409e8f18fd0
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 08:26:09 2015 -0400

    dmap: Move some code to grl-common.{c,h} to prepare for DPAP plugin
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 src/dmap/Makefile.am   |   2 +
 src/dmap/grl-common.c  |  45 +++++++++++++++++++
 src/dmap/grl-common.h  |  49 +++++++++++++++++++++
 src/dmap/grl-daap-db.c |  30 ++++++-------
 src/dmap/grl-daap.c    | 117 +++++++++++++++++++------------------------------
 5 files changed, 157 insertions(+), 86 deletions(-)

commit 4b7f77cda3bbf65da89e56d9eb6296d76c1057fd
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Sep 5 09:01:56 2015 -0400

    dmap: Rename plugin to daap
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746722

 configure.ac                                       |   6 +-
 src/dmap/Makefile.am                               |  32 +++---
 src/dmap/{simple-dmap-db.c => grl-daap-db.c}       | 104 ++++++++---------
 src/dmap/grl-daap-db.h                             |  92 +++++++++++++++
 ...-record-factory.c => grl-daap-record-factory.c} |  24 ++--
 ...-record-factory.h => grl-daap-record-factory.h} |  22 ++--
 .../{simple-daap-record.c => grl-daap-record.c}    |  50 ++++----
 .../{simple-daap-record.h => grl-daap-record.h}    |  26 ++---
 src/dmap/{grl-dmap.c => grl-daap.c}                | 128 ++++++++++-----------
 src/dmap/{grl-dmap.h => grl-daap.h}                |  50 ++++----
 src/dmap/{grl-dmap.xml => grl-daap.xml}            |   4 +-
 src/dmap/simple-dmap-db.h                          |  92 ---------------
 12 files changed, 315 insertions(+), 315 deletions(-)

commit be522d118102539abb93abac70b48db00dd75823
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Sep 4 14:43:31 2015 +0100

    youtube: Fix an unpaired unref of a GCancellable when searching
    
    The GCancellable stored in grl_operation_set_data() is unconditionally
    unreffed by release_operation_data(); but is also unconditionally
    unreffed elsewhere if it’s set as os->cancellable, so needs a second ref
    in the grl_operation_set_data() call to avoid a double-unref and crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754244

 src/youtube/grl-youtube.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 28d4c262728e3b830616d872c7abb1954d84b7f1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 4 11:13:58 2015 +0200

    vimeo: Fix distcheck
    
    An extraneous backslash in there.

 src/vimeo/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f4e44c23c15fd14eacf9bfaa5a40801ed94b941b
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Wed Sep 2 23:35:32 2015 +0300

    thetvdb: Use HTTPS rather than insecure HTTP
    
    To avoid leaking (potentially uniquely identifiable) user data over
    plain text (be it search phrases, hashes of contact emails, etc etc),
    use HTTPS whenever possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754489

 src/thetvdb/grl-thetvdb.c                     |  2 +-
 tests/thetvdb/data/config.ini                 | 26 ++++----
 tests/thetvdb/test_thetvdb_resolve_episodes.c | 10 +--
 tests/thetvdb/test_thetvdb_resolve_shows.c    | 30 ++++-----
 tests/thetvdb/test_thetvdb_resolve_stress.c   | 92 +++++++++++++--------------
 5 files changed, 80 insertions(+), 80 deletions(-)

commit 5a43255eafaf11f6259b362e73c8fc53745d2b87
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 2 14:40:25 2015 +0200

    opensubtitles: Fix warnings running gnome-music
    
    When running gnome-music, grl_source_query() will call
    expand_operation_keys() to try and find which sources could help add
    metadata.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754451

 src/opensubtitles/grl-opensubtitles.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8b18594e65fc1196c1d270ee3fcefe55195ea397
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Aug 5 01:38:55 2015 +0300

    lua-factory: Stricter integer typization for Lua
    
    Lua 5.3 introduced a new integer type to Lua. Now it should be used
    instead of previous "number" whenever applicable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141

 configure.ac                           |  4 ++--
 src/lua-factory/grl-lua-factory.c      |  2 +-
 src/lua-factory/grl-lua-library.c      | 42 +++++++++++++++++-----------------
 src/lua-factory/lua-library/lua-json.c |  4 ++--
 4 files changed, 26 insertions(+), 26 deletions(-)

commit e88d6e5561293e2e62d0b63b63038d2de9fc096d
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Aug 5 04:01:16 2015 +0300

    lua-factory: Fix the memory leak in GOA-related functions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141

 src/lua-factory/grl-lua-library.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5d44fb90d51c2eb5f9aee624bde8e2d1748bcddf
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Aug 5 03:58:30 2015 +0300

    lua-factory: Fix the GrlNetWc options being ignored
    
    It will be ignored if the net options are on top of the stack, which is
    nearly every case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141

 src/lua-factory/grl-lua-library.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94a13e2c71963d81fbf495cdf690c9d280680669
Author: George Sedov <radist.morse@gmail.com>
Date:   Wed Aug 5 04:14:57 2015 +0300

    lua-factory: Use correct parameter for 'range-filter' option
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753141

 src/lua-factory/grl-lua-library.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 52efbf69165c57f121370cec1895c0fadac152b0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 28 16:53:33 2015 +0200

    youtube: Fix non-thread-safe refcounting
    
    Which could certainly cause a few bugs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741634

 src/youtube/grl-youtube.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit a692b9e81fcab25b8d417328d5fc7bea9da12bbf
Author: Victor Toso <me@victortoso.com>
Date:   Sat Aug 29 11:51:15 2015 +0200

    metrolyrics: Do not crash when parser fails
    
    (lt-grilo-test-ui-0.2:8463): Grilo-WARNING **: [lua-library]
    grl-lua-library.c:509: calling source callback function fail
    (fetch_page_cb) grl-metrolyrics.lua:99:
    attempt to index a nil value (local 'feed')'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754275

 src/lua-factory/sources/grl-metrolyrics.lua | 5 +++++
 1 file changed, 5 insertions(+)

commit 38747256c0d140236a38280ba97415e7400afe6d
Author: Victor Toso <me@victortoso.com>
Date:   Sat Aug 29 11:38:50 2015 +0200

    metrolyrics: fix source by removing noise
    
    Some changes in the metrolyrics website included more html noise in the
    lyrics.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754275

 src/lua-factory/sources/grl-metrolyrics.lua | 1 +
 1 file changed, 1 insertion(+)

commit 722e3fd09b2e080bb2c0766caafb4614b2975afd
Author: Victor Toso <me@victortoso.com>
Date:   Sat Aug 29 11:36:13 2015 +0200

    tests: match lyrics in the test with metrolyrics
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754275

 tests/lua-factory/sources/data/lyrics_bohemian_rhapsody.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b67d69d47392e7ee74d3cb28098aa8edb5215b9
Author: Victor Toso <me@victortoso.com>
Date:   Sat May 2 00:01:16 2015 +0200

    tests: thetvdb tests cache-only
    
    cache-only test with empty database and with filled database but without
    network
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748422

 tests/thetvdb/test_thetvdb_resolve_shows.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 9169323f1d4b8706252fed9971353182cd44c16d
Author: Victor Toso <me@victortoso.com>
Date:   Fri May 1 23:56:36 2015 +0200

    tests: improve internals of thetvdb resolve shows
    
    This apply last commit changes to have each test with its own thetvdb
    database and also improves test by:
    - having resolve flag as parameter;
    - possibilty to fail test when expected;
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748422

 tests/thetvdb/test_thetvdb_resolve_shows.c | 54 +++++++++++++++++++++---------
 1 file changed, 38 insertions(+), 16 deletions(-)

commit ef77cb7855472c5630a65810e0a243fd5472dae5
Author: Victor Toso <me@victortoso.com>
Date:   Fri Aug 28 16:50:52 2015 +0200

    tests: new function to reset test environment
    
    With commit b4cf71a18de08825006ed7e7c3b8545e736b1839 we are using
    temporary database for thetvdb tests. The goal of this patch is a way to
    reset test environment by removing the database and re-loading the
    plugin. If a test need a clean environment, it can call
    test_reset_thetvdb ().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748422

 tests/thetvdb/test_thetvdb_utils.c | 28 ++++++++++++++++++++++------
 tests/thetvdb/test_thetvdb_utils.h |  1 +
 2 files changed, 23 insertions(+), 6 deletions(-)

commit 3298de74b0d69655cad2dc51f67aa5d26a9caed8
Author: Victor Toso <me@victortoso.com>
Date:   Thu Aug 27 10:46:15 2015 +0200

    bliptv: Remove source
    
    As stated in the blip.tv/shutdown/message.html
    "Dear Blip User,
    
    Blip was closed on Thursday, August 20, 2015.
    
    As you may know, Blip was acquired by Maker Studios in September 2013
    and the acquisition has allowed for additional, more expansive
    direct-to-consumer tools and products for content creators across the
    network.
    
    If you are a creator and you have a YouTube channel, we encourage you
    to apply to the Maker Gen network to take advantage of Maker’s tools
    and services. Signup can be found here: https://max.makerstudios.com/.
    
    If you are a viewer, we encourage you to check out the great content
    from Maker talent at our new flagship site: http://maker.tv/
    
    We thank you for being a great partner to Blip!
    
    Blip Support"
    
    This source does not work anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725031

 Makefile.am                        |    1 -
 configure.ac                       |   45 -
 help/C/grilo-plugins.xml           |    5 -
 po/POTFILES.in                     |    1 -
 src/Makefile.am                    |    6 +-
 src/bliptv/Makefile.am             |   55 -
 src/bliptv/bliptv.gresource.xml    |    6 -
 src/bliptv/channel-bliptv.svg      |  127 -
 src/bliptv/grl-bliptv.c            |  567 ---
 src/bliptv/grl-bliptv.h            |   79 -
 src/bliptv/grl-bliptv.xml          |   10 -
 tests/Makefile.am                  |    5 -
 tests/bliptv/Makefile.am           |   37 -
 tests/bliptv/data/gnome.data       | 1037 -----
 tests/bliptv/data/grilo.data       |   36 -
 tests/bliptv/data/network-data.ini |   14 -
 tests/bliptv/data/page1.data       | 8494 -----------------------------------
 tests/bliptv/data/page2.data       | 8565 ------------------------------------
 tests/bliptv/test_bliptv.c         |  281 --
 19 files changed, 1 insertion(+), 19370 deletions(-)

commit 1893e6ee690ac1dda3a3a2f9c6a53cce8c1c5318
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 25 18:48:21 2015 +0200

    Updated Polish translation

 po/pl.po | 123 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 52 insertions(+), 71 deletions(-)

commit 45e2abe2609f3fbf0e50c889d7043507f7968f49
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Dec 23 10:17:39 2014 +0000

    tracker: Keep references to GrlTrackerSources in global hash table
    
    Force the GrlTrackerSources in the grl_tracker_source_sources to stay
    alive while they are in the hash table. Otherwise, due to the mismatch
    between Tracker events and signalling changes to the hash table, we can
    end up using finalised members from the hash table in (e.g.)
    tracker_evt_update_orphan_item_cb() (I think).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733582

 src/tracker/grl-tracker-source-notif.c |  6 +++++-
 src/tracker/grl-tracker-source.c       | 18 +++++++++++++-----
 2 files changed, 18 insertions(+), 6 deletions(-)

commit 59d80331a2c50e00ac248691bcb5cd965b53c190
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 27 15:10:10 2014 +0100

    tracker: Update for last-played type change
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686175

 src/tracker/grl-tracker-utils.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 3ae4ffd882de07b2e8640b82e326632e53c2937d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 27 15:09:42 2014 +0100

    metadata-store: Update for last-played type change
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686175

 src/metadata-store/grl-metadata-store.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit b4cf71a18de08825006ed7e7c3b8545e736b1839
Author: Victor Toso <me@victortoso.com>
Date:   Mon Apr 27 19:57:43 2015 +0200

    tests: use temporary database on thetvdb tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748422

 tests/thetvdb/test_thetvdb_utils.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit bd39ef84678f83e876bd412b8a6fdc88cfeab1d0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 25 15:27:21 2015 +0200

    tests: Add another alias test with a translated series name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748423

 tests/thetvdb/data/config.ini                       |  3 +++
 tests/thetvdb/data/les_experts_miami_get_series.txt | 16 ++++++++++++++++
 tests/thetvdb/test_thetvdb_resolve_shows.c          |  3 ++-
 3 files changed, 21 insertions(+), 1 deletion(-)

commit 2b90f1bef196bc08969b206c81e12389049f04b1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 25 15:25:42 2015 +0200

    thetvdb: Always search show names in all languages
    
    Also update the tests' mock data to match.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748423

 src/thetvdb/grl-thetvdb.c     |  2 +-
 tests/thetvdb/data/config.ini | 12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 060472c67305db0da6cd4b0673cdd73534a403c8
Author: Victor Toso <me@victortoso.com>
Date:   Tue Aug 25 14:00:26 2015 +0200

    tests: thetvdb with fuzzy name in show name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748423

 tests/thetvdb/Makefile.am                      |   2 +
 tests/thetvdb/data/config.ini                  |   6 +++
 tests/thetvdb/data/csi_miami_get_series.txt    |  15 +++++++
 tests/thetvdb/data/csi_miami_series_all_en.zip | Bin 0 -> 61997 bytes
 tests/thetvdb/test_thetvdb_resolve_shows.c     |  54 +++++++++++++++++++++++++
 5 files changed, 77 insertions(+)

commit 2a6dcfc954c14ae5d0b6161f436ce6a4a2f3f5e8
Author: Victor Toso <me@victortoso.com>
Date:   Tue Aug 25 10:32:07 2015 +0200

    tests: improve helper function with cache only arg
    
    And also check if out args are not NULL; both improvements will be used
    in the next commit
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748423

 tests/thetvdb/test_thetvdb_resolve_shows.c | 34 ++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 11 deletions(-)

commit 510f88aca3aaa82007b20378dbc126c8aad71a74
Author: Victor Toso <me@victortoso.com>
Date:   Sun Apr 26 20:49:17 2015 +0200

    thetvdb: avoid cache miss with fuzzy series name
    
    Including the requested show name in the database we can map it with
    what thetvdb returned. By looking in both columns we can avoid the cache
    miss. e.g:
    
    thetvdb: "CSI: Miami"
    application: "CSI - Miami"
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748423

 src/thetvdb/Makefile.am                     |   1 +
 src/thetvdb/grl-thetvdb.c                   | 113 ++++++++++++++++++--
 src/thetvdb/thetvdb-resources-fuzzy-names.c | 155 ++++++++++++++++++++++++++++
 src/thetvdb/thetvdb-resources.h             |  52 ++++++++++
 4 files changed, 313 insertions(+), 8 deletions(-)

commit 66710d98ca8fc118ec78aa62b71bd3019806b2d5
Author: Victor Toso <me@victortoso.com>
Date:   Fri Jul 31 23:08:56 2015 +0200

    thetvdb: use define for gom table names
    
    This is useful when referencing external tables as we are going to do in
    the next commit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748423

 src/thetvdb/thetvdb-resources-episodes.c | 2 +-
 src/thetvdb/thetvdb-resources-series.c   | 2 +-
 src/thetvdb/thetvdb-resources.h          | 2 ++
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 927ab69baa8a9b93a4921c144e7e410d2222951d
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Mon Aug 17 14:42:01 2015 -0400

    tracker: Populate track number metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753732

 src/tracker/grl-tracker-utils.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4dbb4f0f892f20c4fc411920bf74c503d1df22e5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 26 19:11:41 2015 +0200

    lua-factory: Re-add "Music" GOA support
    
    Now that it's been merged into gnome-online-accounts.
    
    This reverts commit ba242009e67638d5139a54a7c49eb6eaa6926bd9.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752899

 configure.ac                      |  2 +-
 src/lua-factory/grl-lua-factory.c | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit e1a233da573b6c2b120fc874268327ae44b2d371
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Apr 27 17:56:57 2015 +0100

    tracker: Eliminate duplicate search results
    
    Add a DISTINCT to the query to eliminate duplicate search results when
    using grl_source_browse() on a grl-tracker source. Unlike other uses of
    DISTINCT in the source, it is not conditional on the browse-filesystem
    config key being enabled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748539

 src/tracker/grl-tracker-source-api.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 57b345fbf40cd744f37246671df189b6d99144ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 27 13:00:41 2015 +0200

    lua-factory: Fix memory leak fetching ISO8859-1 text
    
    Fix memory leak introduced in e064a170316e2a737d0625720b706e4c08bae6e6
    when the text downloaded is actually in ISO8859-1 format.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752895

 src/lua-factory/grl-lua-library.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ba242009e67638d5139a54a7c49eb6eaa6926bd9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 26 19:10:39 2015 +0200

    lua-factory: Disable "Music" support until GOA has support
    
    This fixes the build for the current master gnome-online-accounts.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=751981

 src/lua-factory/grl-lua-factory.c | 10 ----------
 1 file changed, 10 deletions(-)

commit e064a170316e2a737d0625720b706e4c08bae6e6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 26 18:23:26 2015 +0200

    lua-factory: Also try convert HTML from ISO8859-1
    
    The OKGoals source will try and download:
    http://www.okgoals.com/page-start_from_108.0_archive_.html
    which contains an ISO8859-1 accent, despite being declared as UTF-8. Try
    to convert from ISO8859-1 before giving up on the download content.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752895

 src/lua-factory/grl-lua-library.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 5e498fa767475d42a1f0e028eba5d5f6b1192821
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 18:30:18 2015 +0200

    lua-factory: Add duration support to Apple Trailers

 src/lua-factory/sources/grl-appletrailers.lua | 2 ++
 1 file changed, 2 insertions(+)

commit 8e3135b41f73e065d47a69d7cb84aab534079847
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 21 20:06:43 2015 +0200

    apple-trailers: Remove stand-alone C apple-trailers plugin
    
    Note that this removes, but does not migrate the tests, as those were
    already broken. The trailers rotate and change, and using information
    like this is bound to get outdated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 configure.ac                                    |  45 --
 po/POTFILES.in                                  |   1 -
 src/Makefile.am                                 |   6 +-
 src/apple-trailers/Makefile.am                  |  58 ---
 src/apple-trailers/apple-trailers.gresource.xml |   6 -
 src/apple-trailers/channel-trailers.svg         | 107 ----
 src/apple-trailers/grl-apple-trailers.c         | 623 ------------------------
 src/apple-trailers/grl-apple-trailers.h         |  78 ---
 src/apple-trailers/grl-apple-trailers.xml       |  10 -
 tests/Makefile.am                               |   5 -
 tests/apple-trailers/Makefile.am                |  34 --
 tests/apple-trailers/data/apple-trailers.data   |   2 -
 tests/apple-trailers/data/network-data.ini      |   6 -
 tests/apple-trailers/test_apple_trailers.c      | 164 -------
 14 files changed, 1 insertion(+), 1144 deletions(-)

commit edb26e0e3a5447e47e9d3e9d4f300dd8457a8468
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 22 19:13:44 2015 +0200

    lua-factory: Use GRL_WARNING instead of g_warning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 src/lua-factory/grl-lua-library.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit d5e489d2acc98dd1964dde8236b5b4a75ba99d7f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 21 19:48:34 2015 +0200

    lua-factory: Fix performer key containing only one name
    
    Fix the handling of arrays of strings. We shouldn't always overwrite the
    names previously there, especially as the key is emptied before handling
    tables of values.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 src/lua-factory/grl-lua-library.c | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit 46d7ebff52b8c936f32140b457d5f9c0e6e83b50
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 21 19:40:12 2015 +0200

    lua-factory: Add support for GRL_METADATA_KEY_SIZE
    
    GRL_METADATA_KEY_SIZE is an int64 key, which we need to support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 src/lua-factory/grl-lua-library.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 069f7dcc4f2d7578a7efa7d0283783ff26434609
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 21 17:49:24 2015 +0200

    lua-factory: Port Apple Trailers source to Lua
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 src/lua-factory/sources/Makefile.am                |  11 +-
 .../sources/grl-appletrailers.gresource.xml        |   6 +
 src/lua-factory/sources/grl-appletrailers.lua      | 217 +++++++++++++++++++++
 src/lua-factory/sources/trailers.svg               | 107 ++++++++++
 4 files changed, 339 insertions(+), 2 deletions(-)

commit e8d82211c3053d2b1a79185d05351c9ac8c6019d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 21 19:54:01 2015 +0200

    lua-factory: Add Pocket GResource file to the dist
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 src/lua-factory/sources/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit c101d06f0526f834ddb70d35dd5e3f32c8fc2a25
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 21 17:48:58 2015 +0200

    lua-factory: Better debugging when registering sources
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752681

 src/lua-factory/grl-lua-factory.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit b53c916d12dfc393991155e126859103f681142d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 19 15:00:38 2015 +0200

    pocket: Remove stand-alone C pocket plugin
    
    It's been replaced by a Lua version.

 configure.ac                    |   53 --
 po/POTFILES.in                  |    1 -
 src/Makefile.am                 |    6 +-
 src/pocket/Makefile.am          |   48 --
 src/pocket/channel-pocket.svg   |  137 -----
 src/pocket/gnome-pocket.c       | 1052 ---------------------------------------
 src/pocket/gnome-pocket.h       |  124 -----
 src/pocket/grl-pocket.c         |  393 ---------------
 src/pocket/grl-pocket.h         |   76 ---
 src/pocket/grl-pocket.xml       |   10 -
 src/pocket/pocket.gresource.xml |    6 -
 11 files changed, 1 insertion(+), 1905 deletions(-)

commit b6c474d99085af80b5058ef385bc54617bf0521a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 12 15:02:38 2015 +0200

    lua-factory: Add lua-based Pocket plugin

 src/lua-factory/sources/Makefile.am              |  16 +-
 src/lua-factory/sources/grl-pocket.gresource.xml |   6 +
 src/lua-factory/sources/grl-pocket.lua           | 182 +++++++++++++++++++++++
 src/lua-factory/sources/pocket.svg               | 137 +++++++++++++++++
 4 files changed, 338 insertions(+), 3 deletions(-)

commit b5c2560bdc760c96b1101f498e414bb2215cc6e6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 19 16:16:46 2015 +0200

    lua-factory: Add grl.is_video_site() function
    
    Based upon totem-pl-parser's totem_pl_parser_can_parse_from_uri()
    function.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752595

 configure.ac                      |  9 +++++++--
 src/lua-factory/grl-lua-library.c | 27 +++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 2 deletions(-)

commit 9a709c89e4de87e79f0d2721c543873e78c1baee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 16 12:30:13 2015 +0200

    lua-factory: Add GOA Lua access functions
    
    Add functions to access the access_token and consumer key for
    GOA Lua sources.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751981

 src/lua-factory/grl-lua-library.c | 88 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

commit bb4b13e4d886242dbf290f0cbc3c8321499694f2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 16 12:28:51 2015 +0200

    lua-factory: Add GOA support
    
    Make it possible for sources to be spawned for each account of a
    specific provider (Google, VK, etc.) and specific feature (Music, Read
    Later, Videos).
    
    Based on original patch by RadistMorse <radist.morse@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751981

 configure.ac                      |   6 +
 src/lua-factory/grl-lua-common.h  |  10 +
 src/lua-factory/grl-lua-factory.c | 466 +++++++++++++++++++++++++++++++++++++-
 src/lua-factory/grl-lua-library.c |  46 ++++
 4 files changed, 521 insertions(+), 7 deletions(-)

commit 1979e72b519a92786f518d0376c81bce764f9534
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 17 18:58:47 2015 +0200

    freebox: Add a TODO item

 src/freebox/grl-freebox.c | 1 +
 1 file changed, 1 insertion(+)

commit 1c59631b53bc0acebd276f4704f6c8f12c2ee42a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jun 14 23:59:04 2015 +0200

    lua-factory: Add grl.encode() helper
    
    This can be used to encode search terms for constructing URIs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645799

 src/lua-factory/grl-lua-library.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 15f20d752eb4a7b8d370302e14b3e8974773312a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 19 15:18:08 2015 +0200

    tests: Fix lua-factory Makefile generation
    
    EXTRA_DIST is already assigned in gtester.mk, so add to it rather
    than try to redefine it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752594

 tests/lua-factory/sources/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb22fc516094a39fe8f0dd114ab74c2bd7b3dbeb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 19 15:07:50 2015 +0200

    lua-factory: Add support for dates in Epoch format
    
    Make it possible to pass the creation or modification dates as a number
    of seconds since Epoch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752593

 src/lua-factory/grl-lua-library.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 65300fb11429bd413fad7f8d3da67ca4cd8b69d4
Author: Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>
Date:   Sat May 16 01:05:44 2015 +0200

    filesystem: copy xml to libs dir.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749458

 src/filesystem/Makefile.am | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 42a939111800a51df0ef73dab0e2b3e39ad43396
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Jul 16 11:37:45 2015 +0100

    local-metadata: try per-track XDG thumbnails before per-album media art
    
    Some XDG thumbnailers (including at least Tumbler and Totem's
    thumbnailer) are able to extract embedded art from media files and cache
    it in XDG_CACHE_HOME/thumbnails, just like they would for images and
    videos. In some cases the thumbnailer might support embedded art even
    when the libmediaart extractor (in my case tracker-extract) does not.
    
    If this embedded art exists, it is likely to be a better match
    for the track than the album art would be: for instance,
    http://freemusicarchive.org/music/Nine_Inch_Nails/The_Slip/ has a
    distinct piece of artwork embedded in each track, none of which
    match the album cover. Accordingly, I'm trying the thumbnail before
    falling back to libmediaart, not the other way round.
    
    Using the thumbnailer's interpretation of the correct per-track
    thumbnail also has the benefit that the track is guaranteed to look
    the same in a Grilo application as it does in a general-purpose
    file manager, whereas with libmediaart it is possible that the
    thumbnailer and the libmediaart extractor might choose different
    images in corner cases.
    
    In principle, https://wiki.gnome.org/DraftSpecs/MediaArtStorageSpec
    supports per-track artwork, which libmediaart could process and store;
    the specification recommends treating embedded art as the highest
    possible priority. However, in practice libmediaart does not
    currently do this.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=752437

 src/local-metadata/grl-local-metadata.c | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 60417240a6464d5f640f5bba35d453f22cb12967
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Jul 16 14:55:05 2015 +0100

    local-metadata: consolidate code for allocating a cancellable
    
    If the operation_id already has a cancellable attached to it, which
    might be in use by parallel asynchronous operations, we don't want
    to allocate another one.
    
    This allows chains of async operations to call into each other
    without error.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=752437

 src/local-metadata/grl-local-metadata.c | 33 ++++++++++++++++++++++-----------
 1 file changed, 22 insertions(+), 11 deletions(-)

commit 67ea3ac1f7e9aa754fbaf33b25b999dc39073767
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Jul 17 16:45:12 2015 +0100

    local-metadata: only free cancellable when operation finishes
    
    resolve_album_art() already used this technique, but resolve_image()
    was relying on releasing an implicit reference in got_file_info()
    around the time it finished the operation, which is not going to work
    well if we want to chain additional sub-operations that share a
    cancellable.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=752437

 src/local-metadata/grl-local-metadata.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit b5a05ec50b5513d084e0a14d407c55b645f4bc22
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Jul 16 14:51:19 2015 +0100

    local-metadata: don't double-free cancellable
    
    resolve_album_art() is "balanced" with respect to the cancellable's
    refcount: it exits with 1 reference to the cancellable owned by
    the operation_id, having arranged for that reference to be destroyed
    by a GDestroyNotify when the operation_id finishes. There
    is no need for resolve_album_art_cb() to release the same reference.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=752057

 src/local-metadata/grl-local-metadata.c | 3 ---
 1 file changed, 3 deletions(-)

commit 4fabe6f48005e19b4627e60b881a735637c35900
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 9 03:09:46 2015 +0200

    lua-factory: Add missing config.h includes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751981

 src/lua-factory/grl-lua-factory.c | 2 ++
 src/lua-factory/grl-lua-library.c | 2 ++
 2 files changed, 4 insertions(+)

commit c790f8e25a63166a15048266e5658f0c6ee9cd0b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 17 13:28:02 2015 +0200

    lua-factory: Fix Radio France source again
    
    URLs for the CDN seem to change on a regular basis, so get them from the
    website directly instead.

 src/lua-factory/sources/grl-radiofrance.lua | 28 +++++++++-------------------
 1 file changed, 9 insertions(+), 19 deletions(-)

commit 50a2fe9f4146d3d7b86aa60f15642b6d3d106bb3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 17 13:27:39 2015 +0200

    lua-factory: Add net:plaintext to sources
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747953

 src/lua-factory/sources/grl-euronews.lua       | 2 +-
 src/lua-factory/sources/grl-guardianvideos.lua | 2 +-
 src/lua-factory/sources/grl-metrolyrics.lua    | 2 +-
 src/lua-factory/sources/grl-radiofrance.lua    | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 975a8101fda913fb86bfd1cb94c8b2c8004f78df
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 2 12:46:20 2015 +0200

    lua-factory: Block plain text queries when source doesn't advertise it
    
    To avoid sources from doing plain text queries without advertising them,
    verify the schemes used by the URLs passed to grl.fetch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747953

 src/lua-factory/grl-lua-library.c | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 64767da0e3ca8547f968b703ffda1716336a6bd0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 15 09:31:45 2015 +0200

    magnatune: Fix search never finishing if no results
    
    When no results are returned from a search, we'd skip to the error path,
    but without an error to return. Thus, we'd never mark the search
    operation as finished.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751890

 src/magnatune/grl-magnatune.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 048ad86e6ee1763d799a6f3dff8e6f65884b3006
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 15 11:49:59 2015 +0200

    lua-factory: Add inspect.lua helper
    
    Which is very useful when developing new sources, to inspect the results
    of json parsing, etc.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750983

 src/lua-factory/Makefile.am                   |  23 +-
 src/lua-factory/grl-lua-factory.gresource.xml |   6 +
 src/lua-factory/grl-lua-library.c             |  43 ++++
 src/lua-factory/grl-lua-library.h             |   1 +
 src/lua-factory/lua-library/inspect.lua       | 328 ++++++++++++++++++++++++++
 src/lua-factory/lua-library/lua-libraries.h   |   4 +
 6 files changed, 404 insertions(+), 1 deletion(-)

commit fe1a534461c2c280f78d69c353b884353f7a5a12
Author: Victor Toso <me@victortoso.com>
Date:   Wed Jul 8 10:18:59 2015 +0200

    lua-factory: throw error on bad grl.callback
    
    Throw luaL_error instead of system error on broken sources. This
    facilitate the developer to find bad usage of grl.callback on lua
    sources.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750955

 src/lua-factory/grl-lua-library.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 30b8e0764a25cd40eafb41d8b45d9c49789bd6f9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 1 16:46:32 2015 +0200

    lua-factory: Fix possible memleak if source registration fails
    
    Spotted on #grilo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751786

 src/lua-factory/grl-lua-factory.c | 1 +
 1 file changed, 1 insertion(+)

commit 519d205fee5082ef909ebfa0777944f529421184
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jul 7 08:55:19 2015 +0100

    local-metadata: Query for media art existence
    
    Don’t set the media art on a GrlMedia if it doesn’t exist — libmediaart
    unconditionally returns a path for where it would expect the media art
    for a file to be, without checking that some art actually exists at that
    path. That’s our job.
    
    Asynchronously query for the file info to check it exists. Ignore
    whether the media art is readable; that’s for the caller to handle when
    they try to read it (and is consistent with the other thumbnail URIs
    Grilo returns).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752057

 src/local-metadata/grl-local-metadata.c | 65 ++++++++++++++++++++++++++++-----
 1 file changed, 55 insertions(+), 10 deletions(-)

commit d93b03e29365187b29f6b31a4b190e0afc65dd0b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jul 6 20:07:46 2015 +0100

    local-metadata: Allow tracking of multiple asynchronous resolve ops
    
    Currently, only a single asynchronous operation is (potentially) used to
    resolve local metadata. However, to fix the problem where the
    thumbnail may be set to a non-existent URI, a second asynchronous
    operation needs to happen in parallel. The current GrlSourceResolveSpec
    closure cannot track this, so a new wrapper closure has to be added
    which tracks the number of pending sub-operations and only calls the
    GrlSourceResolveSpec’s callback once all are complete, or when a single
    one errors.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752057

 src/local-metadata/grl-local-metadata.c | 186 +++++++++++++++++++++-----------
 1 file changed, 122 insertions(+), 64 deletions(-)

commit b1813db3a0d6e6011e2c1bd10e4807520fb55579
Author: Iain Lane <iain@orangesquash.org.uk>
Date:   Tue Jul 7 13:06:46 2015 +0100

    bookmarks: Notify about a removal if there was no error
    
    We were incorrectly checking that there *was* an error when deciding
    whether to notify of removals. This led to missing notifications for
    successful removals.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752066

 src/bookmarks/grl-bookmarks.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60e093295760b53046f3678435f31fc032bb8011
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Jul 1 22:00:37 2015 +0000

    Updated Portuguese translation

 po/pt.po | 229 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 122 insertions(+), 107 deletions(-)

commit 8f2cb8a65133301d2119ac2f91b373ee9e7a9a44
Author: Alberto Garcia <berto@igalia.com>
Date:   Sat Jun 20 16:11:56 2015 +0300

    thetvdb: fix typo

 src/thetvdb/grl-thetvdb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89cae5ee5f19f00dda9e868742ad97c6e1bdf6e5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jun 13 01:52:13 2015 +0200

    lua-factory: Make it easier to access the API key config
    
    Eg. configs.api_key is available as well as configs['api-key'].
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750903

 src/lua-factory/grl-lua-factory.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 7035130a62e9ec4f74a3e8c344890c845788e400
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jun 13 01:51:37 2015 +0200

    lua-factory: Print debug when a required config key is missing
    
    This will stop the plugin developer from going bonkers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750903

 src/lua-factory/grl-lua-factory.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 3da1df6940884721e291d30bc7dc4c2d34738bba
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 15 11:35:48 2015 +0200

    lua-factory: Don't allow Lua sources to load external modules
    
    We want to be able to control the modules used by Lua sources. Right
    now, we'll only support the "grl" builtin module.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750982

 src/lua-factory/grl-lua-factory.c | 63 ---------------------------------------
 1 file changed, 63 deletions(-)

commit 2e25300444cc0b799defa054e53b3d71f3ec1efc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 15 11:33:52 2015 +0200

    lua-factory: Reduce the number of libs we load
    
    We don't want to lua to be initialised with a number of base libraries
    that can access the local filesystem, or load external packages.
    
    This is the recommended way to implement sandboxes in Lua.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750982

 src/lua-factory/grl-lua-factory.c | 30 ++++++++++++++++++++++++++++--
 1 file changed, 28 insertions(+), 2 deletions(-)

commit 60529923dff02d23612ef6ef220ffabc9da24430
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 15 14:01:11 2015 +0200

    lua-factory: Fix unescaping ANSI HTML entities
    
    HTML escape sequences still use Windows-1252/ANSI codes:
    http://www.w3schools.com/charsets/ref_html_ansi.asp
    
    Before this, &#150; would unescape to a non-printable character, when it
    should be unescaping to an ndash character.
    
    This is especially visible in the Guardian Videos source.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750990

 src/lua-factory/grl-lua-library.c | 23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit bc7182c156ffd062effd12f89574933c4fec5040
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 15 13:59:32 2015 +0200

    guardianvideos: Unescape the titles
    
    Some of the titles might contain escaped characters, make sure to
    unescape them before passing them on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750990

 src/lua-factory/sources/grl-guardianvideos.lua | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b013d98e8915900053adda06aadf9dd0d9129c02
Author: Colin Walters <walters@verbum.org>
Date:   Sun Jun 14 11:04:24 2015 -0400

    youtube: Add missing sentinel for g_strconcat()
    
    The build was failing in Continuous.

 src/youtube/grl-youtube.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ef9c53cd2e00abbb0c993c34195e68413fd9d95
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 29 17:48:03 2015 +0100

    youtube: Fix leak on two errors paths when querying categories
    
    When there was an error querying the categories, or when zero categories
    were returned, the BuildCategorySpec callback would not be called, and
    then the struct itself would not be freed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748395

 src/youtube/grl-youtube.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 953d0aaeca27b260dd52d54d8336bc587d607c2f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Apr 29 17:46:02 2015 +0100

    youtube: Miscellaneous compiler warning fixes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748395

 src/youtube/grl-youtube.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a207dd093be8149466f68e3deaf58124a849b102
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Apr 24 02:55:50 2015 +0100

    youtube: Use libgdata helper function to get category list
    
    There is no need to reinvent the wheel…especially when that wheel is
    changing shape from XML to JSON as Google withdraws the deprecated v2
    YouTube API for the v3 one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748395

 src/youtube/grl-youtube.c | 157 ++++++++++++----------------------------------
 1 file changed, 40 insertions(+), 117 deletions(-)

commit fe4253a5a346903f9d412748aeae06a56acbb854
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Apr 18 23:18:08 2015 +0100

    youtube: Use GDataYouTubeQuery when building GData queries
    
    Do not use the parent GDataQuery class. While this worked previously, it
    is not a valid use of the API, as it prevents any overrides in
    GDataYouTubeQuery from being used when building query APIs. This will
    cause queries to break in the transition from Google’s v2 to v3 API,
    since the GDataYouTubeQuery behaviour has to diverge from GDataQuery.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748395

 src/youtube/grl-youtube.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 9180be5965f698307c83c635b344e027dd717d4b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jun 11 13:10:35 2015 +0200

    tests: Run title override against Lua's title parser too

 tests/local-metadata/test_local_metadata.c | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 5bb779ba7b76bb86de7a2cc9d6cbe044d996b285
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jun 11 13:08:29 2015 +0200

    tests: Fix lua title parser tests not being run
    
    We were still running the tests against the local-metadata source,
    instead of the one passed to test_episodes_by_source(), and make sure to
    pass the title parser's source name, not the lua factory plugin's ID.

 tests/local-metadata/test_local_metadata.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f631ed462bc5a6d89ff4adede09ca83631d163e6
Author: Alberto Garcia <berto@igalia.com>
Date:   Thu Jun 11 09:37:36 2015 +0300

    local-metadata: remove uppercase versions of blacklisted words
    
    Those words are matched using strcasestr so there's no point in having
    them twice.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748604

 src/local-metadata/grl-local-metadata.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit dc2ac4741595ace547a8cd1ffbcbad5bfe1d9c24
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:   Tue May 19 21:00:00 2015 +0200

    tests: Add another test for a video_sanitise_string() crasher
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748604

 tests/local-metadata/test_local_metadata.c | 1 +
 1 file changed, 1 insertion(+)

commit a8f3ef6354a31981d98821dbd3b8f20bff19863e
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:   Tue May 19 20:53:28 2015 +0200

    local-metadata: Fixes to video_sanitise_string non-alnum handling
    
    - Extract loop condition into a helper function
    - Use g_utf8_get_char to properly convert to unichar
    - Be more defensive about g_utf8_find_prev_char returning NULL
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748604

 src/local-metadata/grl-local-metadata.c | 39 +++++++++++++++++++++++----------
 1 file changed, 28 insertions(+), 11 deletions(-)

commit d72678ef551848aef1adbf2f7667ddece5109d53
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 26 12:58:04 2015 +0200

    dleyna: Fix incorrect properties passed to applications
    
    From coverity:
    grilo-plugins-0.2.14/src/dleyna/grl-dleyna-source.c:420: fallthrough: The above case falls through to this one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749890

 src/dleyna/grl-dleyna-source.c | 1 +
 1 file changed, 1 insertion(+)

commit f94046c301fe8c084d7410433ddd7f8c8d5ddef2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 26 12:55:41 2015 +0200

    dleyna: Fix grl_dleyna_util_uri_is_localhost() usage
    
    From coverity:
    grilo-plugins-0.2.14/src/dleyna/grl-dleyna-source.c:1207: swapped_arguments: The positions of arguments in the call to "grl_dleyna_util_uri_is_localhost" do not match the ordering of the parameters: * "&localhost" is passed to "localuser" * "&localuser" is passed to "localhost"
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749889

 src/dleyna/grl-dleyna-source.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5aca9b4ccae396d86983be4be9c1d4bc8fc166e
Author: Jordi Mas <jmas@softcatala.org>
Date:   Thu May 21 18:15:46 2015 +0200

    Fixes to Catalan translation

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee1549cb6686802e85bed05364520da39cfb49d1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 7 11:24:29 2015 +0100

    build: Remove unnecessary DIST_SUBDIRS variable
    
    By default it is the same as SUBDIRS, so there’s no need to list it
    here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749063

 tests/lua-factory/Makefile.am | 3 ---
 1 file changed, 3 deletions(-)

commit aeae4f377f94896dab88dd970250627a06810d81
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 7 11:23:33 2015 +0100

    build: Remove unnecessary MAINTAINERCLEANFILES variables
    
    The *.in files are automatically cleaned by automake if they are listed
    in AC_CONFIG_FILES.
    
    The editor backup files (*~) should not be deleted by the build system.
    My editor backup files are my business.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749063

 src/Makefile.am                       | 6 ------
 src/apple-trailers/Makefile.am        | 6 ------
 src/bliptv/Makefile.am                | 6 ------
 src/bookmarks/Makefile.am             | 6 ------
 src/dleyna/Makefile.am                | 6 ------
 src/dmap/Makefile.am                  | 6 ------
 src/filesystem/Makefile.am            | 6 ------
 src/flickr/Makefile.am                | 6 ------
 src/freebox/Makefile.am               | 6 ------
 src/gravatar/Makefile.am              | 6 ------
 src/jamendo/Makefile.am               | 6 ------
 src/lastfm-albumart/Makefile.am       | 6 ------
 src/local-metadata/Makefile.am        | 6 ------
 src/lua-factory/Makefile.am           | 3 ---
 src/lua-factory/sources/Makefile.am   | 4 ----
 src/magnatune/Makefile.am             | 6 ------
 src/metadata-store/Makefile.am        | 6 ------
 src/opensubtitles/Makefile.am         | 6 ------
 src/optical-media/Makefile.am         | 6 ------
 src/pocket/Makefile.am                | 6 ------
 src/podcasts/Makefile.am              | 6 ------
 src/raitv/Makefile.am                 | 6 ------
 src/shoutcast/Makefile.am             | 6 ------
 src/thetvdb/Makefile.am               | 6 ------
 src/tmdb/Makefile.am                  | 6 ------
 src/tracker/Makefile.am               | 6 ------
 src/vimeo/Makefile.am                 | 6 ------
 src/youtube/Makefile.am               | 6 ------
 tests/Makefile.am                     | 6 ------
 tests/apple-trailers/Makefile.am      | 6 ------
 tests/bliptv/Makefile.am              | 6 ------
 tests/lastfm-albumart/Makefile.am     | 6 ------
 tests/local-metadata/Makefile.am      | 6 ------
 tests/lua-factory/Makefile.am         | 6 ------
 tests/lua-factory/sources/Makefile.am | 6 ------
 tests/thetvdb/Makefile.am             | 6 ------
 tests/tmdb/Makefile.am                | 6 ------
 tests/vimeo/Makefile.am               | 6 ------
 38 files changed, 223 deletions(-)

commit 9ab867ae8977ff0285b5b3ec31ff77791dc39e95
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 7 11:19:38 2015 +0100

    build: Remove unnecessary distclean-local rule
    
    automake automatically removes the auto4mte.cache directory on
    maintainer-clean.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749063

 Makefile.am | 5 -----
 1 file changed, 5 deletions(-)

commit 9444e0baddedb62b547f3ecc52f328f7d8ddc7af
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 7 11:18:54 2015 +0100

    build: Add generated GResource C and H files to CLEANFILES
    
    And also don’t distribute them in the source tarball, since they’re
    generated files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749063

 src/apple-trailers/Makefile.am | 12 +++++++++---
 src/raitv/Makefile.am          | 12 +++++++++---
 src/vimeo/Makefile.am          | 10 ++++++++--
 src/youtube/Makefile.am        | 11 ++++++++++-
 4 files changed, 36 insertions(+), 9 deletions(-)

commit 0878c92c57a37fd6b2f508bb05d5e975b47cb919
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 7 11:18:09 2015 +0100

    build: Add git.mk support instead of manual .gitignore files
    
    This makes maintenance of the .gitignore lists a lot easier.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749063

 .gitignore                            |  46 -----
 Makefile.am                           |  24 +--
 git.mk                                | 333 ++++++++++++++++++++++++++++++++++
 help/.gitignore                       |   1 -
 help/Makefile.am                      |   2 +
 help/examples/.gitignore              |   1 -
 help/examples/Makefile.am             |   2 +
 src/Makefile.am                       |   2 +
 src/apple-trailers/Makefile.am        |   2 +
 src/bliptv/Makefile.am                |   2 +
 src/bookmarks/Makefile.am             |   2 +
 src/dleyna/.gitignore                 |   3 -
 src/dleyna/Makefile.am                |   2 +
 src/dmap/Makefile.am                  |   2 +
 src/filesystem/Makefile.am            |   2 +
 src/flickr/Makefile.am                |   2 +
 src/freebox/Makefile.am               |   2 +
 src/gravatar/Makefile.am              |   2 +
 src/jamendo/Makefile.am               |   2 +
 src/lastfm-albumart/Makefile.am       |   2 +
 src/local-metadata/Makefile.am        |   2 +
 src/lua-factory/Makefile.am           |   2 +
 src/lua-factory/sources/Makefile.am   |   2 +
 src/magnatune/Makefile.am             |   2 +
 src/metadata-store/Makefile.am        |   2 +
 src/opensubtitles/Makefile.am         |   2 +
 src/optical-media/Makefile.am         |   2 +
 src/pocket/Makefile.am                |   2 +
 src/podcasts/Makefile.am              |   2 +
 src/raitv/Makefile.am                 |   2 +
 src/shoutcast/Makefile.am             |   2 +
 src/thetvdb/Makefile.am               |   2 +
 src/tmdb/Makefile.am                  |   2 +
 src/tracker/Makefile.am               |   2 +
 src/vimeo/Makefile.am                 |   2 +
 src/youtube/Makefile.am               |   2 +
 tests/.gitignore                      |  13 --
 tests/Makefile.am                     |   2 +
 tests/apple-trailers/Makefile.am      |   2 +
 tests/bliptv/Makefile.am              |   2 +
 tests/dleyna/Makefile.am              |   2 +
 tests/lastfm-albumart/Makefile.am     |   2 +
 tests/local-metadata/Makefile.am      |   2 +
 tests/lua-factory/Makefile.am         |   2 +
 tests/lua-factory/sources/Makefile.am |   2 +
 tests/thetvdb/Makefile.am             |   2 +
 tests/tmdb/Makefile.am                |   2 +
 tests/vimeo/Makefile.am               |   2 +
 48 files changed, 422 insertions(+), 81 deletions(-)

commit eaa64e947c88e16dd38216146071a7df0c96b319
Author: Victor Toso <me@victortoso.com>
Date:   Mon Apr 27 22:15:27 2015 +0200

    thetvdb: enable cache-only on GRL_RESOLVE_FAST_ONLY
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748422

 src/thetvdb/grl-thetvdb.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 34cf295199f44ddc4b833413cff9cb1b2da73307
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 29 13:18:33 2015 +0200

    tests: Add a test for video_sanitise_string() crasher
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748604

 tests/local-metadata/test_local_metadata.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 85fc7cbf831e914456623a2f7a9efbe81919bf4d
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Apr 28 19:46:54 2015 -0400

    local-metadata: Ignore sanitization if the whole filename is blacklisted
    
    If the whole filename ends up blacklisted, then just take it as-is.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748604

 src/local-metadata/grl-local-metadata.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 65698590834ce3bb7a836d7e14b36a2ba87e0481
Author: Giovanni Campagna <gcampagn@cs.stanford.edu>
Date:   Mon Apr 20 18:20:37 2015 -0700

    guardianvideos: fix URL format string
    
    The online service complains loudly if passed 1.0 instead of 1,
    let's make sure values are formatted as integers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748224

 src/lua-factory/sources/grl-guardianvideos.lua | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b1c0d31bdd3f6e1c9c11d7d03a2f9610cc44525
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Apr 20 10:16:09 2015 +0100

    tracker: Do not advertise browse support for the Tracker extractor
    
    The Tracker extractor data source (which appears when using the
    per-device-source option) does not support browsing, only resolving.
    Override the supported_operations vfunc to ensure that GRL_OP_BROWSE is
    not advertised for that source.
    
    This fixes clients which want to browse a single Tracker source (e.g. a
    single removable drive) and are checking for browsability using
    grl_source_supported_operations().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748173

 src/tracker/grl-tracker-source-api.c | 22 ++++++++++++++++++++++
 src/tracker/grl-tracker-source-api.h |  2 ++
 src/tracker/grl-tracker-source.c     |  1 +
 3 files changed, 25 insertions(+)

commit 79f34b85cd0769853bcd234b07f881795f636099
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Apr 14 16:56:07 2015 +0000

    travis: Exclude lua-library
    
    For some reason, coveralls fails when adding the lua-library.
    
    For now, let's remove it.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9c999fbca944618109b4161388ff04e9e9cbbed
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Apr 14 16:10:44 2015 +0000

    travis: Some fixes
    
    For some reason, lua-json.c is not included. So let's force it.
    
    Also remove the mirror option in pip (seems deprecated).

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b2aa5213feb6ae7d26cf058a01225a1f0528049f
Author: Jeremy Whiting <jpwhiting@kde.org>
Date:   Wed Jan 28 17:55:07 2015 -0700

    Remove unused thumbnail_uri since libmediaart refactoring.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746776

 src/local-metadata/grl-local-metadata.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit ad048863335262d2e8566f3b2cdfc8cda4050a0b
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 21 16:28:17 2015 +0100

    Updated Danish translation

 po/da.po | 160 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 88 insertions(+), 72 deletions(-)

commit 834748af38dbcdfde6ffe4f3da8e8f3d37e81917
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 21 14:43:39 2015 +0100

    Updated Basque language

 po/eu.po | 60 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 26 deletions(-)

commit 1d2a3a263f738bcb8b7050f6e86b33e4c8a4b7fb
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Mar 18 12:19:31 2015 +0000

    Updated Indonesian translation

 po/id.po | 150 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 79 insertions(+), 71 deletions(-)

commit 58bdc9f1dc3869b9c8df0fb6ec6b6cb6015c96a2
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:   Tue Mar 17 16:18:50 2015 +0000

    Updated Italian translation

 po/it.po | 176 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 90 insertions(+), 86 deletions(-)

commit 2c68c4997e65b49774bd9b8fd720a148ec14e73a
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:   Mon Mar 16 19:45:44 2015 +0000

    Updated German translation

 po/de.po | 197 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 116 insertions(+), 81 deletions(-)

commit df2fa5d10d77f2eb56881ef25f2e90d18e23547c
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 21:01:38 2015 +0000

    Added Bosnian translation

 po/LINGUAS |   1 +
 po/bs.po   | 631 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 632 insertions(+)

commit f046498ad4b0cfd16f74c067fc00f77fbcd0ebc1
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Mar 9 15:25:18 2015 +0000

    Updated Slovak translation

 po/sk.po | 278 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 169 insertions(+), 109 deletions(-)

commit ab3becc40e8dd7ffe8bd1dd1dad6c9e859a40af4
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sun Mar 8 03:45:44 2015 +0900

    Updated Korean translation

 po/ko.po | 174 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 95 insertions(+), 79 deletions(-)

commit ff3b2adc4b33b9b083862b431995cd9a418c534c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 19:39:36 2015 +0100

    lua-factory: Fix double-free when lua script fails to init
    
    If we fail to initialise the script after having associated the resource
    with the source object, we might try to free that resource both when the
    source got disposed, and in the error path.

 src/lua-factory/grl-lua-factory.c | 1 +
 1 file changed, 1 insertion(+)

commit 85a684b6d2bb9baeaff14220ed0b3a1a12a7ab32
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 19:38:52 2015 +0100

    lua-factory: Fix crash if luaL_loadfile() fails
    
    And there's a resource associated to the script. We'd be trying to
    unref the GResource with the wrong function.

 src/lua-factory/grl-lua-factory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5db0911d4e539628e142477e1065c021e965c75b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 18:29:01 2015 +0100

    tests: Fix metrolyrics test not finding the source
    
    The lua sources aren't compiled, so they live in srcdir, not builddir.

 tests/lua-factory/sources/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54e3ff1bf8b2f32ed2f7f1ea4a45e7dd19d6e61c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 18:23:11 2015 +0100

    tests: Fix deprecation warnings in thetvdb tests

 tests/thetvdb/test_thetvdb_resolve_episodes.c | 2 +-
 tests/thetvdb/test_thetvdb_resolve_shows.c    | 2 +-
 tests/thetvdb/test_thetvdb_resolve_stress.c   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 07425716e24cf96e150a45aeca4e477e2872b6ca
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 18:19:34 2015 +0100

    tests: Fix missing files in metrolyrics test

 tests/lua-factory/sources/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 53a2ae9b363fda87c9038e2b5c8fedd7427662ad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 18:06:56 2015 +0100

    lua-factory: Fix lua scripts not having icons
    
    We were installing the .gresource.xml files instead of the .gresource
    files.

 src/lua-factory/sources/Makefile.am | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 5876a19ae7bfc0e8847446c5abda36e7390fbca3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 11:24:26 2015 +0100

    opensubtitles: Fix crasher when search has no results
    
    Seems that instead of listing no <data> matches, it will use an empty
    boolean. Probably a problem with the server.
    
    <member>
      <name>data</name>
      <value>
        <boolean>0</boolean>
      </value>
    </member>

 src/opensubtitles/grl-opensubtitles.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 776aed0862d18200671f5039d57fe2c1f1711dc3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 6 11:21:23 2015 +0100

    tests: Fix deprecation warnings in last.fm tests

 tests/lastfm-albumart/test_lastfm_albumart.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 743d1833591aa2ef80cc27bf89d363abe599927a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 25 21:35:28 2015 +0100

    freebox: Fix build from tarballs
    
    Add missing radios.m3u file to the dist.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745179

 src/freebox/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89a36dbe1dcf236d637e1ed52f192df5de0678fc
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 5 23:20:36 2015 +0100

    Updated Serbian translation

 po/sr.po       | 155 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 155 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 164 insertions(+), 146 deletions(-)

commit d1c794e220b5557aff44d04bfc957352da5d02e0
Author: Victor Toso <me@victortoso.com>
Date:   Wed Mar 4 18:52:12 2015 +0100

    lua-factory: Fix makefile rule to euronews resource
    
    The rule to make euronews GResource uses guardianvideos's resource
    description as dependency.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741784

 src/lua-factory/sources/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 31f4af07be38e2a66112adda35b99360507d2397
Author: Victor Toso <me@victortoso.com>
Date:   Wed Mar 4 15:21:50 2015 +0100

    lua-factory: change in metrolyrics website
    
    The HTML part of the lyrics changed. I've changed the get_lyrics
    function to clean up the HTML that came with the lyrics instead
    of matching it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741784

 src/lua-factory/sources/grl-metrolyrics.lua | 27 +++++++++++++--------------
 1 file changed, 13 insertions(+), 14 deletions(-)

commit a8a419d112e234d3fe8c7e843b0ab0f64c191cbf
Author: Victor Toso <me@victortoso.com>
Date:   Thu Dec 18 01:07:54 2014 +0100

    tests: grl-metrolyrics (lua source)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741784

 configure.ac                                       |   2 +
 tests/Makefile.am                                  |   5 +
 tests/lua-factory/Makefile.am                      |  19 ++++
 tests/lua-factory/sources/Makefile.am              |  53 +++++++++
 .../lua-factory/sources/data/lyrics_back_it_up.txt |  85 ++++++++++++++
 .../sources/data/lyrics_bohemian_rhapsody.txt      |  64 +++++++++++
 .../sources/data/lyrics_nobodys_perfect.txt        |  71 ++++++++++++
 .../sources/data/lyrics_ring_of_fire.txt           |  38 +++++++
 tests/lua-factory/sources/test_lua_factory_utils.c |  93 ++++++++++++++++
 tests/lua-factory/sources/test_lua_factory_utils.h |  36 ++++++
 tests/lua-factory/sources/test_lua_metrolyrics.c   | 124 +++++++++++++++++++++
 .../sources/test_lua_metrolyrics.gresource.xml     |   9 ++
 12 files changed, 599 insertions(+)

commit 04f2c88862f947b3084fb56b66607cf4e091b798
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 3 01:16:10 2015 +0100

    Updated Galician translations

 po/gl.po | 163 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 90 insertions(+), 73 deletions(-)

commit fec4c087b87f63f27c534c3135455289e74b4e23
Author: Victor Toso <me@victortoso.com>
Date:   Mon Mar 2 17:12:58 2015 +0100

    local-metadata: fix leak in string cleanup
    
    g_regex_replace_literal() returns a newly allocated string which is not
    freed. Return this string instead of allocating a new one.

 src/local-metadata/grl-local-metadata.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba849446abcc512a7cff07b3e975d409139bc898
Author: Victor Toso <me@victortoso.com>
Date:   Sun Mar 1 02:22:15 2015 +0100

    lua-factory: Add title parsing Lua source
    
    This source is an alternative to local-metadata and it uses lua patterns
    in order to get metadata from the title of the file.
    
    The test suite for video-title-parsing is the same for the
    local-metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741607

 src/lua-factory/sources/Makefile.am                |   3 +-
 .../sources/grl-video-title-parsing.lua            | 135 +++++++++++++++++++++
 tests/local-metadata/Makefile.am                   |   4 +-
 tests/local-metadata/test_local_metadata.c         |  33 ++++-
 4 files changed, 168 insertions(+), 7 deletions(-)

commit c17480a3ea3489b0a8dcd827ffbe7eee053c5ac6
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Mar 2 01:15:24 2015 +0200

    Updated Hebrew translation

 po/he.po | 64 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 36 insertions(+), 28 deletions(-)

commit eec94fbf6c81641ab6a213744606b650d59ef96c
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 24 00:36:32 2015 +0000

    Updated French translation

 po/fr.po | 148 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 78 insertions(+), 70 deletions(-)

commit 163f837adc2135f70a18766634351dc792fa5cb8
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Sun Feb 22 23:32:18 2015 +0000

    Updated Greek translation

 po/el.po | 167 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 93 insertions(+), 74 deletions(-)

commit 3faadad7e6b35505facc1f2f3652a8cea9c3b05c
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Feb 22 23:25:47 2015 +0100

    [l10n] Update Catalan translation

 po/ca.po | 158 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 87 insertions(+), 71 deletions(-)

commit e4b16c485f086b4fa5d95554423014efde1e5301
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Feb 22 13:31:07 2015 +0000

    Updated Swedish translation

 po/sv.po | 163 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 90 insertions(+), 73 deletions(-)

commit c1e17fd0c9c2102dc27421d50398235640af8bd8
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 21 11:11:14 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 162 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 88 insertions(+), 74 deletions(-)

commit 504e8aa6ad9b5310b65aefc4fb74bc6c83eaa61c
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Feb 21 00:55:26 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 155 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 73 insertions(+), 82 deletions(-)

commit b1ec2d488da4d595509e27f08bdc0f98a6f3ba6f
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Feb 20 20:35:48 2015 +0100

    Updated Czech translation

 po/cs.po | 150 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 79 insertions(+), 71 deletions(-)

commit 27a4ac3eb1b404422ac65fcfa249200e72e48e74
Author: Necdet Yücel <necdetyucel@gmail.com>
Date:   Fri Feb 20 09:22:18 2015 +0000

    Updated Turkish translation

 po/tr.po | 392 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 203 insertions(+), 189 deletions(-)

commit 79cff029b393fde22706bf8944312357274e6d1c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Feb 19 23:02:56 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 150 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 80 insertions(+), 70 deletions(-)

commit f279d956e0e9ccaf991f3526ef8a2bfd8c39c678
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Thu Feb 19 16:10:22 2015 +0300

    Updated Russian translation

 po/ru.po | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit fd4ca012ff8cadc0aad7ac63eebcb5384fae2044
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Thu Feb 19 16:08:16 2015 +0300

    Updated Russian translation

 po/ru.po | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit e0aa248502d76777a41a63b1d1aa34f0fa5c9886
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Wed Feb 18 21:52:07 2015 +0000

    Updated Hungarian translation

 po/hu.po | 152 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 81 insertions(+), 71 deletions(-)

commit abb41e748ae7088312121f464e7ff2aa115213bf
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Feb 18 10:49:48 2015 +0100

    Updated Spanish translation

 po/es.po | 154 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 82 insertions(+), 72 deletions(-)

commit cdb004610528050c5100daf801f31a35a1687edd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Feb 18 10:42:08 2015 +0100

    Updated Polish translation

 po/pl.po | 154 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 81 insertions(+), 73 deletions(-)

commit 3f8e96b6e3e30e0bea196575b333fc6c4f64dee9
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 17 22:43:04 2015 +0000

    Post-release version bump to 0.2.15

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c2b47f55cc1f8b5b7d70539496e178bde2a0618
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 17 22:39:31 2015 +0000

    Release 0.2.14

 NEWS | 113 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

commit 8e58bafa4e501c2a196d4a9e9ea6b0cf97704cb4
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Tue Feb 17 20:18:14 2015 +0000

    dleyna: disable test
    
    For some reason, dleyna dbus mock can't be launched in jhbuild. We need to
    investigate this more carefully, but for now let's disable this test.

 tests/dleyna/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8ef670d11647029cd8486f1aa6afd96f5de61537
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Feb 17 19:29:49 2015 +0100

    Updated Slovenian translation

 po/sl.po | 58 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 33 insertions(+), 25 deletions(-)

commit a2546afd7456c72b02255628ad5521a36bb1004a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 17 18:27:32 2015 +0100

    build: Require a newer gom
    
    Older versions had problems where they would duplicate bookmarks every
    time Totem started.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cc554250720dbc5b20acc04fd21fe0b13e80a928
Author: Victor Toso <me@victortoso.com>
Date:   Thu Dec 18 01:49:13 2014 +0100

    tests: enable local tests with lua-factory
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741784

 src/lua-factory/Makefile.am | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1101c67b6b2ae2aa2bab16d3b9a976981e1643f1
Author: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
Date:   Sat May 3 16:35:19 2014 +0200

    tmdb: Fix tmdb building even if libsoup isn't available
    
    Disable the tmdb plugin if libsoup isn't available.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743316

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 51b4ff4c1308c84da849ec32c6d4d64cda2af9ed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 17 18:04:55 2015 +0100

    build: Default to building .tar.xz tarballs

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed2eb4f6d09c05c299a8bda3fdbb203bed7a1127
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 9 02:43:09 2015 +0100

    freebox: Fix incorrect grl-pls usage
    
    Which could lead to crashes. grl_pls_browse() should only be used
    from applications, grl_pls_browse_by_spec() should be used in plugins
    instead so as not to override the operation_id, be cancelled when the
    original operation is cancelled, etc.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744168

 src/freebox/grl-freebox.c | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit a5110d6460b90065148914d1855fbeeedfd20fc3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 8 16:10:04 2015 +0100

    freebox: Add support for Freebox Radios
    
    Using the playlist from:
    http://play.with.free.fr/index.php/radios-freebox-sur-la-freebox-revolution/
    and newer version of totem-pl-parser, export the radios proxied by the
    Freebox all-in-one router.
    
    Note that the audio player will need to respect the "audio-track" number
    given out in the GrlMedia for the correct radio station to be played.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744168

 src/freebox/freebox.gresource.xml |   1 +
 src/freebox/grl-freebox.c         | 176 +++++++++++----
 src/freebox/radios.m3u            | 465 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 603 insertions(+), 39 deletions(-)

commit 8c0ba4b2e69980342eced0147ee24d59aeac83d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 16 09:10:55 2014 +0100

    tracker: Ensure that Video is preferred to Image
    
    When creating a new object, prefer creating a Video to creating
    an Image when the object has both RDF types.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730028

 src/tracker/grl-tracker-utils.c | 38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit 878a0bf600eab88fde31453b8933d705b65e2ad0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 13 00:09:46 2014 +0200

    all: Port from ..._flags() to ..._resolution_flags()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724308

 src/filesystem/grl-filesystem.c              | 2 +-
 src/lua-factory/grl-lua-library.c            | 2 +-
 src/tmdb/grl-tmdb.c                          | 2 +-
 src/youtube/grl-youtube.c                    | 2 +-
 tests/local-metadata/test_local_metadata.c   | 4 ++--
 tests/tmdb/test_tmdb_fast_resolution.c       | 2 +-
 tests/tmdb/test_tmdb_fast_resolution_by_id.c | 2 +-
 tests/vimeo/test_vimeo.c                     | 8 ++++----
 8 files changed, 12 insertions(+), 12 deletions(-)

commit 4703f3f440447f17a117b58bb92d75908a825216
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sat Feb 14 12:39:40 2015 +0300

    Updated Russian translation

 po/ru.po | 157 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 82 insertions(+), 75 deletions(-)

commit 1a21bfee850b4b0670dcc573f6f7a524ea831ed7
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Mon Feb 9 21:27:57 2015 +0100

    lua-factory: Fix may_resolve with NULL media
    
    grl_lua_factory_source_may_resolve might be called with media being NULL
    (via expand_operation_keys in grl-source.c for example). Currently this
    case is not handled properly and may_resolve calls grl_data_has_key
    which results in a critical warning because media is NULL.
    
    This is one of the sources of some of the critical warnings when running
    gnome-music.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744353

 src/lua-factory/grl-lua-factory.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit d9457bcd470d9b15a43bebd7b172a5513fd7848d
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Feb 4 22:23:26 2015 +0000

    youtube: Remove support for libgdata < 0.9.1
    
    Too old version, and we already have code for libgdata >= 0.9.1.
    
    So let's remove it to keep code simple.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744015

 configure.ac              | 14 ++----------
 src/youtube/grl-youtube.c | 55 -----------------------------------------------
 2 files changed, 2 insertions(+), 67 deletions(-)

commit 043f5ff73fd19e3ba022dc91541e76481471f39b
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Thu Jan 29 18:26:02 2015 +0000

    lua-factory: Fix distcheck
    
    Add missing GResource files and images to EXTRA_DIST.

 src/lua-factory/sources/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f13abe89f49a6ff841fef42660079fefb17248fc
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Sun Jan 25 23:20:11 2015 +0200

    lastfm: Use HTTPS rather than insecure HTTP when possible
    
    To avoid leaking (potentially uniquely identifiable) user data over
    plain text (be it search phrases, hashes of contact emails, etc etc),
    use HTTPS whenever possible.
    
    Unfortunately, we cannot completely avoid leaking the names of the
    albums the user has on their system because the CDN used by last.fm
    (where the plugin fetches the images from) serves a certificate only
    valid for something.something.akamai.net, so enabling HTTPS on that
    URL would fail.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743449

 src/lastfm-albumart/grl-lastfm-albumart.c   | 2 +-
 tests/lastfm-albumart/data/network-data.ini | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8d8c86ad230f745fc2f65c50f00da0433f07f630
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Sun Jan 25 23:19:50 2015 +0200

    youtube: Use HTTPS rather than insecure HTTP
    
    To avoid leaking (potentially uniquely identifiable) user data over
    plain text (be it search phrases, hashes of contact emails, etc etc),
    use HTTPS whenever possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743449

 src/youtube/grl-youtube.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 9c8a956f65232bfef9f60acc0fd13ce238eeb1bc
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Sun Jan 25 23:16:22 2015 +0200

    vimeo: Use HTTPS rather than insecure HTTP
    
    To avoid leaking (potentially uniquely identifiable) user data over
    plain text (be it search phrases, hashes of contact emails, etc etc),
    use HTTPS whenever possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743449

 src/vimeo/grl-vimeo.c             | 2 +-
 src/vimeo/gvimeo.c                | 2 +-
 tests/vimeo/data/network-data.ini | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 37813e376a440190d8cdc668d10e1bd3efb1bab0
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Sun Jan 25 22:47:23 2015 +0200

    jamendo: Use HTTPS rather than insecure HTTP
    
    To avoid leaking (potentially uniquely identifiable) user data over
    plain text (be it search phrases, hashes of contact emails, etc etc),
    use HTTPS whenever possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743449

 src/jamendo/grl-jamendo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be617d25b0d31ef5076282de8d7880adc601e0f4
Author: Elad Alfassa <elad@fedoraproject.org>
Date:   Sun Jan 25 22:46:32 2015 +0200

    gravatar: Use HTTPS rather than insecure HTTP
    
    To avoid leaking (potentially uniquely identifiable) user data over
    plain text (be it search phrases, hashes of contact emails, etc etc),
    use HTTPS whenever possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743449

 src/gravatar/grl-gravatar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1967395e3d706d44cdf3f46c2d4ebd11b04cf7a9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 7 14:29:48 2015 +0100

    lua-factory: Work-around websites that still use ISO8859-1
    
    Try to fix data coming from websites that still use ISO8859-1 as the
    codeset. This is easier than offering codeset conversion to the lua
    sources, but might need to be done in the future.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742523

 src/lua-factory/grl-lua-library.c | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit c321f085fd6afdff3046152385faed957e72c0f5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 9 21:11:06 2014 +0100

    lua-factory: Fix compilation warning

 src/lua-factory/grl-lua-factory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae10b48dff54a07ea638421554cab207b8bb1ced
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 18:28:39 2014 +0100

    bookmarks: Only emit "item removed" if actually removed

 src/bookmarks/grl-bookmarks.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44bf7004c54fc4632fc0f90d44acc91f312e5ef0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 13:38:24 2014 +0100

    tracker: Add duration filtering support
    
    Duration filtering support for search and browse. Note that
    query doesn't add the duration filtering automatically.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740707

 src/tracker/grl-tracker-source-api.c | 79 +++++++++++++++++++++++++++++++++---
 1 file changed, 74 insertions(+), 5 deletions(-)

commit c92fb6de55e8da7bc5599b05339293099536d7aa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 12:18:31 2014 +0100

    tracker: Use new register_keys vfunc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740943

 src/tracker/grl-tracker-source-api.c | 13 -------------
 src/tracker/grl-tracker-utils.c      | 26 --------------------------
 src/tracker/grl-tracker.c            | 36 +++++++++++++++++++++++++++++++++---
 3 files changed, 33 insertions(+), 42 deletions(-)

commit 14ddadf4e01f26b2c930acfd044bdcd612285850
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 12:18:21 2014 +0100

    tmdb: Use new register_keys vfunc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740943

 src/tmdb/grl-tmdb.c | 28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit af89bc4c3f881b3781be9b369eef714f52dd07cc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 12:18:10 2014 +0100

    thetvdb: Use new register_keys vfunc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740943

 src/thetvdb/grl-thetvdb.c | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 344d797e625d20df4d333a01a95294380e90a03c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 12:17:59 2014 +0100

    gravatar: Use new register_keys vfunc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740943

 src/gravatar/grl-gravatar.c | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

commit 5e50ee2c91262b13169801743148c72afe596c42
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 2 12:17:08 2014 +0100

    bookmarks: Use new register_keys vfunc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740943

 src/bookmarks/grl-bookmarks.c | 53 ++++++++++++++++++++++++-------------------
 1 file changed, 30 insertions(+), 23 deletions(-)

commit cf0bc157f79e058d5e307641bbf0848cd5cfda48
Author: Yanko Kaneti <yaneti@declera.com>
Date:   Tue Jan 20 17:38:51 2015 +0200

    local-metadata: Mechanically adjust for libmediaart-2.0

 configure.ac                            | 2 +-
 src/local-metadata/grl-local-metadata.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 936c8154d98abf6168a91e05473cbc0c0538c6de
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 20 11:36:55 2015 +0100

    lua-factory: Add local icon for Radio France

 src/lua-factory/sources/Makefile.am                   |   8 ++++++--
 src/lua-factory/sources/grl-radiofrance.gresource.xml |   6 ++++++
 src/lua-factory/sources/grl-radiofrance.lua           |   2 +-
 src/lua-factory/sources/radiofrance.png               | Bin 0 -> 8257 bytes
 4 files changed, 13 insertions(+), 3 deletions(-)

commit 5f6ca634c14a15832e69a94d3803cc5b0f9df0e0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 20 11:27:58 2015 +0100

    lua-factory: Add icons for Euronews and Guardian Videos
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736548

 src/lua-factory/sources/Makefile.am                |  12 +-
 src/lua-factory/sources/euronews.svg               | 190 +++++++++++++++++++++
 src/lua-factory/sources/grl-euronews.gresource.xml |   6 +
 src/lua-factory/sources/grl-euronews.lua           |   1 +
 .../sources/grl-guardianvideos.gresource.xml       |   6 +
 src/lua-factory/sources/grl-guardianvideos.lua     |   1 +
 src/lua-factory/sources/guardianvideos.svg         | 170 ++++++++++++++++++
 7 files changed, 385 insertions(+), 1 deletion(-)

commit ae0cdc3dc530a98a38cd7ad11ec99a948f092fb8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jan 17 21:42:26 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 81 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 44 insertions(+), 37 deletions(-)

commit 0bde89e0e21af15af5d0d96b6fe09428001b9d87
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Dec 31 17:27:26 2014 +0100

    Updated Basque language

 po/eu.po | 221 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 129 insertions(+), 92 deletions(-)

commit c381fed91c98dd360bc17252ffcdc45f728e3a94
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Dec 29 18:34:23 2014 +0000

    Updated French translation

 po/fr.po | 78 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 43 insertions(+), 35 deletions(-)

commit 6f444108bef8be0d40b25c74e1303b7fbec952cf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Dec 25 18:54:52 2014 +0100

    Updated Slovenian translation

 po/sl.po | 136 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 64 deletions(-)

commit f80ae6e2939566c66bdd18cd3087aca7b91740f7
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Tue Dec 23 22:26:50 2014 +0000

    Updated German translation

 po/de.po | 83 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 45 insertions(+), 38 deletions(-)

commit bd2e42a796fcb9b5333f669087863ae0bd8723d4
Author: Victor Toso <me@victortoso.com>
Date:   Thu Dec 18 21:33:12 2014 +0100

    local-metadata: Improve regexp for tv shows
    
    * Get episode number in the format of "..EP01.."
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741562

 src/local-metadata/grl-local-metadata.c    | 8 +++++---
 tests/local-metadata/test_local_metadata.c | 1 +
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 92141ba9dcecacdca3a8469b4edeaed10237d8ac
Author: Victor Toso <me@victortoso.com>
Date:   Thu Dec 18 21:26:15 2014 +0100

    local-metadata: Improve string sanitise
    
    * Do not get substring with a blacklisted word.
    * Only allow a few chars to finish the substring.
    * Include new blacklist word "x264".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741562

 src/local-metadata/grl-local-metadata.c | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

commit 0836ff68e159a4a40d5c804f53c6555c74c31154
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Dec 18 09:33:28 2014 +0100

    Updated Serbian translation

 po/sr.po       | 81 +++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 81 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 86 insertions(+), 76 deletions(-)

commit b9fe3c57225abcf1c93f75cf121ebb07a8a999a0
Author: Miguel Rodríguez Núñez <bokerones.fritos@gmail.com>
Date:   Wed Dec 17 10:47:12 2014 +0000

    Updated Spanish translation

 po/es.po | 83 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 45 insertions(+), 38 deletions(-)

commit 39b4be307d2feb872182ee1ddf13a841762ae1aa
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Dec 15 00:14:45 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 81 +++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 44 insertions(+), 37 deletions(-)

commit 59aba26c8d1b64fd52b1e54980e7b55565e303b0
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Dec 12 23:18:02 2014 +0100

    Updated Czech translation

 po/cs.po | 78 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 43 insertions(+), 35 deletions(-)

commit f8555b97c0312e82c8a52499ed7a5a939993ce9e
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Dec 12 15:25:14 2014 +0000

    Updated Indonesian translation

 po/id.po | 92 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 44 insertions(+), 48 deletions(-)

commit 0f1aaec2354499812a088ff14c5afc23cf0d554f
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Dec 12 12:37:33 2014 +0200

    Updated Hebrew translation

 po/he.po | 138 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 73 insertions(+), 65 deletions(-)

commit 9c08e434b5083f6b53fa2358554aa9397d7a8eb6
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Thu Dec 11 17:39:17 2014 +0000

    Updated Hungarian translation

 po/hu.po | 88 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 41 deletions(-)

commit c9829dd2bd018e329a80d5a8d3da996bb191e198
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 5 00:48:32 2014 +0100

    all: Update source-tags for all plugins
    
    Add relevant tags for most plugins, including "net:internet" for a large
    number of plugins that wouldn't be usable without an Internet
    connection.
    
    Note that a number of plugins were not marked as "net:internet" despite
    requiring an Internet connection to fetch new data because they do have
    local caching support (thetvdb and pocket for example).
    
    Plugins that use data from the local network but use other discovery
    methods (Freebox and DAAP with mDNS, Dleyna with DLNA/UPnP) were also
    not marked, as they will disappear if the shares become unavailable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725148

 src/apple-trailers/grl-apple-trailers.c        | 1 +
 src/bliptv/grl-bliptv.c                        | 5 +++++
 src/flickr/grl-flickr.c                        | 5 +++++
 src/jamendo/grl-jamendo.c                      | 6 ++++++
 src/lastfm-albumart/grl-lastfm-albumart.c      | 5 +++++
 src/lua-factory/sources/grl-euronews.lua       | 2 +-
 src/lua-factory/sources/grl-guardianvideos.lua | 2 +-
 src/lua-factory/sources/grl-metrolyrics.lua    | 1 +
 src/lua-factory/sources/grl-musicbrainz.lua    | 1 +
 src/lua-factory/sources/grl-radiofrance.lua    | 2 +-
 src/magnatune/grl-magnatune.c                  | 5 +++++
 src/podcasts/grl-podcasts.c                    | 5 +++++
 src/raitv/grl-raitv.c                          | 7 +++++++
 src/shoutcast/grl-shoutcast.c                  | 5 +++++
 src/thetvdb/grl-thetvdb.c                      | 5 +++++
 src/tmdb/grl-tmdb.c                            | 6 ++++++
 src/vimeo/grl-vimeo.c                          | 5 +++++
 src/youtube/grl-youtube.c                      | 5 +++++
 18 files changed, 70 insertions(+), 3 deletions(-)

commit 21cbc80c8456ccdb84ba06009e2a71bcc067d704
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Wed Dec 10 22:37:07 2014 +0000

    Added Turkish translation

 po/LINGUAS |   1 +
 po/tr.po   | 622 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 623 insertions(+)

commit 8b5e0c6b16f59802457e562aa5e36147b04b0cbd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Dec 10 16:05:20 2014 +0100

    Updated Polish translation

 po/pl.po | 78 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 43 insertions(+), 35 deletions(-)

commit eba849a5d7e4d0ce028f20a4fd826a4ed9ff93d4
Author: Victor Toso <me@victortoso.com>
Date:   Wed Dec 10 12:14:18 2014 +0100

    thetvdb: tests using EPISODE_TITLE metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 tests/thetvdb/test_thetvdb_resolve_episodes.c | 4 ++--
 tests/thetvdb/test_thetvdb_resolve_stress.c   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 0d99bb559eea1c60446ff714d2469b55a733a5cc
Author: Victor Toso <me@victortoso.com>
Date:   Wed Dec 10 11:50:39 2014 +0100

    local-metadata: tests using EPISODE_TITLE metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 tests/local-metadata/test_local_metadata.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b8d32719d3ee3dc55c435588e3763dc27b66c541
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 9 21:11:28 2014 +0100

    thetvdb: Add support for EPISODE_TITLE metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 src/thetvdb/grl-thetvdb.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 44ac8b8ccef1333f9bfaffadb82a48b5dcd1bae0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 9 20:38:49 2014 +0100

    local-metadata: Add support for EPISODE_TITLE metadata
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 src/local-metadata/grl-local-metadata.c | 51 ++++++++++++++++++++++-----------
 1 file changed, 34 insertions(+), 17 deletions(-)

commit 5da21309bbbd960e0c26c77dbfc55aad9612a35a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Dec 9 01:40:20 2014 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 821748c1ab7685158545a931a06c093feba2bee0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 8 18:06:53 2014 +0100

    podcasts: Fix crasher when DB could not be opened
    
    Don't try to close the database if it is invalid.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741258

 src/podcasts/grl-podcasts.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5a968507e610f35888d01fc919c104b3940cf3f3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 28 11:12:51 2014 +0100

    opensubtitles: Add plugin
    
    Add a plugin that will get a list of available subtitles available
    for a video, given its gibest hash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740871

 configure.ac                            |  45 +++
 src/Makefile.am                         |   8 +-
 src/opensubtitles/Makefile.am           |  39 ++
 src/opensubtitles/grl-opensubtitles.c   | 630 ++++++++++++++++++++++++++++++++
 src/opensubtitles/grl-opensubtitles.h   |  74 ++++
 src/opensubtitles/grl-opensubtitles.xml |  10 +
 6 files changed, 804 insertions(+), 2 deletions(-)

commit 13ff45c499df21c23f88b715f6c4bd4a5135e630
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 8 18:04:52 2014 +0100

    lua-factory: Fix possible crash on exit
    
    GResource isn't a GObject, so use the correct unref function.

 src/lua-factory/grl-lua-factory.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 808ba4fd6b72ea047abaf78fd186d2b698a70076
Author: Victor Toso <me@victortoso.com>
Date:   Sat Dec 6 23:49:03 2014 +0100

    thetvdb: failing to compare episode titles.
    
    Using g_ascii_strncasecmp with 0 as number of chars to compare always
    return 0.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741207

 src/thetvdb/grl-thetvdb.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74604bd75c21a6b9ddcafd6a862d6c462a0e3975
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 27 15:42:47 2014 +0100

    lua-factory: Use HTML entities helper
    
    Which now supports more entities than what we supported.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729680

 src/lua-factory/grl-lua-library.c | 25 +++++++++----------------
 1 file changed, 9 insertions(+), 16 deletions(-)

commit 042a5dce5a434c5e6e55cc6b67ed281aa2009559
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 27 15:31:53 2014 +0100

    lua-factory: Add htmlentity files from GtkHTML
    
